/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2021 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    CLOCKBARSETS_WCP = 349,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 350,               /* MODUS_WCP  */
    TIMESPACE_WCP = 351,           /* TIMESPACE_WCP  */
    VERSION_WCP = 352,             /* VERSION_WCP  */
    EXTERN_WCP = 353,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 354,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 355,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 356,           /* SHOWHINTS_WCP  */
    KEY_WCP = 357,                 /* KEY_WCP  */
    DOUBLE_WCP = 358,              /* DOUBLE_WCP  */
    MOD_WCP = 359,                 /* MOD_WCP  */
    CONTROL_WCP = 360,             /* CONTROL_WCP  */
    SHIFT_WCP = 361,               /* SHIFT_WCP  */
    LOCK_WCP = 362,                /* LOCK_WCP  */
    MOD1_WCP = 363,                /* MOD1_WCP  */
    MOD2_WCP = 364,                /* MOD2_WCP  */
    MOD3_WCP = 365,                /* MOD3_WCP  */
    MOD4_WCP = 366,                /* MOD4_WCP  */
    MOD5_WCP = 367,                /* MOD5_WCP  */
    DNDACTION_WCP = 368,           /* DNDACTION_WCP  */
    DCACTION_WCP = 369,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 370,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 371,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 372,          /* USERACTION_WCP  */
    ROWUP_WCP = 373,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 374,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 375,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 376,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 377,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 378,             /* LASTROW_WCP  */
    PAGEUP_WCP = 379,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 380,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 381,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 382,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 383,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 384,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 385,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 386,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 387,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 388,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 389,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 390,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 391,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 392,              /* QUITOP_WCP  */
    DELETEOP_WCP = 393,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 394,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 395,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 396,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 397,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 398,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 399,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 400,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 401,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 402,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 403,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 404,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 405,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 406,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 407,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 408,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 409,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 410,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 411,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 412,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 413,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 414,          /* TIMESTRING_WCP  */
    COLOR_WCP = 415,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 416,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 417,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 418,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 419,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 420,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 421,           /* RECURSIVE_WCP  */
    START_WCP = 422,               /* START_WCP  */
    TERMINALWAIT_WCP = 423,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 424,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 425,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 426,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 427,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 428,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 429,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 430,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 431,                /* HIDE_WCP  */
    TOGGLE_WCP = 432,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 433,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 434,                /* MOVE_WCP  */
    RENAME_WCP = 435,              /* RENAME_WCP  */
    SAMEDIR_WCP = 436,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 437,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 438,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 439,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 440,              /* ALWAYS_WCP  */
    NEVER_WCP = 441,               /* NEVER_WCP  */
    COPYMODE_WCP = 442,            /* COPYMODE_WCP  */
    FAST_WCP = 443,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 444,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 445,                /* MODE_WCP  */
    ACTIVE_WCP = 446,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 447,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 448,             /* SPECIAL_WCP  */
    REQUEST_WCP = 449,             /* REQUEST_WCP  */
    CURRENT_WCP = 450,             /* CURRENT_WCP  */
    OTHER_WCP = 451,               /* OTHER_WCP  */
    FILTER_WCP = 452,              /* FILTER_WCP  */
    QUICK_WCP = 453,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 454,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 455,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 456,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 457,            /* RELATIVE_WCP  */
    ONFILES_WCP = 458,             /* ONFILES_WCP  */
    ONDIRS_WCP = 459,              /* ONDIRS_WCP  */
    SORTBY_WCP = 460,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 461,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 462,             /* REVERSE_WCP  */
    DIRLAST_WCP = 463,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 464,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 465,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 466,             /* INCLUDE_WCP  */
    UNSET_WCP = 467,               /* UNSET_WCP  */
    UNSETALL_WCP = 468,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 469,            /* SCRIPTOP_WCP  */
    NOP_WCP = 470,                 /* NOP_WCP  */
    PUSH_WCP = 471,                /* PUSH_WCP  */
    LABEL_WCP = 472,               /* LABEL_WCP  */
    IF_WCP = 473,                  /* IF_WCP  */
    END_WCP = 474,                 /* END_WCP  */
    POP_WCP = 475,                 /* POP_WCP  */
    SETTINGS_WCP = 476,            /* SETTINGS_WCP  */
    WINDOW_WCP = 477,              /* WINDOW_WCP  */
    GOTO_WCP = 478,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 479,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 480,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 481,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 482,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 483,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 484,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 485,              /* IFTEST_WCP  */
    IFLABEL_WCP = 486,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 487,             /* WINTYPE_WCP  */
    OPEN_WCP = 488,                /* OPEN_WCP  */
    CLOSE_WCP = 489,               /* CLOSE_WCP  */
    LEAVE_WCP = 490,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 491,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 492,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 493,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 494,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 495,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 496,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 497,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 498,               /* INODE_WCP  */
    NLINK_WCP = 499,               /* NLINK_WCP  */
    BLOCKS_WCP = 500,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 501,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 502,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 503,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 504,           /* LISTVIEWS_WCP  */
    BLL_WCP = 505,                 /* BLL_WCP  */
    LBL_WCP = 506,                 /* LBL_WCP  */
    LLB_WCP = 507,                 /* LLB_WCP  */
    BL_WCP = 508,                  /* BL_WCP  */
    LB_WCP = 509,                  /* LB_WCP  */
    LAYOUT_WCP = 510,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 511,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 512,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 513,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 514,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 515,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 516,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 517,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 518,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 519,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 520,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 521,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 522,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 523,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 524,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 525, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 526,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 527,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 528,              /* PARENT_WCP  */
    DONTCD_WCP = 529,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 530,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 531,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 532,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 533,            /* USERNAME_WCP  */
    PASSWORD_WCP = 534,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 535,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 536,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 537,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 538,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 539,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 540,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 541,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 542,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 543,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 544,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 545,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 546,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 547,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 548,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 549,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 550,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 551,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 552, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 553,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 554,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 555,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 556,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 557,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 558,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 559,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 560,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 561,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 562,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 563,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 564, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 565,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 566,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 567,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 568,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 569,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 570,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 571,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 572,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 573,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 574,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 575,              /* INVERT_WCP  */
    SET_WCP = 576,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 577,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 578,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 579,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 580,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 581,           /* TABACTION_WCP  */
    NEWTAB_WCP = 582,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 583,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 584,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 585,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 586,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 587,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 588,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 589,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 590,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 591,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 592,                   /* ERROR  */
    ACTIVESIDE_WCP = 593,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 594,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 595,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 596,                 /* ASK_WCP  */
    SSHALLOW_WCP = 597,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 598,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 599,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 600, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 601,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 602,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 603,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 604,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 605,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 606,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 607,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 608,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 609,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 610,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 611,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 612,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 613,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 614,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 615,               /* ENTRY_WCP  */
    PREFIX_WCP = 616,              /* PREFIX_WCP  */
    VALUE_WCP = 617,               /* VALUE_WCP  */
    EXTENSION_WCP = 618,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 619,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 620,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 621,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 622,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 623, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 624,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 625,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 626,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 627,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 628,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 629, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 630,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 631,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 632,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 633,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 634,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 635,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 636,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 637, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 638, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 639,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 640, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 641,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 642,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 643,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 644,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 645,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 646,               /* FACES_WCP  */
    FACE_WCP = 647,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 648,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 649,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 650,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 651,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 652,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 653,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 654,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 655, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 656,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 657, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 658,             /* OUTSIDE_WCP  */
    EDIT_WCP = 659,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 660,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 661,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 662,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 663, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 664,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 665,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 666,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 667,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 668, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 669,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 670, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 671,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 672, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 673,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 674,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 675,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 676,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 677,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 678, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 679,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 680,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 681,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 682,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 683,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 684, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 685,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 686,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 687,              /* HELPOP_WCP  */
    PRIORITY_WCP = 688,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 689,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 690, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 691,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 692, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 693, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 694, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 695,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 696,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 697,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 698,          /* INCLUDEALL_WCP  */
    APPLYMODE_WCP = 699,           /* APPLYMODE_WCP  */
    ADD_WCP = 700,                 /* ADD_WCP  */
    REMOVE_WCP = 701,              /* REMOVE_WCP  */
    HIDENONEXISTING_WCP = 702,     /* HIDENONEXISTING_WCP  */
    VIEWCOMMANDLOGOP_WCP = 703,    /* VIEWCOMMANDLOGOP_WCP  */
    STRING_WCP = 704,              /* STRING_WCP  */
    NUM_WCP = 705                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define CLOCKBARSETS_WCP 349
#define MODUS_WCP 350
#define TIMESPACE_WCP 351
#define VERSION_WCP 352
#define EXTERN_WCP 353
#define UPDATETIME_WCP 354
#define PROGRAM_WCP 355
#define SHOWHINTS_WCP 356
#define KEY_WCP 357
#define DOUBLE_WCP 358
#define MOD_WCP 359
#define CONTROL_WCP 360
#define SHIFT_WCP 361
#define LOCK_WCP 362
#define MOD1_WCP 363
#define MOD2_WCP 364
#define MOD3_WCP 365
#define MOD4_WCP 366
#define MOD5_WCP 367
#define DNDACTION_WCP 368
#define DCACTION_WCP 369
#define SHOWACTION_WCP 370
#define RSHOWACTION_WCP 371
#define USERACTION_WCP 372
#define ROWUP_WCP 373
#define ROWDOWN_WCP 374
#define CHANGEHIDDENFLAG_WCP 375
#define COPYOP_WCP 376
#define FIRSTROW_WCP 377
#define LASTROW_WCP 378
#define PAGEUP_WCP 379
#define PAGEDOWN_WCP 380
#define SELECTOP_WCP 381
#define SELECTALLOP_WCP 382
#define SELECTNONEOP_WCP 383
#define INVERTALLOP_WCP 384
#define PARENTDIROP_WCP 385
#define ENTERDIROP_WCP 386
#define CHANGELISTERSETOP_WCP 387
#define SWITCHLISTEROP_WCP 388
#define FILTERSELECTOP_WCP 389
#define FILTERUNSELECTOP_WCP 390
#define PATHTOOTHERSIDEOP_WCP 391
#define QUITOP_WCP 392
#define DELETEOP_WCP 393
#define RELOADOP_WCP 394
#define MAKEDIROP_WCP 395
#define RENAMEOP_WCP 396
#define DIRSIZEOP_WCP 397
#define SIMDDOP_WCP 398
#define STARTPROGOP_WCP 399
#define SEARCHENTRYOP_WCP 400
#define ENTERPATHOP_WCP 401
#define SCROLLLISTEROP_WCP 402
#define CREATESYMLINKOP_WCP 403
#define CHANGESYMLINKOP_WCP 404
#define CHMODOP_WCP 405
#define TOGGLELISTERMODEOP_WCP 406
#define SETSORTMODEOP_WCP 407
#define SETFILTEROP_WCP 408
#define SHORTKEYFROMLISTOP_WCP 409
#define CHOWNOP_WCP 410
#define WORKERCONFIG_WCP 411
#define USERSTYLE_WCP 412
#define DATESTRING_WCP 413
#define TIMESTRING_WCP 414
#define COLOR_WCP 415
#define PATTERNIGNORECASE_WCP 416
#define PATTERNUSEREGEXP_WCP 417
#define PATTERNUSEFULLNAME_WCP 418
#define COM_WCP 419
#define SEPARATEEACHENTRY_WCP 420
#define RECURSIVE_WCP 421
#define START_WCP 422
#define TERMINALWAIT_WCP 423
#define SHOWOUTPUT_WCP 424
#define VIEWSTR_WCP 425
#define SHOWOUTPUTINT_WCP 426
#define INBACKGROUND_WCP 427
#define TAKEDIRS_WCP 428
#define ACTIONNUMBER_WCP 429
#define HIDDENFILES_WCP 430
#define HIDE_WCP 431
#define TOGGLE_WCP 432
#define FOLLOWSYMLINKS_WCP 433
#define MOVE_WCP 434
#define RENAME_WCP 435
#define SAMEDIR_WCP 436
#define REQUESTDEST_WCP 437
#define REQUESTFLAGS_WCP 438
#define OVERWRITE_WCP 439
#define ALWAYS_WCP 440
#define NEVER_WCP 441
#define COPYMODE_WCP 442
#define FAST_WCP 443
#define PRESERVEATTR_WCP 444
#define MODE_WCP 445
#define ACTIVE_WCP 446
#define ACTIVE2OTHER_WCP 447
#define SPECIAL_WCP 448
#define REQUEST_WCP 449
#define CURRENT_WCP 450
#define OTHER_WCP 451
#define FILTER_WCP 452
#define QUICK_WCP 453
#define ALSOACTIVE_WCP 454
#define RESETDIRSIZES_WCP 455
#define KEEPFILETYPES_WCP 456
#define RELATIVE_WCP 457
#define ONFILES_WCP 458
#define ONDIRS_WCP 459
#define SORTBY_WCP 460
#define SORTFLAG_WCP 461
#define REVERSE_WCP 462
#define DIRLAST_WCP 463
#define DIRMIXED_WCP 464
#define EXCLUDE_WCP 465
#define INCLUDE_WCP 466
#define UNSET_WCP 467
#define UNSETALL_WCP 468
#define SCRIPTOP_WCP 469
#define NOP_WCP 470
#define PUSH_WCP 471
#define LABEL_WCP 472
#define IF_WCP 473
#define END_WCP 474
#define POP_WCP 475
#define SETTINGS_WCP 476
#define WINDOW_WCP 477
#define GOTO_WCP 478
#define PUSHUSEOUTPUT_WCP 479
#define DODEBUG_WCP 480
#define WPURECURSIVE_WCP 481
#define WPUTAKEDIRS_WCP 482
#define STACKNR_WCP 483
#define PUSHSTRING_WCP 484
#define IFTEST_WCP 485
#define IFLABEL_WCP 486
#define WINTYPE_WCP 487
#define OPEN_WCP 488
#define CLOSE_WCP 489
#define LEAVE_WCP 490
#define CHANGEPROGRESS_WCP 491
#define CHANGETEXT_WCP 492
#define PROGRESSUSEOUTPUT_WCP 493
#define WINTEXTUSEOUTPUT_WCP 494
#define PROGRESS_WCP 495
#define WINTEXT_WCP 496
#define SHOWDIRCACHEOP_WCP 497
#define INODE_WCP 498
#define NLINK_WCP 499
#define BLOCKS_WCP 500
#define SHOWHEADER_WCP 501
#define LVHEADER_WCP 502
#define IGNORECASE_WCP 503
#define LISTVIEWS_WCP 504
#define BLL_WCP 505
#define LBL_WCP 506
#define LLB_WCP 507
#define BL_WCP 508
#define LB_WCP 509
#define LAYOUT_WCP 510
#define BUTTONSVERT_WCP 511
#define LISTVIEWSVERT_WCP 512
#define LISTVIEWWEIGHT_WCP 513
#define WEIGHTTOACTIVE_WCP 514
#define EXTCOND_WCP 515
#define USEEXTCOND_WCP 516
#define SUBTYPE_WCP 517
#define PARENTACTIONOP_WCP 518
#define NOOPERATIONOP_WCP 519
#define COLORMODE_WCP 520
#define DEFAULT_WCP 521
#define CUSTOM_WCP 522
#define UNSELECTCOLOR_WCP 523
#define SELECTCOLOR_WCP 524
#define UNSELECTACTIVECOLOR_WCP 525
#define SELECTACTIVECOLOR_WCP 526
#define COLOREXTERNPROG_WCP 527
#define PARENT_WCP 528
#define DONTCD_WCP 529
#define DONTCHECKVIRTUAL_WCP 530
#define GOFTPOP_WCP 531
#define HOSTNAME_WCP 532
#define USERNAME_WCP 533
#define PASSWORD_WCP 534
#define DONTENTERFTP_WCP 535
#define ALWAYSSTOREPW_WCP 536
#define INTERNALVIEWOP_WCP 537
#define CUSTOMFILES_WCP 538
#define SHOWMODE_WCP 539
#define SELECTED_WCP 540
#define REVERSESEARCH_WCP 541
#define MOUSECONF_WCP 542
#define SELECTBUTTON_WCP 543
#define ACTIVATEBUTTON_WCP 544
#define SCROLLBUTTON_WCP 545
#define SELECTMETHOD_WCP 546
#define ALTERNATIVE_WCP 547
#define SEARCHOP_WCP 548
#define EDITCOMMAND_WCP 549
#define SHOWPREVRESULTS_WCP 550
#define TEXTVIEW_WCP 551
#define TEXTVIEWHIGHLIGHTED_WCP 552
#define TEXTVIEWSELECTION_WCP 553
#define DIRBOOKMARKOP_WCP 554
#define OPENCONTEXTMENUOP_WCP 555
#define RUNCUSTOMACTION_WCP 556
#define CUSTOMNAME_WCP 557
#define CONTEXTBUTTON_WCP 558
#define ACTIVATEMOD_WCP 559
#define SCROLLMOD_WCP 560
#define CONTEXTMOD_WCP 561
#define NONE_WCP 562
#define CUSTOMACTION_WCP 563
#define SAVE_WORKER_STATE_ON_EXIT_WCP 564
#define OPENWORKERMENUOP_WCP 565
#define CHANGELABELOP_WCP 566
#define ASKFORLABEL_WCP 567
#define LABELCOLORS_WCP 568
#define BOOKMARKLABEL_WCP 569
#define BOOKMARKFILTER_WCP 570
#define SHOWONLYBOOKMARKS_WCP 571
#define SHOWONLYLABEL_WCP 572
#define SHOWALL_WCP 573
#define OPTIONMODE_WCP 574
#define INVERT_WCP 575
#define SET_WCP 576
#define CHANGEFILTERS_WCP 577
#define CHANGEBOOKMARKS_WCP 578
#define QUERYLABEL_WCP 579
#define MODIFYTABSOP_WCP 580
#define TABACTION_WCP 581
#define NEWTAB_WCP 582
#define CLOSECURRENTTAB_WCP 583
#define NEXTTAB_WCP 584
#define PREVTAB_WCP 585
#define TOGGLELOCKSTATE_WCP 586
#define MOVETABLEFT_WCP 587
#define MOVETABRIGHT_WCP 588
#define CHANGELAYOUTOP_WCP 589
#define INFIXSEARCH_WCP 590
#define VOLUMEMANAGEROP_WCP 591
#define ERROR 592
#define ACTIVESIDE_WCP 593
#define SHOWFREESPACE_WCP 594
#define ACTIVEMODE_WCP 595
#define ASK_WCP 596
#define SSHALLOW_WCP 597
#define FIELD_WIDTH_WCP 598
#define QUICKSEARCHENABLED_WCP 599
#define FILTEREDSEARCHENABLED_WCP 600
#define XFTFONTS_WCP 601
#define USEMAGIC_WCP 602
#define MAGICPATTERN_WCP 603
#define MAGICCOMPRESSED_WCP 604
#define MAGICMIME_WCP 605
#define VOLUMEMANAGER_WCP 606
#define MOUNTCOMMAND_WCP 607
#define UNMOUNTCOMMAND_WCP 608
#define FSTABFILE_WCP 609
#define MTABFILE_WCP 610
#define PARTFILE_WCP 611
#define REQUESTACTION_WCP 612
#define SIZEH_WCP 613
#define NEXTAGING_WCP 614
#define ENTRY_WCP 615
#define PREFIX_WCP 616
#define VALUE_WCP 617
#define EXTENSION_WCP 618
#define EJECTCOMMAND_WCP 619
#define CLOSETRAYCOMMAND_WCP 620
#define AVFSMODULE_WCP 621
#define FLEXIBLEMATCH_WCP 622
#define USE_VERSION_STRING_COMPARE_WCP 623
#define SWITCHBUTTONBANKOP_WCP 624
#define SWITCHTONEXTBANK_WCP 625
#define SWITCHTOPREVBANK_WCP 626
#define SWITCHTOBANKNR_WCP 627
#define BANKNR_WCP 628
#define USE_VIRTUAL_TEMP_COPIES_WCP 629
#define PATHJUMPOP_WCP 630
#define PATHJUMPALLOWDIRS_WCP 631
#define CLIPBOARDOP_WCP 632
#define CLIPBOARDSTRING_WCP 633
#define COMMANDSTRING_WCP 634
#define EVALCOMMAND_WCP 635
#define WATCHMODE_WCP 636
#define APPLY_WINDOW_DIALOG_TYPE_WCP 637
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 638
#define COMMANDMENUOP_WCP 639
#define SEARCHMODEONKEYPRESS_WCP 640
#define PATHENTRYONTOP_WCP 641
#define STORE_FILES_ALWAYS_WCP 642
#define PATHJUMPSETS_WCP 643
#define SHOWDOTDOT_WCP 644
#define SHOWBREADCRUMB_WCP 645
#define FACES_WCP 646
#define FACE_WCP 647
#define ENABLE_INFO_LINE_WCP 648
#define INFO_LINE_LUA_MODE_WCP 649
#define INFO_LINE_CONTENT_WCP 650
#define RESTORE_TABS_MODE_WCP 651
#define STORE_TABS_MODE_WCP 652
#define AS_EXIT_STATE_WCP 653
#define USE_EXTENDED_REGEX_WCP 654
#define HIGHLIGHT_USER_ACTION_WCP 655
#define CHTIMEOP_WCP 656
#define ADJUSTRELATIVESYMLINKS_WCP 657
#define OUTSIDE_WCP 658
#define EDIT_WCP 659
#define MAKEABSOLUTE_WCP 660
#define MAKERELATIVE_WCP 661
#define MAGICIGNORECASE_WCP 662
#define ENSURE_FILE_PERMISSIONS_WCP 663
#define USER_RW_WCP 664
#define USER_RW_GROUP_R_WCP 665
#define USER_RW_ALL_R_WCP 666
#define LEAVE_UNMODIFIED_WCP 667
#define PREFERUDISKSVERSION_WCP 668
#define CHANGECOLUMNSOP_WCP 669
#define PATTERNISCOMMASEPARATED_WCP 670
#define STRCASECMP_WCP 671
#define USE_STRING_COMPARE_MODE_WCP 672
#define VIEWNEWESTFILESOP_WCP 673
#define SHOWRECENT_WCP 674
#define DIRCOMPAREOP_WCP 675
#define TABPROFILESOP_WCP 676
#define EXTERNALVDIROP_WCP 677
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 678
#define OPENTABMENUOP_WCP 679
#define INITIALTAB_WCP 680
#define SHOWBYTIME_WCP 681
#define SHOWBYFILTER_WCP 682
#define SHOWBYPROGRAM_WCP 683
#define TERMINAL_RETURNS_EARLY_WCP 684
#define DIRECTORYPRESETS_WCP 685
#define DIRECTORYPRESET_WCP 686
#define HELPOP_WCP 687
#define PRIORITY_WCP 688
#define AUTOFILTER_WCP 689
#define ENABLE_CUSTOM_LVB_LINE_WCP 690
#define CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 692
#define IMMEDIATE_FILTER_APPLY_WCP 693
#define DISABLEBGCHECKPREFIX_WCP 694
#define DISPLAYMODE_WCP 695
#define SHOWSUBDIRS_WCP 696
#define SHOWDIRECTSUBDIRS_WCP 697
#define INCLUDEALL_WCP 698
#define APPLYMODE_WCP 699
#define ADD_WCP 700
#define REMOVE_WCP 701
#define HIDENONEXISTING_WCP 702
#define VIEWCOMMANDLOGOP_WCP 703
#define STRING_WCP 704
#define NUM_WCP 705

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1242 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 94,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 95,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 96,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 97,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 98,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 99,            /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 100,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 101,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 102,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 103,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 104,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 105,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 106,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 107,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 108,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 109,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 110,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 111,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 112,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 113,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 114,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 115,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 116,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 117,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 118,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 119,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 120,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 121,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 122,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 123,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 124,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 125,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 126,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 127,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 128,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 129,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 130,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 131,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 132,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 133,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 134,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 135,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 136,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 137,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 138,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 139,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 140,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 141,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 142,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 143,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 144,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 145,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 146,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 147,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 148,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 149,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 150,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 151,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 152,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 153,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 154,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 155,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 156,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 157,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 158,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 159,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 160,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 161,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 162,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 163,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 164,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 165,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 166,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 167,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 168,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 169,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 170,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 171,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 172,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 173,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 174,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 175,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 176,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 177,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 178,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 179,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 180,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 181,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 182,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 183,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 184,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 185,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 186,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 187,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 188,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 189,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 190,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 191,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 192,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 193,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 194,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 195,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 196,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 197,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 198,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 199,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 200,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 201,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 202,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 203,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 204,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 205,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 206,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 207,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 208,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 209,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 210,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 211,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 212,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 213,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 214,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 215,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 216,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 217,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 218,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 219,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 220,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 221,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 222,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 223,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 224,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 225,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 226,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 227,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 228,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 229,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 230,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 231,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 232,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 233,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 234,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 235,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 236,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 237,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 238,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 239,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 240,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 241,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 242,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 243,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 244,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 245,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 246,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 247,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 248,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 249,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 250,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 251,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 252,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 253,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 254,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 255,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 256,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 257,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 258,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 259,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 260,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 261,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 262,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 263,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 264,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 265,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 266,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 267,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 268,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 269,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 270,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 271,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 272,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 273,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 274,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 275,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 276,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 277,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 278,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 279,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 280,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 281,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 282,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 283,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 284,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 285,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 286,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 287,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 288,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 289,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 290,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 291,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 292,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 293,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 294,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 295,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 296,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 297,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 298,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 299,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 300,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 301,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 302,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 303,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 304,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 305,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 306,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 307,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 308,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 309, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 310,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 311,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 312,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 313,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 314,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 315,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 316,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 317,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 318,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 319,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 320,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 321,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 322,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 323,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 324,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 325,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 326,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 327,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 328,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 329,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 330,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 331,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 332,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 333,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 334,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 335,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 336,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 337,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 338,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 339,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 340,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 341,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 342,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 343,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 344,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 345, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 346,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 347,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 348,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 349,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 350,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 351,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 352,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 353,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 354,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 355,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 356,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 357,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 358,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 359,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 360,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 361,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 362,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 363,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 364,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 365,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 366,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 367,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 368, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 369,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 370,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 371,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 372,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 373,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 374, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 375,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 376,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 377,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 378,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 379,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 380,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 381,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 382, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 383, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 384,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 385, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 386,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 387,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 388,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 389,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 390,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 391,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 392,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 393,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 394,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 395,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 396,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 397,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 398,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 399,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 400, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 401,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 402, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 403,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 404,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 405,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 406,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 407,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 408, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 409,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 410,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 411,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 412,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 413,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 414,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 415, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 416,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 417, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 418,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 419,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 420,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 421,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 422,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 423, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 424,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 425,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 426,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 427,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 428,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 429, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 430,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 431,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 432,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 433,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 434,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 435, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 436,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 437, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 438, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 439, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 440,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 441,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 442,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 443,           /* INCLUDEALL_WCP  */
  YYSYMBOL_APPLYMODE_WCP = 444,            /* APPLYMODE_WCP  */
  YYSYMBOL_ADD_WCP = 445,                  /* ADD_WCP  */
  YYSYMBOL_REMOVE_WCP = 446,               /* REMOVE_WCP  */
  YYSYMBOL_HIDENONEXISTING_WCP = 447,      /* HIDENONEXISTING_WCP  */
  YYSYMBOL_VIEWCOMMANDLOGOP_WCP = 448,     /* VIEWCOMMANDLOGOP_WCP  */
  YYSYMBOL_STRING_WCP = 449,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 450,                  /* NUM_WCP  */
  YYSYMBOL_451_ = 451,                     /* '.'  */
  YYSYMBOL_452_ = 452,                     /* ';'  */
  YYSYMBOL_453_ = 453,                     /* '='  */
  YYSYMBOL_454_ = 454,                     /* ','  */
  YYSYMBOL_YYACCEPT = 455,                 /* $accept  */
  YYSYMBOL_S = 456,                        /* S  */
  YYSYMBOL_457_1 = 457,                    /* $@1  */
  YYSYMBOL_458_2 = 458,                    /* $@2  */
  YYSYMBOL_start = 459,                    /* start  */
  YYSYMBOL_460_3 = 460,                    /* $@3  */
  YYSYMBOL_461_4 = 461,                    /* $@4  */
  YYSYMBOL_462_5 = 462,                    /* $@5  */
  YYSYMBOL_463_6 = 463,                    /* $@6  */
  YYSYMBOL_464_7 = 464,                    /* $@7  */
  YYSYMBOL_465_8 = 465,                    /* $@8  */
  YYSYMBOL_466_9 = 466,                    /* $@9  */
  YYSYMBOL_467_10 = 467,                   /* $@10  */
  YYSYMBOL_468_11 = 468,                   /* $@11  */
  YYSYMBOL_469_12 = 469,                   /* $@12  */
  YYSYMBOL_470_13 = 470,                   /* $@13  */
  YYSYMBOL_471_14 = 471,                   /* $@14  */
  YYSYMBOL_472_15 = 472,                   /* $@15  */
  YYSYMBOL_473_16 = 473,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 474,              /* pjallowdirs  */
  YYSYMBOL_475_17 = 475,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 476,             /* pathjumpsets  */
  YYSYMBOL_477_18 = 477,                   /* $@18  */
  YYSYMBOL_glb = 478,                      /* glb  */
  YYSYMBOL_479_19 = 479,                   /* $@19  */
  YYSYMBOL_480_20 = 480,                   /* $@20  */
  YYSYMBOL_481_21 = 481,                   /* $@21  */
  YYSYMBOL_482_22 = 482,                   /* $@22  */
  YYSYMBOL_483_23 = 483,                   /* $@23  */
  YYSYMBOL_484_24 = 484,                   /* $@24  */
  YYSYMBOL_485_25 = 485,                   /* $@25  */
  YYSYMBOL_486_26 = 486,                   /* $@26  */
  YYSYMBOL_487_27 = 487,                   /* $@27  */
  YYSYMBOL_488_28 = 488,                   /* $@28  */
  YYSYMBOL_489_29 = 489,                   /* $@29  */
  YYSYMBOL_490_30 = 490,                   /* $@30  */
  YYSYMBOL_491_31 = 491,                   /* $@31  */
  YYSYMBOL_492_32 = 492,                   /* $@32  */
  YYSYMBOL_493_33 = 493,                   /* $@33  */
  YYSYMBOL_494_34 = 494,                   /* $@34  */
  YYSYMBOL_495_35 = 495,                   /* $@35  */
  YYSYMBOL_layout = 496,                   /* layout  */
  YYSYMBOL_497_36 = 497,                   /* $@36  */
  YYSYMBOL_498_37 = 498,                   /* $@37  */
  YYSYMBOL_499_38 = 499,                   /* $@38  */
  YYSYMBOL_500_39 = 500,                   /* $@39  */
  YYSYMBOL_501_40 = 501,                   /* $@40  */
  YYSYMBOL_502_41 = 502,                   /* $@41  */
  YYSYMBOL_503_42 = 503,                   /* $@42  */
  YYSYMBOL_504_43 = 504,                   /* $@43  */
  YYSYMBOL_505_44 = 505,                   /* $@44  */
  YYSYMBOL_506_45 = 506,                   /* $@45  */
  YYSYMBOL_507_46 = 507,                   /* $@46  */
  YYSYMBOL_508_47 = 508,                   /* $@47  */
  YYSYMBOL_509_48 = 509,                   /* $@48  */
  YYSYMBOL_pal = 510,                      /* pal  */
  YYSYMBOL_511_49 = 511,                   /* $@49  */
  YYSYMBOL_listersets = 512,               /* listersets  */
  YYSYMBOL_513_50 = 513,                   /* $@50  */
  YYSYMBOL_514_51 = 514,                   /* $@51  */
  YYSYMBOL_listersets2 = 515,              /* listersets2  */
  YYSYMBOL_516_52 = 516,                   /* $@52  */
  YYSYMBOL_517_53 = 517,                   /* $@53  */
  YYSYMBOL_518_54 = 518,                   /* $@54  */
  YYSYMBOL_519_55 = 519,                   /* $@55  */
  YYSYMBOL_520_56 = 520,                   /* $@56  */
  YYSYMBOL_521_57 = 521,                   /* $@57  */
  YYSYMBOL_522_58 = 522,                   /* $@58  */
  YYSYMBOL_displaysets = 523,              /* displaysets  */
  YYSYMBOL_524_59 = 524,                   /* $@59  */
  YYSYMBOL_525_60 = 525,                   /* $@60  */
  YYSYMBOL_526_61 = 526,                   /* $@61  */
  YYSYMBOL_527_62 = 527,                   /* $@62  */
  YYSYMBOL_528_63 = 528,                   /* $@63  */
  YYSYMBOL_529_64 = 529,                   /* $@64  */
  YYSYMBOL_530_65 = 530,                   /* $@65  */
  YYSYMBOL_531_66 = 531,                   /* $@66  */
  YYSYMBOL_532_67 = 532,                   /* $@67  */
  YYSYMBOL_533_68 = 533,                   /* $@68  */
  YYSYMBOL_534_69 = 534,                   /* $@69  */
  YYSYMBOL_535_70 = 535,                   /* $@70  */
  YYSYMBOL_536_71 = 536,                   /* $@71  */
  YYSYMBOL_537_72 = 537,                   /* $@72  */
  YYSYMBOL_timesets = 538,                 /* timesets  */
  YYSYMBOL_539_73 = 539,                   /* $@73  */
  YYSYMBOL_540_74 = 540,                   /* $@74  */
  YYSYMBOL_541_75 = 541,                   /* $@75  */
  YYSYMBOL_542_76 = 542,                   /* $@76  */
  YYSYMBOL_543_77 = 543,                   /* $@77  */
  YYSYMBOL_544_78 = 544,                   /* $@78  */
  YYSYMBOL_545_79 = 545,                   /* $@79  */
  YYSYMBOL_546_80 = 546,                   /* $@80  */
  YYSYMBOL_547_81 = 547,                   /* $@81  */
  YYSYMBOL_548_82 = 548,                   /* $@82  */
  YYSYMBOL_549_83 = 549,                   /* $@83  */
  YYSYMBOL_mouseconf = 550,                /* mouseconf  */
  YYSYMBOL_551_84 = 551,                   /* $@84  */
  YYSYMBOL_552_85 = 552,                   /* $@85  */
  YYSYMBOL_553_86 = 553,                   /* $@86  */
  YYSYMBOL_554_87 = 554,                   /* $@87  */
  YYSYMBOL_555_88 = 555,                   /* $@88  */
  YYSYMBOL_556_89 = 556,                   /* $@89  */
  YYSYMBOL_557_90 = 557,                   /* $@90  */
  YYSYMBOL_558_91 = 558,                   /* $@91  */
  YYSYMBOL_559_92 = 559,                   /* $@92  */
  YYSYMBOL_560_93 = 560,                   /* $@93  */
  YYSYMBOL_561_94 = 561,                   /* $@94  */
  YYSYMBOL_562_95 = 562,                   /* $@95  */
  YYSYMBOL_cols = 563,                     /* cols  */
  YYSYMBOL_564_96 = 564,                   /* $@96  */
  YYSYMBOL_565_97 = 565,                   /* $@97  */
  YYSYMBOL_566_98 = 566,                   /* $@98  */
  YYSYMBOL_567_99 = 567,                   /* $@99  */
  YYSYMBOL_568_100 = 568,                  /* $@100  */
  YYSYMBOL_569_101 = 569,                  /* $@101  */
  YYSYMBOL_570_102 = 570,                  /* $@102  */
  YYSYMBOL_571_103 = 571,                  /* $@103  */
  YYSYMBOL_572_104 = 572,                  /* $@104  */
  YYSYMBOL_573_105 = 573,                  /* $@105  */
  YYSYMBOL_574_106 = 574,                  /* $@106  */
  YYSYMBOL_575_107 = 575,                  /* $@107  */
  YYSYMBOL_576_108 = 576,                  /* $@108  */
  YYSYMBOL_577_109 = 577,                  /* $@109  */
  YYSYMBOL_578_110 = 578,                  /* $@110  */
  YYSYMBOL_579_111 = 579,                  /* $@111  */
  YYSYMBOL_580_112 = 580,                  /* $@112  */
  YYSYMBOL_581_113 = 581,                  /* $@113  */
  YYSYMBOL_582_114 = 582,                  /* $@114  */
  YYSYMBOL_583_115 = 583,                  /* $@115  */
  YYSYMBOL_labelcolors = 584,              /* labelcolors  */
  YYSYMBOL_585_116 = 585,                  /* $@116  */
  YYSYMBOL_586_117 = 586,                  /* $@117  */
  YYSYMBOL_labelcolor = 587,               /* labelcolor  */
  YYSYMBOL_588_118 = 588,                  /* $@118  */
  YYSYMBOL_589_119 = 589,                  /* $@119  */
  YYSYMBOL_590_120 = 590,                  /* $@120  */
  YYSYMBOL_faces = 591,                    /* faces  */
  YYSYMBOL_592_121 = 592,                  /* $@121  */
  YYSYMBOL_593_122 = 593,                  /* $@122  */
  YYSYMBOL_face = 594,                     /* face  */
  YYSYMBOL_595_123 = 595,                  /* $@123  */
  YYSYMBOL_596_124 = 596,                  /* $@124  */
  YYSYMBOL_startup = 597,                  /* startup  */
  YYSYMBOL_598_125 = 598,                  /* $@125  */
  YYSYMBOL_599_126 = 599,                  /* $@126  */
  YYSYMBOL_600_127 = 600,                  /* $@127  */
  YYSYMBOL_601_128 = 601,                  /* $@128  */
  YYSYMBOL_602_129 = 602,                  /* $@129  */
  YYSYMBOL_603_130 = 603,                  /* $@130  */
  YYSYMBOL_604_131 = 604,                  /* $@131  */
  YYSYMBOL_605_132 = 605,                  /* $@132  */
  YYSYMBOL_606_133 = 606,                  /* $@133  */
  YYSYMBOL_paths = 607,                    /* paths  */
  YYSYMBOL_608_134 = 608,                  /* $@134  */
  YYSYMBOL_609_135 = 609,                  /* $@135  */
  YYSYMBOL_path = 610,                     /* path  */
  YYSYMBOL_611_136 = 611,                  /* $@136  */
  YYSYMBOL_612_137 = 612,                  /* $@137  */
  YYSYMBOL_613_138 = 613,                  /* $@138  */
  YYSYMBOL_614_139 = 614,                  /* $@139  */
  YYSYMBOL_615_140 = 615,                  /* $@140  */
  YYSYMBOL_616_141 = 616,                  /* $@141  */
  YYSYMBOL_keylist = 617,                  /* keylist  */
  YYSYMBOL_618_142 = 618,                  /* $@142  */
  YYSYMBOL_619_143 = 619,                  /* $@143  */
  YYSYMBOL_620_144 = 620,                  /* $@144  */
  YYSYMBOL_621_145 = 621,                  /* $@145  */
  YYSYMBOL_622_146 = 622,                  /* $@146  */
  YYSYMBOL_623_147 = 623,                  /* $@147  */
  YYSYMBOL_624_148 = 624,                  /* $@148  */
  YYSYMBOL_625_149 = 625,                  /* $@149  */
  YYSYMBOL_626_150 = 626,                  /* $@150  */
  YYSYMBOL_627_151 = 627,                  /* $@151  */
  YYSYMBOL_mods = 628,                     /* mods  */
  YYSYMBOL_629_152 = 629,                  /* $@152  */
  YYSYMBOL_630_153 = 630,                  /* $@153  */
  YYSYMBOL_631_154 = 631,                  /* $@154  */
  YYSYMBOL_632_155 = 632,                  /* $@155  */
  YYSYMBOL_633_156 = 633,                  /* $@156  */
  YYSYMBOL_634_157 = 634,                  /* $@157  */
  YYSYMBOL_635_158 = 635,                  /* $@158  */
  YYSYMBOL_636_159 = 636,                  /* $@159  */
  YYSYMBOL_filetypes = 637,                /* filetypes  */
  YYSYMBOL_638_160 = 638,                  /* $@160  */
  YYSYMBOL_639_161 = 639,                  /* $@161  */
  YYSYMBOL_640_162 = 640,                  /* $@162  */
  YYSYMBOL_641_163 = 641,                  /* $@163  */
  YYSYMBOL_642_164 = 642,                  /* $@164  */
  YYSYMBOL_ignoredirs = 643,               /* ignoredirs  */
  YYSYMBOL_644_165 = 644,                  /* $@165  */
  YYSYMBOL_subfiletypes = 645,             /* subfiletypes  */
  YYSYMBOL_646_166 = 646,                  /* $@166  */
  YYSYMBOL_647_167 = 647,                  /* $@167  */
  YYSYMBOL_filetype = 648,                 /* filetype  */
  YYSYMBOL_649_168 = 649,                  /* $@168  */
  YYSYMBOL_650_169 = 650,                  /* $@169  */
  YYSYMBOL_651_170 = 651,                  /* $@170  */
  YYSYMBOL_652_171 = 652,                  /* $@171  */
  YYSYMBOL_653_172 = 653,                  /* $@172  */
  YYSYMBOL_654_173 = 654,                  /* $@173  */
  YYSYMBOL_655_174 = 655,                  /* $@174  */
  YYSYMBOL_656_175 = 656,                  /* $@175  */
  YYSYMBOL_657_176 = 657,                  /* $@176  */
  YYSYMBOL_658_177 = 658,                  /* $@177  */
  YYSYMBOL_659_178 = 659,                  /* $@178  */
  YYSYMBOL_660_179 = 660,                  /* $@179  */
  YYSYMBOL_661_180 = 661,                  /* $@180  */
  YYSYMBOL_662_181 = 662,                  /* $@181  */
  YYSYMBOL_663_182 = 663,                  /* $@182  */
  YYSYMBOL_664_183 = 664,                  /* $@183  */
  YYSYMBOL_665_184 = 665,                  /* $@184  */
  YYSYMBOL_666_185 = 666,                  /* $@185  */
  YYSYMBOL_667_186 = 667,                  /* $@186  */
  YYSYMBOL_668_187 = 668,                  /* $@187  */
  YYSYMBOL_669_188 = 669,                  /* $@188  */
  YYSYMBOL_670_189 = 670,                  /* $@189  */
  YYSYMBOL_671_190 = 671,                  /* $@190  */
  YYSYMBOL_672_191 = 672,                  /* $@191  */
  YYSYMBOL_673_192 = 673,                  /* $@192  */
  YYSYMBOL_674_193 = 674,                  /* $@193  */
  YYSYMBOL_675_194 = 675,                  /* $@194  */
  YYSYMBOL_filecontent = 676,              /* filecontent  */
  YYSYMBOL_677_195 = 677,                  /* $@195  */
  YYSYMBOL_ft_type = 678,                  /* ft_type  */
  YYSYMBOL_ftcommands = 679,               /* ftcommands  */
  YYSYMBOL_680_196 = 680,                  /* $@196  */
  YYSYMBOL_681_197 = 681,                  /* $@197  */
  YYSYMBOL_682_198 = 682,                  /* $@198  */
  YYSYMBOL_683_199 = 683,                  /* $@199  */
  YYSYMBOL_684_200 = 684,                  /* $@200  */
  YYSYMBOL_685_201 = 685,                  /* $@201  */
  YYSYMBOL_686_202 = 686,                  /* $@202  */
  YYSYMBOL_687_203 = 687,                  /* $@203  */
  YYSYMBOL_688_204 = 688,                  /* $@204  */
  YYSYMBOL_689_205 = 689,                  /* $@205  */
  YYSYMBOL_690_206 = 690,                  /* $@206  */
  YYSYMBOL_691_207 = 691,                  /* $@207  */
  YYSYMBOL_commands = 692,                 /* commands  */
  YYSYMBOL_flags = 693,                    /* flags  */
  YYSYMBOL_hotkeys = 694,                  /* hotkeys  */
  YYSYMBOL_695_208 = 695,                  /* $@208  */
  YYSYMBOL_696_209 = 696,                  /* $@209  */
  YYSYMBOL_hotkey = 697,                   /* hotkey  */
  YYSYMBOL_698_210 = 698,                  /* $@210  */
  YYSYMBOL_699_211 = 699,                  /* $@211  */
  YYSYMBOL_700_212 = 700,                  /* $@212  */
  YYSYMBOL_701_213 = 701,                  /* $@213  */
  YYSYMBOL_702_214 = 702,                  /* $@214  */
  YYSYMBOL_buttons = 703,                  /* buttons  */
  YYSYMBOL_704_215 = 704,                  /* $@215  */
  YYSYMBOL_705_216 = 705,                  /* $@216  */
  YYSYMBOL_button = 706,                   /* button  */
  YYSYMBOL_707_217 = 707,                  /* $@217  */
  YYSYMBOL_708_218 = 708,                  /* $@218  */
  YYSYMBOL_709_219 = 709,                  /* $@219  */
  YYSYMBOL_710_220 = 710,                  /* $@220  */
  YYSYMBOL_711_221 = 711,                  /* $@221  */
  YYSYMBOL_712_222 = 712,                  /* $@222  */
  YYSYMBOL_713_223 = 713,                  /* $@223  */
  YYSYMBOL_fonts = 714,                    /* fonts  */
  YYSYMBOL_715_224 = 715,                  /* $@224  */
  YYSYMBOL_716_225 = 716,                  /* $@225  */
  YYSYMBOL_717_226 = 717,                  /* $@226  */
  YYSYMBOL_718_227 = 718,                  /* $@227  */
  YYSYMBOL_719_228 = 719,                  /* $@228  */
  YYSYMBOL_720_229 = 720,                  /* $@229  */
  YYSYMBOL_xftfonts = 721,                 /* xftfonts  */
  YYSYMBOL_722_230 = 722,                  /* $@230  */
  YYSYMBOL_723_231 = 723,                  /* $@231  */
  YYSYMBOL_724_232 = 724,                  /* $@232  */
  YYSYMBOL_725_233 = 725,                  /* $@233  */
  YYSYMBOL_726_234 = 726,                  /* $@234  */
  YYSYMBOL_727_235 = 727,                  /* $@235  */
  YYSYMBOL_volumemanager = 728,            /* volumemanager  */
  YYSYMBOL_729_236 = 729,                  /* $@236  */
  YYSYMBOL_730_237 = 730,                  /* $@237  */
  YYSYMBOL_731_238 = 731,                  /* $@238  */
  YYSYMBOL_732_239 = 732,                  /* $@239  */
  YYSYMBOL_733_240 = 733,                  /* $@240  */
  YYSYMBOL_734_241 = 734,                  /* $@241  */
  YYSYMBOL_735_242 = 735,                  /* $@242  */
  YYSYMBOL_736_243 = 736,                  /* $@243  */
  YYSYMBOL_737_244 = 737,                  /* $@244  */
  YYSYMBOL_clockbarsets = 738,             /* clockbarsets  */
  YYSYMBOL_739_245 = 739,                  /* $@245  */
  YYSYMBOL_740_246 = 740,                  /* $@246  */
  YYSYMBOL_741_247 = 741,                  /* $@247  */
  YYSYMBOL_742_248 = 742,                  /* $@248  */
  YYSYMBOL_743_249 = 743,                  /* $@249  */
  YYSYMBOL_744_250 = 744,                  /* $@250  */
  YYSYMBOL_745_251 = 745,                  /* $@251  */
  YYSYMBOL_bool = 746,                     /* bool  */
  YYSYMBOL_command = 747,                  /* command  */
  YYSYMBOL_ownop = 748,                    /* ownop  */
  YYSYMBOL_749_252 = 749,                  /* $@252  */
  YYSYMBOL_ownopbody = 750,                /* ownopbody  */
  YYSYMBOL_751_253 = 751,                  /* $@253  */
  YYSYMBOL_752_254 = 752,                  /* $@254  */
  YYSYMBOL_753_255 = 753,                  /* $@255  */
  YYSYMBOL_754_256 = 754,                  /* $@256  */
  YYSYMBOL_755_257 = 755,                  /* $@257  */
  YYSYMBOL_756_258 = 756,                  /* $@258  */
  YYSYMBOL_757_259 = 757,                  /* $@259  */
  YYSYMBOL_758_260 = 758,                  /* $@260  */
  YYSYMBOL_759_261 = 759,                  /* $@261  */
  YYSYMBOL_760_262 = 760,                  /* $@262  */
  YYSYMBOL_761_263 = 761,                  /* $@263  */
  YYSYMBOL_762_264 = 762,                  /* $@264  */
  YYSYMBOL_763_265 = 763,                  /* $@265  */
  YYSYMBOL_764_266 = 764,                  /* $@266  */
  YYSYMBOL_dndaction = 765,                /* dndaction  */
  YYSYMBOL_766_267 = 766,                  /* $@267  */
  YYSYMBOL_dcaction = 767,                 /* dcaction  */
  YYSYMBOL_768_268 = 768,                  /* $@268  */
  YYSYMBOL_showaction = 769,               /* showaction  */
  YYSYMBOL_770_269 = 770,                  /* $@269  */
  YYSYMBOL_rshowaction = 771,              /* rshowaction  */
  YYSYMBOL_772_270 = 772,                  /* $@270  */
  YYSYMBOL_useraction = 773,               /* useraction  */
  YYSYMBOL_774_271 = 774,                  /* $@271  */
  YYSYMBOL_useractionbody = 775,           /* useractionbody  */
  YYSYMBOL_776_272 = 776,                  /* $@272  */
  YYSYMBOL_rowup = 777,                    /* rowup  */
  YYSYMBOL_778_273 = 778,                  /* $@273  */
  YYSYMBOL_rowdown = 779,                  /* rowdown  */
  YYSYMBOL_780_274 = 780,                  /* $@274  */
  YYSYMBOL_changehiddenflag = 781,         /* changehiddenflag  */
  YYSYMBOL_782_275 = 782,                  /* $@275  */
  YYSYMBOL_changehiddenflagbody = 783,     /* changehiddenflagbody  */
  YYSYMBOL_784_276 = 784,                  /* $@276  */
  YYSYMBOL_785_277 = 785,                  /* $@277  */
  YYSYMBOL_786_278 = 786,                  /* $@278  */
  YYSYMBOL_copyop = 787,                   /* copyop  */
  YYSYMBOL_788_279 = 788,                  /* $@279  */
  YYSYMBOL_copyopbody = 789,               /* copyopbody  */
  YYSYMBOL_790_280 = 790,                  /* $@280  */
  YYSYMBOL_791_281 = 791,                  /* $@281  */
  YYSYMBOL_792_282 = 792,                  /* $@282  */
  YYSYMBOL_793_283 = 793,                  /* $@283  */
  YYSYMBOL_794_284 = 794,                  /* $@284  */
  YYSYMBOL_795_285 = 795,                  /* $@285  */
  YYSYMBOL_796_286 = 796,                  /* $@286  */
  YYSYMBOL_797_287 = 797,                  /* $@287  */
  YYSYMBOL_798_288 = 798,                  /* $@288  */
  YYSYMBOL_799_289 = 799,                  /* $@289  */
  YYSYMBOL_800_290 = 800,                  /* $@290  */
  YYSYMBOL_801_291 = 801,                  /* $@291  */
  YYSYMBOL_802_292 = 802,                  /* $@292  */
  YYSYMBOL_803_293 = 803,                  /* $@293  */
  YYSYMBOL_804_294 = 804,                  /* $@294  */
  YYSYMBOL_805_295 = 805,                  /* $@295  */
  YYSYMBOL_806_296 = 806,                  /* $@296  */
  YYSYMBOL_807_297 = 807,                  /* $@297  */
  YYSYMBOL_808_298 = 808,                  /* $@298  */
  YYSYMBOL_809_299 = 809,                  /* $@299  */
  YYSYMBOL_firstrow = 810,                 /* firstrow  */
  YYSYMBOL_811_300 = 811,                  /* $@300  */
  YYSYMBOL_lastrow = 812,                  /* lastrow  */
  YYSYMBOL_813_301 = 813,                  /* $@301  */
  YYSYMBOL_pageup = 814,                   /* pageup  */
  YYSYMBOL_815_302 = 815,                  /* $@302  */
  YYSYMBOL_pagedown = 816,                 /* pagedown  */
  YYSYMBOL_817_303 = 817,                  /* $@303  */
  YYSYMBOL_selectop = 818,                 /* selectop  */
  YYSYMBOL_819_304 = 819,                  /* $@304  */
  YYSYMBOL_selectallop = 820,              /* selectallop  */
  YYSYMBOL_821_305 = 821,                  /* $@305  */
  YYSYMBOL_selectnoneop = 822,             /* selectnoneop  */
  YYSYMBOL_823_306 = 823,                  /* $@306  */
  YYSYMBOL_invertallop = 824,              /* invertallop  */
  YYSYMBOL_825_307 = 825,                  /* $@307  */
  YYSYMBOL_parentdirop = 826,              /* parentdirop  */
  YYSYMBOL_827_308 = 827,                  /* $@308  */
  YYSYMBOL_enterdirop = 828,               /* enterdirop  */
  YYSYMBOL_829_309 = 829,                  /* $@309  */
  YYSYMBOL_enterdiropbody = 830,           /* enterdiropbody  */
  YYSYMBOL_831_310 = 831,                  /* $@310  */
  YYSYMBOL_832_311 = 832,                  /* $@311  */
  YYSYMBOL_833_312 = 833,                  /* $@312  */
  YYSYMBOL_834_313 = 834,                  /* $@313  */
  YYSYMBOL_835_314 = 835,                  /* $@314  */
  YYSYMBOL_changelistersetop = 836,        /* changelistersetop  */
  YYSYMBOL_837_315 = 837,                  /* $@315  */
  YYSYMBOL_changelistersetopbody = 838,    /* changelistersetopbody  */
  YYSYMBOL_839_316 = 839,                  /* $@316  */
  YYSYMBOL_840_317 = 840,                  /* $@317  */
  YYSYMBOL_841_318 = 841,                  /* $@318  */
  YYSYMBOL_842_319 = 842,                  /* $@319  */
  YYSYMBOL_switchlisterop = 843,           /* switchlisterop  */
  YYSYMBOL_844_320 = 844,                  /* $@320  */
  YYSYMBOL_filterselectop = 845,           /* filterselectop  */
  YYSYMBOL_846_321 = 846,                  /* $@321  */
  YYSYMBOL_filterselectopbody = 847,       /* filterselectopbody  */
  YYSYMBOL_848_322 = 848,                  /* $@322  */
  YYSYMBOL_849_323 = 849,                  /* $@323  */
  YYSYMBOL_850_324 = 850,                  /* $@324  */
  YYSYMBOL_filterunselectop = 851,         /* filterunselectop  */
  YYSYMBOL_852_325 = 852,                  /* $@325  */
  YYSYMBOL_filterunselectopbody = 853,     /* filterunselectopbody  */
  YYSYMBOL_854_326 = 854,                  /* $@326  */
  YYSYMBOL_855_327 = 855,                  /* $@327  */
  YYSYMBOL_856_328 = 856,                  /* $@328  */
  YYSYMBOL_pathtoothersideop = 857,        /* pathtoothersideop  */
  YYSYMBOL_858_329 = 858,                  /* $@329  */
  YYSYMBOL_quitop = 859,                   /* quitop  */
  YYSYMBOL_860_330 = 860,                  /* $@330  */
  YYSYMBOL_quitopbody = 861,               /* quitopbody  */
  YYSYMBOL_862_331 = 862,                  /* $@331  */
  YYSYMBOL_863_332 = 863,                  /* $@332  */
  YYSYMBOL_deleteop = 864,                 /* deleteop  */
  YYSYMBOL_865_333 = 865,                  /* $@333  */
  YYSYMBOL_deleteopbody = 866,             /* deleteopbody  */
  YYSYMBOL_867_334 = 867,                  /* $@334  */
  YYSYMBOL_reloadop = 868,                 /* reloadop  */
  YYSYMBOL_869_335 = 869,                  /* $@335  */
  YYSYMBOL_reloadopbody = 870,             /* reloadopbody  */
  YYSYMBOL_871_336 = 871,                  /* $@336  */
  YYSYMBOL_872_337 = 872,                  /* $@337  */
  YYSYMBOL_873_338 = 873,                  /* $@338  */
  YYSYMBOL_874_339 = 874,                  /* $@339  */
  YYSYMBOL_875_340 = 875,                  /* $@340  */
  YYSYMBOL_876_341 = 876,                  /* $@341  */
  YYSYMBOL_makedirop = 877,                /* makedirop  */
  YYSYMBOL_878_342 = 878,                  /* $@342  */
  YYSYMBOL_renameop = 879,                 /* renameop  */
  YYSYMBOL_880_343 = 880,                  /* $@343  */
  YYSYMBOL_dirsizeop = 881,                /* dirsizeop  */
  YYSYMBOL_882_344 = 882,                  /* $@344  */
  YYSYMBOL_simddop = 883,                  /* simddop  */
  YYSYMBOL_884_345 = 884,                  /* $@345  */
  YYSYMBOL_startprogop = 885,              /* startprogop  */
  YYSYMBOL_886_346 = 886,                  /* $@346  */
  YYSYMBOL_startprogopbody = 887,          /* startprogopbody  */
  YYSYMBOL_888_347 = 888,                  /* $@347  */
  YYSYMBOL_889_348 = 889,                  /* $@348  */
  YYSYMBOL_890_349 = 890,                  /* $@349  */
  YYSYMBOL_891_350 = 891,                  /* $@350  */
  YYSYMBOL_892_351 = 892,                  /* $@351  */
  YYSYMBOL_893_352 = 893,                  /* $@352  */
  YYSYMBOL_894_353 = 894,                  /* $@353  */
  YYSYMBOL_895_354 = 895,                  /* $@354  */
  YYSYMBOL_896_355 = 896,                  /* $@355  */
  YYSYMBOL_897_356 = 897,                  /* $@356  */
  YYSYMBOL_searchentryop = 898,            /* searchentryop  */
  YYSYMBOL_899_357 = 899,                  /* $@357  */
  YYSYMBOL_searchentryopbody = 900,        /* searchentryopbody  */
  YYSYMBOL_901_358 = 901,                  /* $@358  */
  YYSYMBOL_902_359 = 902,                  /* $@359  */
  YYSYMBOL_903_360 = 903,                  /* $@360  */
  YYSYMBOL_904_361 = 904,                  /* $@361  */
  YYSYMBOL_enterpathop = 905,              /* enterpathop  */
  YYSYMBOL_906_362 = 906,                  /* $@362  */
  YYSYMBOL_enterpathopbody = 907,          /* enterpathopbody  */
  YYSYMBOL_908_363 = 908,                  /* $@363  */
  YYSYMBOL_909_364 = 909,                  /* $@364  */
  YYSYMBOL_910_365 = 910,                  /* $@365  */
  YYSYMBOL_911_366 = 911,                  /* $@366  */
  YYSYMBOL_scrolllisterop = 912,           /* scrolllisterop  */
  YYSYMBOL_913_367 = 913,                  /* $@367  */
  YYSYMBOL_scrolllisteropbody = 914,       /* scrolllisteropbody  */
  YYSYMBOL_915_368 = 915,                  /* $@368  */
  YYSYMBOL_916_369 = 916,                  /* $@369  */
  YYSYMBOL_createsymlinkop = 917,          /* createsymlinkop  */
  YYSYMBOL_918_370 = 918,                  /* $@370  */
  YYSYMBOL_createsymlinkopbody = 919,      /* createsymlinkopbody  */
  YYSYMBOL_920_371 = 920,                  /* $@371  */
  YYSYMBOL_921_372 = 921,                  /* $@372  */
  YYSYMBOL_922_373 = 922,                  /* $@373  */
  YYSYMBOL_changesymlinkop = 923,          /* changesymlinkop  */
  YYSYMBOL_924_374 = 924,                  /* $@374  */
  YYSYMBOL_changesymlinkopbody = 925,      /* changesymlinkopbody  */
  YYSYMBOL_926_375 = 926,                  /* $@375  */
  YYSYMBOL_927_376 = 927,                  /* $@376  */
  YYSYMBOL_928_377 = 928,                  /* $@377  */
  YYSYMBOL_chmodop = 929,                  /* chmodop  */
  YYSYMBOL_930_378 = 930,                  /* $@378  */
  YYSYMBOL_chmodopbody = 931,              /* chmodopbody  */
  YYSYMBOL_932_379 = 932,                  /* $@379  */
  YYSYMBOL_933_380 = 933,                  /* $@380  */
  YYSYMBOL_934_381 = 934,                  /* $@381  */
  YYSYMBOL_935_382 = 935,                  /* $@382  */
  YYSYMBOL_936_383 = 936,                  /* $@383  */
  YYSYMBOL_937_384 = 937,                  /* $@384  */
  YYSYMBOL_938_385 = 938,                  /* $@385  */
  YYSYMBOL_939_386 = 939,                  /* $@386  */
  YYSYMBOL_940_387 = 940,                  /* $@387  */
  YYSYMBOL_chtimeop = 941,                 /* chtimeop  */
  YYSYMBOL_942_388 = 942,                  /* $@388  */
  YYSYMBOL_chtimeopbody = 943,             /* chtimeopbody  */
  YYSYMBOL_944_389 = 944,                  /* $@389  */
  YYSYMBOL_945_390 = 945,                  /* $@390  */
  YYSYMBOL_946_391 = 946,                  /* $@391  */
  YYSYMBOL_947_392 = 947,                  /* $@392  */
  YYSYMBOL_togglelistermodeop = 948,       /* togglelistermodeop  */
  YYSYMBOL_949_393 = 949,                  /* $@393  */
  YYSYMBOL_togglelistermodeopbody = 950,   /* togglelistermodeopbody  */
  YYSYMBOL_951_394 = 951,                  /* $@394  */
  YYSYMBOL_setsortmodeop = 952,            /* setsortmodeop  */
  YYSYMBOL_953_395 = 953,                  /* $@395  */
  YYSYMBOL_setsortmodeopbody = 954,        /* setsortmodeopbody  */
  YYSYMBOL_955_396 = 955,                  /* $@396  */
  YYSYMBOL_956_397 = 956,                  /* $@397  */
  YYSYMBOL_957_398 = 957,                  /* $@398  */
  YYSYMBOL_958_399 = 958,                  /* $@399  */
  YYSYMBOL_959_400 = 959,                  /* $@400  */
  YYSYMBOL_960_401 = 960,                  /* $@401  */
  YYSYMBOL_961_402 = 961,                  /* $@402  */
  YYSYMBOL_962_403 = 962,                  /* $@403  */
  YYSYMBOL_963_404 = 963,                  /* $@404  */
  YYSYMBOL_964_405 = 964,                  /* $@405  */
  YYSYMBOL_965_406 = 965,                  /* $@406  */
  YYSYMBOL_966_407 = 966,                  /* $@407  */
  YYSYMBOL_967_408 = 967,                  /* $@408  */
  YYSYMBOL_968_409 = 968,                  /* $@409  */
  YYSYMBOL_setfilterop = 969,              /* setfilterop  */
  YYSYMBOL_970_410 = 970,                  /* $@410  */
  YYSYMBOL_setfilteropbody = 971,          /* setfilteropbody  */
  YYSYMBOL_972_411 = 972,                  /* $@411  */
  YYSYMBOL_973_412 = 973,                  /* $@412  */
  YYSYMBOL_974_413 = 974,                  /* $@413  */
  YYSYMBOL_975_414 = 975,                  /* $@414  */
  YYSYMBOL_976_415 = 976,                  /* $@415  */
  YYSYMBOL_977_416 = 977,                  /* $@416  */
  YYSYMBOL_978_417 = 978,                  /* $@417  */
  YYSYMBOL_979_418 = 979,                  /* $@418  */
  YYSYMBOL_980_419 = 980,                  /* $@419  */
  YYSYMBOL_981_420 = 981,                  /* $@420  */
  YYSYMBOL_982_421 = 982,                  /* $@421  */
  YYSYMBOL_983_422 = 983,                  /* $@422  */
  YYSYMBOL_984_423 = 984,                  /* $@423  */
  YYSYMBOL_985_424 = 985,                  /* $@424  */
  YYSYMBOL_986_425 = 986,                  /* $@425  */
  YYSYMBOL_shortkeyfromlistop = 987,       /* shortkeyfromlistop  */
  YYSYMBOL_988_426 = 988,                  /* $@426  */
  YYSYMBOL_chownop = 989,                  /* chownop  */
  YYSYMBOL_990_427 = 990,                  /* $@427  */
  YYSYMBOL_chownopbody = 991,              /* chownopbody  */
  YYSYMBOL_992_428 = 992,                  /* $@428  */
  YYSYMBOL_993_429 = 993,                  /* $@429  */
  YYSYMBOL_994_430 = 994,                  /* $@430  */
  YYSYMBOL_995_431 = 995,                  /* $@431  */
  YYSYMBOL_scriptop = 996,                 /* scriptop  */
  YYSYMBOL_997_432 = 997,                  /* $@432  */
  YYSYMBOL_scriptopbody = 998,             /* scriptopbody  */
  YYSYMBOL_999_433 = 999,                  /* $@433  */
  YYSYMBOL_1000_434 = 1000,                /* $@434  */
  YYSYMBOL_1001_435 = 1001,                /* $@435  */
  YYSYMBOL_1002_436 = 1002,                /* $@436  */
  YYSYMBOL_1003_437 = 1003,                /* $@437  */
  YYSYMBOL_1004_438 = 1004,                /* $@438  */
  YYSYMBOL_1005_439 = 1005,                /* $@439  */
  YYSYMBOL_1006_440 = 1006,                /* $@440  */
  YYSYMBOL_1007_441 = 1007,                /* $@441  */
  YYSYMBOL_1008_442 = 1008,                /* $@442  */
  YYSYMBOL_1009_443 = 1009,                /* $@443  */
  YYSYMBOL_1010_444 = 1010,                /* $@444  */
  YYSYMBOL_1011_445 = 1011,                /* $@445  */
  YYSYMBOL_1012_446 = 1012,                /* $@446  */
  YYSYMBOL_1013_447 = 1013,                /* $@447  */
  YYSYMBOL_1014_448 = 1014,                /* $@448  */
  YYSYMBOL_1015_449 = 1015,                /* $@449  */
  YYSYMBOL_1016_450 = 1016,                /* $@450  */
  YYSYMBOL_1017_451 = 1017,                /* $@451  */
  YYSYMBOL_1018_452 = 1018,                /* $@452  */
  YYSYMBOL_1019_453 = 1019,                /* $@453  */
  YYSYMBOL_1020_454 = 1020,                /* $@454  */
  YYSYMBOL_1021_455 = 1021,                /* $@455  */
  YYSYMBOL_1022_456 = 1022,                /* $@456  */
  YYSYMBOL_1023_457 = 1023,                /* $@457  */
  YYSYMBOL_1024_458 = 1024,                /* $@458  */
  YYSYMBOL_1025_459 = 1025,                /* $@459  */
  YYSYMBOL_1026_460 = 1026,                /* $@460  */
  YYSYMBOL_1027_461 = 1027,                /* $@461  */
  YYSYMBOL_showdircacheop = 1028,          /* showdircacheop  */
  YYSYMBOL_1029_462 = 1029,                /* $@462  */
  YYSYMBOL_parentactionop = 1030,          /* parentactionop  */
  YYSYMBOL_1031_463 = 1031,                /* $@463  */
  YYSYMBOL_nooperationop = 1032,           /* nooperationop  */
  YYSYMBOL_1033_464 = 1033,                /* $@464  */
  YYSYMBOL_goftpop = 1034,                 /* goftpop  */
  YYSYMBOL_1035_465 = 1035,                /* $@465  */
  YYSYMBOL_goftpopbody = 1036,             /* goftpopbody  */
  YYSYMBOL_1037_466 = 1037,                /* $@466  */
  YYSYMBOL_1038_467 = 1038,                /* $@467  */
  YYSYMBOL_1039_468 = 1039,                /* $@468  */
  YYSYMBOL_1040_469 = 1040,                /* $@469  */
  YYSYMBOL_1041_470 = 1041,                /* $@470  */
  YYSYMBOL_1042_471 = 1042,                /* $@471  */
  YYSYMBOL_1043_472 = 1043,                /* $@472  */
  YYSYMBOL_internalviewop = 1044,          /* internalviewop  */
  YYSYMBOL_1045_473 = 1045,                /* $@473  */
  YYSYMBOL_internalviewopbody = 1046,      /* internalviewopbody  */
  YYSYMBOL_1047_474 = 1047,                /* $@474  */
  YYSYMBOL_1048_475 = 1048,                /* $@475  */
  YYSYMBOL_1049_476 = 1049,                /* $@476  */
  YYSYMBOL_1050_477 = 1050,                /* $@477  */
  YYSYMBOL_clipboardop = 1051,             /* clipboardop  */
  YYSYMBOL_1052_478 = 1052,                /* $@478  */
  YYSYMBOL_clipboardopbody = 1053,         /* clipboardopbody  */
  YYSYMBOL_1054_479 = 1054,                /* $@479  */
  YYSYMBOL_searchop = 1055,                /* searchop  */
  YYSYMBOL_1056_480 = 1056,                /* $@480  */
  YYSYMBOL_searchopbody = 1057,            /* searchopbody  */
  YYSYMBOL_1058_481 = 1058,                /* $@481  */
  YYSYMBOL_1059_482 = 1059,                /* $@482  */
  YYSYMBOL_dirbookmarkop = 1060,           /* dirbookmarkop  */
  YYSYMBOL_1061_483 = 1061,                /* $@483  */
  YYSYMBOL_opencontextmenuop = 1062,       /* opencontextmenuop  */
  YYSYMBOL_1063_484 = 1063,                /* $@484  */
  YYSYMBOL_opencontextmenuopbody = 1064,   /* opencontextmenuopbody  */
  YYSYMBOL_1065_485 = 1065,                /* $@485  */
  YYSYMBOL_runcustomaction = 1066,         /* runcustomaction  */
  YYSYMBOL_1067_486 = 1067,                /* $@486  */
  YYSYMBOL_runcustomactionbody = 1068,     /* runcustomactionbody  */
  YYSYMBOL_1069_487 = 1069,                /* $@487  */
  YYSYMBOL_openworkermenuop = 1070,        /* openworkermenuop  */
  YYSYMBOL_1071_488 = 1071,                /* $@488  */
  YYSYMBOL_changelabelop = 1072,           /* changelabelop  */
  YYSYMBOL_1073_489 = 1073,                /* $@489  */
  YYSYMBOL_changelabelopbody = 1074,       /* changelabelopbody  */
  YYSYMBOL_1075_490 = 1075,                /* $@490  */
  YYSYMBOL_1076_491 = 1076,                /* $@491  */
  YYSYMBOL_modifytabsop = 1077,            /* modifytabsop  */
  YYSYMBOL_1078_492 = 1078,                /* $@492  */
  YYSYMBOL_modifytabsopbody = 1079,        /* modifytabsopbody  */
  YYSYMBOL_1080_493 = 1080,                /* $@493  */
  YYSYMBOL_1081_494 = 1081,                /* $@494  */
  YYSYMBOL_1082_495 = 1082,                /* $@495  */
  YYSYMBOL_1083_496 = 1083,                /* $@496  */
  YYSYMBOL_1084_497 = 1084,                /* $@497  */
  YYSYMBOL_1085_498 = 1085,                /* $@498  */
  YYSYMBOL_1086_499 = 1086,                /* $@499  */
  YYSYMBOL_changelayoutop = 1087,          /* changelayoutop  */
  YYSYMBOL_1088_500 = 1088,                /* $@500  */
  YYSYMBOL_changelayoutopbody = 1089,      /* changelayoutopbody  */
  YYSYMBOL_1090_501 = 1090,                /* $@501  */
  YYSYMBOL_1091_502 = 1091,                /* $@502  */
  YYSYMBOL_1092_503 = 1092,                /* $@503  */
  YYSYMBOL_1093_504 = 1093,                /* $@504  */
  YYSYMBOL_1094_505 = 1094,                /* $@505  */
  YYSYMBOL_1095_506 = 1095,                /* $@506  */
  YYSYMBOL_1096_507 = 1096,                /* $@507  */
  YYSYMBOL_1097_508 = 1097,                /* $@508  */
  YYSYMBOL_1098_509 = 1098,                /* $@509  */
  YYSYMBOL_1099_510 = 1099,                /* $@510  */
  YYSYMBOL_1100_511 = 1100,                /* $@511  */
  YYSYMBOL_1101_512 = 1101,                /* $@512  */
  YYSYMBOL_1102_513 = 1102,                /* $@513  */
  YYSYMBOL_changecolumnsop = 1103,         /* changecolumnsop  */
  YYSYMBOL_1104_514 = 1104,                /* $@514  */
  YYSYMBOL_changecolumnsopbody = 1105,     /* changecolumnsopbody  */
  YYSYMBOL_1106_515 = 1106,                /* $@515  */
  YYSYMBOL_1107_516 = 1107,                /* $@516  */
  YYSYMBOL_1108_517 = 1108,                /* $@517  */
  YYSYMBOL_1109_518 = 1109,                /* $@518  */
  YYSYMBOL_1110_519 = 1110,                /* $@519  */
  YYSYMBOL_1111_520 = 1111,                /* $@520  */
  YYSYMBOL_1112_521 = 1112,                /* $@521  */
  YYSYMBOL_1113_522 = 1113,                /* $@522  */
  YYSYMBOL_1114_523 = 1114,                /* $@523  */
  YYSYMBOL_1115_524 = 1115,                /* $@524  */
  YYSYMBOL_1116_525 = 1116,                /* $@525  */
  YYSYMBOL_1117_526 = 1117,                /* $@526  */
  YYSYMBOL_1118_527 = 1118,                /* $@527  */
  YYSYMBOL_1119_528 = 1119,                /* $@528  */
  YYSYMBOL_volumemanagerop = 1120,         /* volumemanagerop  */
  YYSYMBOL_1121_529 = 1121,                /* $@529  */
  YYSYMBOL_switchbuttonbankop = 1122,      /* switchbuttonbankop  */
  YYSYMBOL_1123_530 = 1123,                /* $@530  */
  YYSYMBOL_switchbuttonbankopbody = 1124,  /* switchbuttonbankopbody  */
  YYSYMBOL_1125_531 = 1125,                /* $@531  */
  YYSYMBOL_1126_532 = 1126,                /* $@532  */
  YYSYMBOL_1127_533 = 1127,                /* $@533  */
  YYSYMBOL_1128_534 = 1128,                /* $@534  */
  YYSYMBOL_pathjumpop = 1129,              /* pathjumpop  */
  YYSYMBOL_1130_535 = 1130,                /* $@535  */
  YYSYMBOL_pathjumpopbody = 1131,          /* pathjumpopbody  */
  YYSYMBOL_1132_536 = 1132,                /* $@536  */
  YYSYMBOL_1133_537 = 1133,                /* $@537  */
  YYSYMBOL_1134_538 = 1134,                /* $@538  */
  YYSYMBOL_1135_539 = 1135,                /* $@539  */
  YYSYMBOL_1136_540 = 1136,                /* $@540  */
  YYSYMBOL_1137_541 = 1137,                /* $@541  */
  YYSYMBOL_1138_542 = 1138,                /* $@542  */
  YYSYMBOL_1139_543 = 1139,                /* $@543  */
  YYSYMBOL_commandmenuop = 1140,           /* commandmenuop  */
  YYSYMBOL_1141_544 = 1141,                /* $@544  */
  YYSYMBOL_commandmenuopbody = 1142,       /* commandmenuopbody  */
  YYSYMBOL_1143_545 = 1143,                /* $@545  */
  YYSYMBOL_viewnewestfilesop = 1144,       /* viewnewestfilesop  */
  YYSYMBOL_1145_546 = 1145,                /* $@546  */
  YYSYMBOL_dircompareop = 1146,            /* dircompareop  */
  YYSYMBOL_1147_547 = 1147,                /* $@547  */
  YYSYMBOL_tabprofilesop = 1148,           /* tabprofilesop  */
  YYSYMBOL_1149_548 = 1149,                /* $@548  */
  YYSYMBOL_externalvdirop = 1150,          /* externalvdirop  */
  YYSYMBOL_1151_549 = 1151,                /* $@549  */
  YYSYMBOL_externalvdiropbody = 1152,      /* externalvdiropbody  */
  YYSYMBOL_1153_550 = 1153,                /* $@550  */
  YYSYMBOL_opentabmenuop = 1154,           /* opentabmenuop  */
  YYSYMBOL_1155_551 = 1155,                /* $@551  */
  YYSYMBOL_directorypresets = 1156,        /* directorypresets  */
  YYSYMBOL_1157_552 = 1157,                /* $@552  */
  YYSYMBOL_1158_553 = 1158,                /* $@553  */
  YYSYMBOL_directorypreset = 1159,         /* directorypreset  */
  YYSYMBOL_1160_554 = 1160,                /* $@554  */
  YYSYMBOL_1161_555 = 1161,                /* $@555  */
  YYSYMBOL_1162_556 = 1162,                /* $@556  */
  YYSYMBOL_1163_557 = 1163,                /* $@557  */
  YYSYMBOL_1164_558 = 1164,                /* $@558  */
  YYSYMBOL_1165_559 = 1165,                /* $@559  */
  YYSYMBOL_1166_560 = 1166,                /* $@560  */
  YYSYMBOL_1167_561 = 1167,                /* $@561  */
  YYSYMBOL_1168_562 = 1168,                /* $@562  */
  YYSYMBOL_1169_563 = 1169,                /* $@563  */
  YYSYMBOL_1170_564 = 1170,                /* $@564  */
  YYSYMBOL_1171_565 = 1171,                /* $@565  */
  YYSYMBOL_1172_566 = 1172,                /* $@566  */
  YYSYMBOL_1173_567 = 1173,                /* $@567  */
  YYSYMBOL_1174_568 = 1174,                /* $@568  */
  YYSYMBOL_1175_569 = 1175,                /* $@569  */
  YYSYMBOL_1176_570 = 1176,                /* $@570  */
  YYSYMBOL_1177_571 = 1177,                /* $@571  */
  YYSYMBOL_1178_572 = 1178,                /* $@572  */
  YYSYMBOL_directorypreset_filter = 1179,  /* directorypreset_filter  */
  YYSYMBOL_1180_573 = 1180,                /* $@573  */
  YYSYMBOL_1181_574 = 1181,                /* $@574  */
  YYSYMBOL_1182_575 = 1182,                /* $@575  */
  YYSYMBOL_helpop = 1183,                  /* helpop  */
  YYSYMBOL_1184_576 = 1184,                /* $@576  */
  YYSYMBOL_viewcommandlogop = 1185,        /* viewcommandlogop  */
  YYSYMBOL_1186_577 = 1186                 /* $@577  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2581

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  455
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  732
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1286
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3051

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   705


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   454,     2,   451,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   452,
       2,   453,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   331,   331,   331,   331,   334,   335,   336,   335,   339,
     340,   341,   340,   352,   353,   352,   364,   365,   364,   376,
     377,   376,   388,   389,   390,   391,   392,   393,   392,   396,
     397,   396,   399,   401,   401,   402,   404,   404,   405,   407,
     407,   408,   408,   409,   409,   410,   410,   411,   412,   412,
     413,   413,   414,   414,   415,   415,   416,   416,   418,   419,
     419,   420,   420,   421,   422,   422,   423,   423,   424,   424,
     425,   425,   426,   426,   427,   428,   428,   429,   431,   431,
     432,   432,   433,   433,   434,   434,   435,   435,   436,   436,
     437,   437,   438,   438,   439,   439,   440,   440,   441,   441,
     442,   442,   443,   443,   444,   446,   446,   447,   449,   449,
     450,   450,   451,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   458,   458,   459,   459,   460,   462,   462,
     463,   463,   464,   464,   465,   465,   466,   466,   467,   467,
     468,   468,   469,   469,   470,   470,   471,   471,   472,   472,
     473,   473,   474,   474,   475,   475,   476,   478,   478,   479,
     479,   480,   480,   481,   481,   482,   482,   483,   483,   484,
     484,   485,   485,   486,   486,   487,   487,   488,   488,   489,
     491,   491,   492,   492,   493,   493,   494,   494,   495,   495,
     496,   496,   497,   498,   497,   499,   500,   499,   501,   502,
     501,   503,   505,   505,   509,   509,   513,   513,   517,   517,
     521,   521,   525,   525,   529,   529,   533,   533,   537,   537,
     541,   541,   545,   545,   549,   549,   553,   553,   557,   557,
     561,   561,   564,   564,   568,   568,   572,   572,   576,   577,
     576,   582,   584,   586,   593,   586,   596,   598,   598,   602,
     602,   606,   606,   607,   609,   613,   609,   616,   618,   618,
     621,   621,   622,   624,   624,   625,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   630,   630,   631,   631,   632,
     632,   633,   635,   636,   635,   642,   644,   644,   648,   648,
     649,   649,   652,   652,   653,   654,   653,   666,   668,   671,
     676,   677,   668,   679,   682,   687,   688,   693,   694,   679,
     696,   698,   698,   699,   699,   700,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   708,   709,
     708,   712,   713,   712,   724,   724,   725,   727,   727,   728,
     730,   733,   730,   742,   744,   744,   745,   745,   746,   746,
     747,   747,   748,   748,   750,   750,   751,   751,   752,   752,
     753,   753,   754,   755,   755,   756,   756,   757,   758,   758,
     761,   761,   764,   764,   767,   767,   770,   770,   771,   771,
     772,   772,   773,   773,   774,   774,   775,   775,   776,   776,
     777,   777,   778,   778,   779,   779,   780,   780,   781,   781,
     782,   784,   784,   785,   787,   788,   789,   790,   791,   794,
     795,   794,   798,   799,   798,   802,   803,   802,   806,   807,
     806,   810,   811,   810,   814,   817,   814,   820,   822,   823,
     824,   826,   828,   829,   828,   832,   834,   834,   835,   836,
     835,   839,   840,   839,   852,   854,   855,   854,   861,   863,
     863,   867,   867,   868,   868,   871,   872,   871,   875,   876,
     875,   888,   891,   890,   898,   897,   905,   904,   912,   911,
     919,   918,   926,   925,   932,   935,   934,   942,   941,   949,
     948,   956,   955,   963,   962,   970,   969,   976,   979,   978,
     983,   982,   987,   986,   991,   990,   995,   994,   999,   998,
    1003,  1002,  1007,  1006,  1011,  1010,  1014,  1016,  1016,  1017,
    1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,
    1022,  1023,  1025,  1026,  1028,  1029,  1030,  1031,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
    1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,  1062,  1063,
    1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,  1072,  1073,
    1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,  1098,  1099,  1101,  1101,  1104,  1104,
    1105,  1105,  1106,  1106,  1107,  1107,  1108,  1108,  1109,  1109,
    1110,  1110,  1111,  1111,  1112,  1112,  1113,  1113,  1114,  1114,
    1115,  1115,  1116,  1116,  1117,  1117,  1118,  1120,  1120,  1123,
    1123,  1126,  1126,  1129,  1129,  1132,  1132,  1135,  1135,  1136,
    1138,  1138,  1145,  1145,  1152,  1152,  1155,  1155,  1156,  1156,
    1157,  1157,  1158,  1160,  1160,  1163,  1163,  1164,  1164,  1165,
    1165,  1166,  1166,  1167,  1167,  1168,  1168,  1169,  1169,  1170,
    1170,  1171,  1171,  1172,  1172,  1173,  1173,  1174,  1174,  1175,
    1175,  1176,  1176,  1177,  1177,  1178,  1178,  1179,  1179,  1180,
    1180,  1181,  1181,  1182,  1182,  1183,  1185,  1185,  1192,  1192,
    1199,  1199,  1206,  1206,  1213,  1213,  1220,  1220,  1227,  1227,
    1234,  1234,  1241,  1241,  1248,  1248,  1251,  1251,  1252,  1252,
    1253,  1253,  1254,  1254,  1255,  1255,  1256,  1258,  1258,  1261,
    1261,  1262,  1262,  1263,  1263,  1264,  1264,  1265,  1267,  1267,
    1270,  1270,  1273,  1273,  1274,  1274,  1275,  1275,  1276,  1278,
    1278,  1281,  1281,  1282,  1282,  1283,  1283,  1284,  1286,  1286,
    1289,  1289,  1292,  1292,  1293,  1293,  1294,  1296,  1296,  1299,
    1299,  1300,  1302,  1302,  1305,  1305,  1306,  1306,  1307,  1307,
    1308,  1308,  1309,  1309,  1310,  1310,  1311,  1313,  1313,  1316,
    1316,  1319,  1319,  1322,  1322,  1329,  1329,  1332,  1332,  1333,
    1333,  1334,  1334,  1335,  1335,  1336,  1336,  1337,  1337,  1338,
    1338,  1339,  1339,  1340,  1340,  1341,  1341,  1342,  1344,  1344,
    1347,  1347,  1348,  1348,  1349,  1349,  1350,  1350,  1351,  1353,
    1353,  1356,  1356,  1357,  1357,  1358,  1358,  1359,  1359,  1360,
    1362,  1362,  1365,  1365,  1366,  1366,  1367,  1369,  1369,  1372,
    1372,  1373,  1373,  1374,  1374,  1375,  1377,  1377,  1380,  1380,
    1381,  1381,  1382,  1382,  1383,  1385,  1385,  1388,  1388,  1389,
    1389,  1390,  1390,  1391,  1391,  1392,  1392,  1393,  1393,  1394,
    1394,  1395,  1395,  1396,  1396,  1397,  1399,  1399,  1402,  1402,
    1403,  1403,  1404,  1404,  1405,  1405,  1406,  1408,  1408,  1411,
    1411,  1412,  1414,  1414,  1419,  1419,  1420,  1420,  1421,  1421,
    1422,  1422,  1423,  1423,  1424,  1424,  1425,  1425,  1426,  1426,
    1427,  1427,  1428,  1428,  1429,  1429,  1430,  1430,  1431,  1431,
    1432,  1432,  1433,  1435,  1435,  1438,  1438,  1439,  1439,  1440,
    1440,  1441,  1441,  1442,  1442,  1443,  1443,  1444,  1444,  1445,
    1445,  1446,  1446,  1447,  1447,  1448,  1448,  1449,  1449,  1450,
    1450,  1451,  1451,  1452,  1452,  1453,  1455,  1455,  1458,  1458,
    1461,  1461,  1462,  1462,  1463,  1463,  1464,  1464,  1465,  1467,
    1467,  1470,  1470,  1471,  1471,  1472,  1472,  1473,  1473,  1474,
    1474,  1475,  1475,  1476,  1476,  1477,  1477,  1478,  1478,  1479,
    1479,  1480,  1480,  1481,  1481,  1482,  1482,  1483,  1483,  1484,
    1484,  1485,  1485,  1486,  1486,  1487,  1487,  1488,  1488,  1489,
    1489,  1490,  1490,  1491,  1491,  1492,  1492,  1493,  1493,  1494,
    1494,  1495,  1495,  1496,  1496,  1497,  1497,  1498,  1498,  1499,
    1501,  1501,  1504,  1504,  1507,  1507,  1510,  1510,  1513,  1513,
    1514,  1514,  1515,  1515,  1516,  1516,  1517,  1517,  1518,  1518,
    1519,  1519,  1520,  1522,  1522,  1525,  1525,  1526,  1526,  1527,
    1527,  1528,  1528,  1530,  1532,  1532,  1535,  1535,  1536,  1538,
    1538,  1541,  1541,  1542,  1542,  1543,  1545,  1545,  1548,  1548,
    1551,  1551,  1552,  1554,  1554,  1557,  1557,  1558,  1560,  1560,
    1563,  1563,  1566,  1566,  1567,  1567,  1568,  1570,  1570,  1573,
    1573,  1574,  1574,  1575,  1575,  1576,  1576,  1577,  1577,  1578,
    1578,  1579,  1579,  1580,  1582,  1582,  1590,  1590,  1591,  1591,
    1592,  1592,  1593,  1593,  1594,  1594,  1595,  1595,  1596,  1596,
    1597,  1597,  1598,  1598,  1599,  1599,  1600,  1600,  1601,  1601,
    1602,  1602,  1603,  1605,  1605,  1613,  1613,  1614,  1614,  1615,
    1615,  1616,  1616,  1617,  1617,  1618,  1618,  1619,  1619,  1620,
    1620,  1621,  1621,  1622,  1622,  1623,  1623,  1624,  1624,  1625,
    1625,  1626,  1626,  1627,  1629,  1629,  1632,  1632,  1635,  1635,
    1636,  1636,  1637,  1637,  1638,  1638,  1639,  1641,  1641,  1644,
    1644,  1645,  1645,  1646,  1646,  1647,  1647,  1648,  1648,  1649,
    1649,  1650,  1650,  1651,  1651,  1652,  1654,  1654,  1657,  1657,
    1658,  1660,  1660,  1663,  1663,  1666,  1666,  1669,  1669,  1672,
    1672,  1673,  1675,  1675,  1682,  1683,  1682,  1685,  1687,  1687,
    1688,  1688,  1689,  1689,  1690,  1690,  1691,  1691,  1692,  1692,
    1693,  1693,  1694,  1694,  1695,  1695,  1696,  1696,  1697,  1697,
    1698,  1698,  1699,  1699,  1700,  1700,  1701,  1701,  1702,  1702,
    1703,  1703,  1704,  1705,  1704,  1706,  1708,  1708,  1709,  1709,
    1710,  1710,  1711,  1713,  1713,  1718,  1718
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "CLOCKBARSETS_WCP", "MODUS_WCP",
  "TIMESPACE_WCP", "VERSION_WCP", "EXTERN_WCP", "UPDATETIME_WCP",
  "PROGRAM_WCP", "SHOWHINTS_WCP", "KEY_WCP", "DOUBLE_WCP", "MOD_WCP",
  "CONTROL_WCP", "SHIFT_WCP", "LOCK_WCP", "MOD1_WCP", "MOD2_WCP",
  "MOD3_WCP", "MOD4_WCP", "MOD5_WCP", "DNDACTION_WCP", "DCACTION_WCP",
  "SHOWACTION_WCP", "RSHOWACTION_WCP", "USERACTION_WCP", "ROWUP_WCP",
  "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP", "COPYOP_WCP", "FIRSTROW_WCP",
  "LASTROW_WCP", "PAGEUP_WCP", "PAGEDOWN_WCP", "SELECTOP_WCP",
  "SELECTALLOP_WCP", "SELECTNONEOP_WCP", "INVERTALLOP_WCP",
  "PARENTDIROP_WCP", "ENTERDIROP_WCP", "CHANGELISTERSETOP_WCP",
  "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP", "FILTERUNSELECTOP_WCP",
  "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP", "DELETEOP_WCP", "RELOADOP_WCP",
  "MAKEDIROP_WCP", "RENAMEOP_WCP", "DIRSIZEOP_WCP", "SIMDDOP_WCP",
  "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP", "ENTERPATHOP_WCP",
  "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP", "CHANGESYMLINKOP_WCP",
  "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP", "SETSORTMODEOP_WCP",
  "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP", "CHOWNOP_WCP",
  "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP", "TIMESTRING_WCP",
  "COLOR_WCP", "PATTERNIGNORECASE_WCP", "PATTERNUSEREGEXP_WCP",
  "PATTERNUSEFULLNAME_WCP", "COM_WCP", "SEPARATEEACHENTRY_WCP",
  "RECURSIVE_WCP", "START_WCP", "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP",
  "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP", "INBACKGROUND_WCP", "TAKEDIRS_WCP",
  "ACTIONNUMBER_WCP", "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP",
  "FOLLOWSYMLINKS_WCP", "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP",
  "REQUESTDEST_WCP", "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP",
  "NEVER_WCP", "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP",
  "ACTIVE_WCP", "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP",
  "CURRENT_WCP", "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "APPLYMODE_WCP", "ADD_WCP",
  "REMOVE_WCP", "HIDENONEXISTING_WCP", "VIEWCOMMANDLOGOP_WCP",
  "STRING_WCP", "NUM_WCP", "'.'", "';'", "'='", "','", "$accept", "S",
  "$@1", "$@2", "start", "$@3", "$@4", "$@5", "$@6", "$@7", "$@8", "$@9",
  "$@10", "$@11", "$@12", "$@13", "$@14", "$@15", "$@16", "pjallowdirs",
  "$@17", "pathjumpsets", "$@18", "glb", "$@19", "$@20", "$@21", "$@22",
  "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29", "$@30", "$@31",
  "$@32", "$@33", "$@34", "$@35", "layout", "$@36", "$@37", "$@38", "$@39",
  "$@40", "$@41", "$@42", "$@43", "$@44", "$@45", "$@46", "$@47", "$@48",
  "pal", "$@49", "listersets", "$@50", "$@51", "listersets2", "$@52",
  "$@53", "$@54", "$@55", "$@56", "$@57", "$@58", "displaysets", "$@59",
  "$@60", "$@61", "$@62", "$@63", "$@64", "$@65", "$@66", "$@67", "$@68",
  "$@69", "$@70", "$@71", "$@72", "timesets", "$@73", "$@74", "$@75",
  "$@76", "$@77", "$@78", "$@79", "$@80", "$@81", "$@82", "$@83",
  "mouseconf", "$@84", "$@85", "$@86", "$@87", "$@88", "$@89", "$@90",
  "$@91", "$@92", "$@93", "$@94", "$@95", "cols", "$@96", "$@97", "$@98",
  "$@99", "$@100", "$@101", "$@102", "$@103", "$@104", "$@105", "$@106",
  "$@107", "$@108", "$@109", "$@110", "$@111", "$@112", "$@113", "$@114",
  "$@115", "labelcolors", "$@116", "$@117", "labelcolor", "$@118", "$@119",
  "$@120", "faces", "$@121", "$@122", "face", "$@123", "$@124", "startup",
  "$@125", "$@126", "$@127", "$@128", "$@129", "$@130", "$@131", "$@132",
  "$@133", "paths", "$@134", "$@135", "path", "$@136", "$@137", "$@138",
  "$@139", "$@140", "$@141", "keylist", "$@142", "$@143", "$@144", "$@145",
  "$@146", "$@147", "$@148", "$@149", "$@150", "$@151", "mods", "$@152",
  "$@153", "$@154", "$@155", "$@156", "$@157", "$@158", "$@159",
  "filetypes", "$@160", "$@161", "$@162", "$@163", "$@164", "ignoredirs",
  "$@165", "subfiletypes", "$@166", "$@167", "filetype", "$@168", "$@169",
  "$@170", "$@171", "$@172", "$@173", "$@174", "$@175", "$@176", "$@177",
  "$@178", "$@179", "$@180", "$@181", "$@182", "$@183", "$@184", "$@185",
  "$@186", "$@187", "$@188", "$@189", "$@190", "$@191", "$@192", "$@193",
  "$@194", "filecontent", "$@195", "ft_type", "ftcommands", "$@196",
  "$@197", "$@198", "$@199", "$@200", "$@201", "$@202", "$@203", "$@204",
  "$@205", "$@206", "$@207", "commands", "flags", "hotkeys", "$@208",
  "$@209", "hotkey", "$@210", "$@211", "$@212", "$@213", "$@214",
  "buttons", "$@215", "$@216", "button", "$@217", "$@218", "$@219",
  "$@220", "$@221", "$@222", "$@223", "fonts", "$@224", "$@225", "$@226",
  "$@227", "$@228", "$@229", "xftfonts", "$@230", "$@231", "$@232",
  "$@233", "$@234", "$@235", "volumemanager", "$@236", "$@237", "$@238",
  "$@239", "$@240", "$@241", "$@242", "$@243", "$@244", "clockbarsets",
  "$@245", "$@246", "$@247", "$@248", "$@249", "$@250", "$@251", "bool",
  "command", "ownop", "$@252", "ownopbody", "$@253", "$@254", "$@255",
  "$@256", "$@257", "$@258", "$@259", "$@260", "$@261", "$@262", "$@263",
  "$@264", "$@265", "$@266", "dndaction", "$@267", "dcaction", "$@268",
  "showaction", "$@269", "rshowaction", "$@270", "useraction", "$@271",
  "useractionbody", "$@272", "rowup", "$@273", "rowdown", "$@274",
  "changehiddenflag", "$@275", "changehiddenflagbody", "$@276", "$@277",
  "$@278", "copyop", "$@279", "copyopbody", "$@280", "$@281", "$@282",
  "$@283", "$@284", "$@285", "$@286", "$@287", "$@288", "$@289", "$@290",
  "$@291", "$@292", "$@293", "$@294", "$@295", "$@296", "$@297", "$@298",
  "$@299", "firstrow", "$@300", "lastrow", "$@301", "pageup", "$@302",
  "pagedown", "$@303", "selectop", "$@304", "selectallop", "$@305",
  "selectnoneop", "$@306", "invertallop", "$@307", "parentdirop", "$@308",
  "enterdirop", "$@309", "enterdiropbody", "$@310", "$@311", "$@312",
  "$@313", "$@314", "changelistersetop", "$@315", "changelistersetopbody",
  "$@316", "$@317", "$@318", "$@319", "switchlisterop", "$@320",
  "filterselectop", "$@321", "filterselectopbody", "$@322", "$@323",
  "$@324", "filterunselectop", "$@325", "filterunselectopbody", "$@326",
  "$@327", "$@328", "pathtoothersideop", "$@329", "quitop", "$@330",
  "quitopbody", "$@331", "$@332", "deleteop", "$@333", "deleteopbody",
  "$@334", "reloadop", "$@335", "reloadopbody", "$@336", "$@337", "$@338",
  "$@339", "$@340", "$@341", "makedirop", "$@342", "renameop", "$@343",
  "dirsizeop", "$@344", "simddop", "$@345", "startprogop", "$@346",
  "startprogopbody", "$@347", "$@348", "$@349", "$@350", "$@351", "$@352",
  "$@353", "$@354", "$@355", "$@356", "searchentryop", "$@357",
  "searchentryopbody", "$@358", "$@359", "$@360", "$@361", "enterpathop",
  "$@362", "enterpathopbody", "$@363", "$@364", "$@365", "$@366",
  "scrolllisterop", "$@367", "scrolllisteropbody", "$@368", "$@369",
  "createsymlinkop", "$@370", "createsymlinkopbody", "$@371", "$@372",
  "$@373", "changesymlinkop", "$@374", "changesymlinkopbody", "$@375",
  "$@376", "$@377", "chmodop", "$@378", "chmodopbody", "$@379", "$@380",
  "$@381", "$@382", "$@383", "$@384", "$@385", "$@386", "$@387",
  "chtimeop", "$@388", "chtimeopbody", "$@389", "$@390", "$@391", "$@392",
  "togglelistermodeop", "$@393", "togglelistermodeopbody", "$@394",
  "setsortmodeop", "$@395", "setsortmodeopbody", "$@396", "$@397", "$@398",
  "$@399", "$@400", "$@401", "$@402", "$@403", "$@404", "$@405", "$@406",
  "$@407", "$@408", "$@409", "setfilterop", "$@410", "setfilteropbody",
  "$@411", "$@412", "$@413", "$@414", "$@415", "$@416", "$@417", "$@418",
  "$@419", "$@420", "$@421", "$@422", "$@423", "$@424", "$@425",
  "shortkeyfromlistop", "$@426", "chownop", "$@427", "chownopbody",
  "$@428", "$@429", "$@430", "$@431", "scriptop", "$@432", "scriptopbody",
  "$@433", "$@434", "$@435", "$@436", "$@437", "$@438", "$@439", "$@440",
  "$@441", "$@442", "$@443", "$@444", "$@445", "$@446", "$@447", "$@448",
  "$@449", "$@450", "$@451", "$@452", "$@453", "$@454", "$@455", "$@456",
  "$@457", "$@458", "$@459", "$@460", "$@461", "showdircacheop", "$@462",
  "parentactionop", "$@463", "nooperationop", "$@464", "goftpop", "$@465",
  "goftpopbody", "$@466", "$@467", "$@468", "$@469", "$@470", "$@471",
  "$@472", "internalviewop", "$@473", "internalviewopbody", "$@474",
  "$@475", "$@476", "$@477", "clipboardop", "$@478", "clipboardopbody",
  "$@479", "searchop", "$@480", "searchopbody", "$@481", "$@482",
  "dirbookmarkop", "$@483", "opencontextmenuop", "$@484",
  "opencontextmenuopbody", "$@485", "runcustomaction", "$@486",
  "runcustomactionbody", "$@487", "openworkermenuop", "$@488",
  "changelabelop", "$@489", "changelabelopbody", "$@490", "$@491",
  "modifytabsop", "$@492", "modifytabsopbody", "$@493", "$@494", "$@495",
  "$@496", "$@497", "$@498", "$@499", "changelayoutop", "$@500",
  "changelayoutopbody", "$@501", "$@502", "$@503", "$@504", "$@505",
  "$@506", "$@507", "$@508", "$@509", "$@510", "$@511", "$@512", "$@513",
  "changecolumnsop", "$@514", "changecolumnsopbody", "$@515", "$@516",
  "$@517", "$@518", "$@519", "$@520", "$@521", "$@522", "$@523", "$@524",
  "$@525", "$@526", "$@527", "$@528", "volumemanagerop", "$@529",
  "switchbuttonbankop", "$@530", "switchbuttonbankopbody", "$@531",
  "$@532", "$@533", "$@534", "pathjumpop", "$@535", "pathjumpopbody",
  "$@536", "$@537", "$@538", "$@539", "$@540", "$@541", "$@542", "$@543",
  "commandmenuop", "$@544", "commandmenuopbody", "$@545",
  "viewnewestfilesop", "$@546", "dircompareop", "$@547", "tabprofilesop",
  "$@548", "externalvdirop", "$@549", "externalvdiropbody", "$@550",
  "opentabmenuop", "$@551", "directorypresets", "$@552", "$@553",
  "directorypreset", "$@554", "$@555", "$@556", "$@557", "$@558", "$@559",
  "$@560", "$@561", "$@562", "$@563", "$@564", "$@565", "$@566", "$@567",
  "$@568", "$@569", "$@570", "$@571", "$@572", "directorypreset_filter",
  "$@573", "$@574", "$@575", "helpop", "$@576", "viewcommandlogop",
  "$@577", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2285)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2285,    88,   -53, -2285,  -345,  -344,  -334,  -304,  -272,  -255,
   -2285,    21,   206,   232,   250,   254,   270,   280,   284,   299,
     308,   315,   332,   342,   346, -2285,    33, -2285,    15, -2285,
   -2285, -2285, -2285,   351,   295,   675, -2285,  -185, -2285,  -101,
     356,   361,   -73,   -65,   -43,   -29,   -27,    -5,   426,   461,
     470,    69,   481,    83,   145,   154,   167,   173,   178,   530,
      74,   188,   203,   205,   215,   544,   560,   587,    87,   584,
     222,   224,   226,   228,   245,   260,   726,   318,   340,   359,
     368,   824,   380,   382,   406,   418,   420,   422,   849,   427,
     428,   851,   449,   433, -2285,   247,   539,   562,   563,   304,
     565,   357,   582, -2285,   402,   357,   290,   357,   357,   357,
     708,   357,   696,    21,   693,   694,   695,   697,   698,   699,
     700,   701,   702,   703,   704,   705,   706,   707,   709,   710,
     711,   712,  1146,  1158, -2285,   717,   718,   -85,   -76,    21,
    1165,  1166,  1168,  1169,  1171,  1172,   716,  1173,  1175,  1176,
     723,   727,   730,   732,   733,   734,    21,   230,   735,   737,
     357,    21,   738,   739,   740,   741,   742,   743,    21,   744,
    1180,   357,    21,  1190,  1191,   745,   748, -2285, -2285,  1195,
     749,   750,   751,   752,   753,   754, -2285, -2285,   755,   747,
     756,   757,   758,   759,   760,  1204,   343,   761,   762,   763,
     764,   765,  1216,  1217,  1218,  1219,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,  1229,   782,   783,   784,
     785,   786,   787, -2285,   790,   791,   792,   793,   794,   795,
     796,   797,   798,   799,   800,   801,   802,   803,   804,   805,
     806,   807, -2285,   866,  1255,   808,   809,   810,   811,   812,
     813,   814,   815,   816, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,   357, -2285, -2285, -2285,   817,   818,   819,   820,   821,
     822, -2285,   823,   825,   826,   827,   828,   829,   830, -2285,
     831,   832,   833,   834,   835,   836, -2285, -2285, -2285,   837,
   -2285, -2285, -2285, -2285,   838,  1272,  1287,  1289,    33, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285,    39,    95,   357,   357,
     844,   845,    33,   843,   846,   847,   848,   850,   852,   853,
     854,   855,   856,   857,   858,   859,  1292,   863,   864,   865,
     -24,   867, -2285, -2285, -2285,    33, -2285,   869,   870,   871,
     872,   873,   357,   874,   875,   876,    33, -2285, -2285, -2285,
   -2285, -2285, -2285,   862,   877,   878,   879,   880,   881,   882,
     883,   884,   885,   886,   887,   888,   891,   890,   892,   893,
     894,  1034,  1294,  1297,    21, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285,    51,    21,   360,    21,   256,   896,
     897,    21,   132,    21, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,   427,    21, -2285,   104,    21,    33,   900,
      33,    30,    30, -2285,    33,    33,    33,    33,    33,    33,
      33,   899,   901,   903,   904,   905,   906,   907,   908,   909,
     910,   911, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285,   357,   357,   914,   357,    33,   913,   915,   916,
     918,   919,   920,  1199,  1199,  1199, -2285,    33,   921,   922,
     923,   924,   925,   926,   927,   928,   929, -2285,    33,    33,
      33,    33,    33,    33,   932,   933,   934,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944, -2285,   945,   946,
     947,   948,  1305,  1321, -2285,    74, -2285,    15,    15,    15,
      15,    15,    15,    15,    15,    15,   949,   950,  1324,  1325,
     951,  1326, -2285,   952,   953,  1349,   954,   955,  1350, -2285,
     956,   957,   958,   959,   960,  1363,  1366,   961,   962,   963,
     964,   965,  1396,   966,   967,   968,   969,   970,   971,   972,
     973,   974,   975,   976,   977,   978,  1397,   980,  1429, -2285,
   -2285,   981,  1432,  1433,  1434, -2285,   351,   351,   351,   351,
     351,   351,   295,   295,   295,   295,   295,   295,   295,   675,
     675,   675,   675,   675,   675, -2285, -2285,  -185,   984,   986,
    1437,   988,   989,  1439, -2285, -2285,   990, -2285,   992,   993,
     994,   995,  1446,   997,   998,  1448,  1449, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,   343,   343,   343,   343,   343,
     343,   343,   343,   343,  1002,  1003,  1004,  1005, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,  1006,  1454,  1456,  1457, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,  1010,  1011,  1012,  1013,  1014,
    1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,    74,  1023,
    1024,  1025,  1026, -2285, -2285,    32, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285,  1029,  1031, -2285, -2285,
    1032, -2285,  1033,  1035, -2285,  1036,  1037, -2285,   616,  1039,
     357,   357,  1040, -2285,    -8,   357,   357,   357,  1041,   357,
    1262,    81,  1042,  1043,  1044,  1045,  1047,   357,  1048,   357,
     357,   357,   357,  1049, -2285, -2285, -2285,    87,  1051, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285,  1052,   147, -2285,   122,   168, -2285,  1053,   357,
    1054,   357,  1055, -2285,   357,   357,   247,   247,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285,   402,   402,   402,   402,   402,   402,   648, -2285,
   -2285, -2285,   290,   290,   290,   290,   290,   290,   290,   290,
     290, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,    31,
      74,  1028,  1038,  1482,  1046,  1050,   436,   213,  1056,   560,
    1057,  1059,   213,  1060,  1061,   587, -2285, -2285, -2285, -2285,
   -2285,  1062,  1064,  1065,  1066,  1067,  1058,  1503,  1504,  1510,
    1517,  1071,  1519,  1520,  1073,  1074,  1075,  1076,  1077,  1527,
    1528,  1079,  1081,  1082,  1083,  1069,  1084,  1085,  1086,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,    87,   896,    87,
   -2285,  1097,   436,   213,   584,  1098,  1099,  1100,   -18,  1101,
    1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,  1110,  1111,
    1112,  1113,  1114,   449,  1115,  1116,  1118,  1119,  1120,    70,
    1121,  1122, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,   343,   343,   343,   343, -2285,
   -2285, -2285, -2285, -2285, -2285,  1123,  1124,  1125,  1126,  1127,
    1128,  1129,  1130,   402,   402,   402, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,    74,    74,    74,    74,    74,
      74,    74,    74,    74,    74,    74,    74,    74,    74,    74,
      74,    74,  1131,  1132,  1133,  1532, -2285,  1088,  1117, -2285,
   -2285, -2285,  1580,  1584,  1585,  1586,  1587,  1588,  1589,  1590,
    1591,  1592,  1593,  1594,  1595,  1596,  1597,  1598,  1599,  1600,
    1601,  1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,
    1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,  1630,
    1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,  1642,  1643,  1644,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   436, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  1658,
    1659,  1660,  1209, -2285, -2285, -2285,  1661, -2285,  1213, -2285,
   -2285, -2285, -2285, -2285, -2285,  1214,  1662, -2285, -2285, -2285,
   -2285,  1665, -2285,   256, -2285, -2285, -2285, -2285, -2285, -2285,
     256, -2285, -2285, -2285, -2285,  1220,  1221,  1222,  1223, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,  1670,  1671, -2285, -2285, -2285, -2285,  1224,  1225,  1672,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,  1230, -2285, -2285, -2285, -2285,
    1227,  1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,  1677, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  1247,
    1248,  1249, -2285,  1245,  1250,   866,    51,    51, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285,  1251,   360,   360, -2285,
     360,  1252,   256,   256,   256,   256,   256,  1256,   256,   436,
     436,   436,   436, -2285,  1380, -2285,   256,   256,   256,   256,
     256,   256, -2285,   256,   256,   256,   256,  1253,  1257,  1258,
    1259,   256,   256,   256,   256,   256,   256,   256,   256,   132,
   -2285, -2285,   104,   104,   104,  1263,   172, -2285,   104,   104,
     104,   104,   104,   104,   104,   104,   104,   104,   104,   104,
     104,   104,  1261,    30,    30,    30,    30, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,    30,    30,    30,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1264,  1215,  1228,  1034, -2285, -2285, -2285, -2285,
   -2285,   365,  1696,  1697,  1703,  1704,  1710,  1541,  1713,  1714,
    1544,   274,  1716,  1717,  1718,  1719,  1720,  1721,  1722,  1723,
    1724,    11,  1539,  1726,  -180,  -179,  1727,  1542,  1534,    85,
    1730,  1731,  1732,  1733,    99,    26,  1548,  1549,   153,  1550,
     -13,  1551,   186,   555,  1738,   264,    67,  1739,  1740,  1741,
    -104,     6,   165,  1742,  1347,  1447,  1744,  -161,  1424,   573,
    1747,  -160,   -62,  1374,  1334,   283,   113,  1750,  1751,  1752,
    1378,  1754,  1755,  1756,    51,  1663,  1664,    51, -2285, -2285,
   -2285,   360, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  1309,
   -2285,  1758,  1759,  1760,  1763,   436,  1315, -2285, -2285, -2285,
   -2285, -2285,  1765, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
     132,   132, -2285, -2285, -2285,  1318,  1319,  1320,   104, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,    70,    70,
      70,    70,    70,    70,    70,    70,    70,    70,    70,    70,
      70,    70, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285,  1323,  1327, -2285,    32,    32,  1322,
    1328,  1329,  1330,  1331,  1332,  1333,  1335,  1336,  1337,  1770,
     436, -2285, -2285, -2285, -2285,  1338,  1772, -2285, -2285,  1339,
    1774,  1340,  1341,  1342,  1343,  1344,  1345,  1346,  1348,  1351,
    1352,  1353,  1354,  1775, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,  1355,  1356,  1776,  1357,  1783, -2285,  1358,
    1359,  1360,  1796,  1361,  1362,  1367,  1798, -2285,  1373,  1799,
    1375,  1812,  1376,  1377,  1385,  1815, -2285, -2285, -2285, -2285,
    1386,  1388,  1389,  1391,  1392,  1393,  1823,  1394,  1395,  1400,
    1401,  1827,  1404,  1845,  1405,  1846,  1406,  1408,  1409,  1861,
    1414,  1864,  1419,  1425,  1426,  1427,  1428,  1435,  1873,  1440,
    1881,  1441,  1442,  1882,  1443,  1444,  1445,  1450,  1451,  1452,
    1461,  1462,  1463,  1883, -2285,  1468,  1469,  1470,  1471,  1895,
    1472,  1478,  1479,  1480,  1483,  1484,  1487,  1488,  1490,  1491,
    1492,  1493,  1495,  1497,  1498,  1499,  1500,  1502,  1897, -2285,
   -2285, -2285,  1505,  1506,  1507,  1508,  1509,  1511,  1512,  1898,
    1513,  1516,  1518,  1905,  1521,  1522,  1931, -2285,  1523,  1952,
    1526,  1953, -2285,  1530,  1535,  1959,  1536,  1968,  1529,  1538,
    1540,  1543,  1545,  1546,  1547,  1552,  1553,  1554,  1555,  1556,
    1557,  1969, -2285,  1558,  1559,  1976,  1560,  1561,  1562,  1563,
    1987,  1564,  1989,  1565,  1990,  1566,  1567,  1568,  1569,  1992,
    1571,  1572,  1573,  1574,  1575,  1576,  1577,  1578,  1579,  1581,
    1582,  1583,  1657,  1666,  1996, -2285, -2285, -2285,  1667,  1997,
   -2285, -2285, -2285, -2285,  1668,  1669, -2285,    51, -2285,   360,
   -2285, -2285, -2285, -2285, -2285,  1998,  1674, -2285,   256,   256,
     256,   256, -2285, -2285, -2285, -2285, -2285, -2285,   748, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,    31,  1673,  1675, -2285, -2285,  1679,   357,
     357,   175,  1680,   357,   357,   357,   357,   357, -2285, -2285,
    1676, -2285,   -19, -2285,   357,   357,   357,   357,   357,   357,
      18,   131,   357,  -131,   546,   357, -2285,  1681,   917, -2285,
      46, -2285,  1682,   357,   357, -2285,  1683,   357,   357, -2285,
      16, -2285,   357, -2285,    68,   357,   357, -2285,   357,   306,
    1684,   357,   357,   357, -2285,   357,   357,   357,   357, -2285,
     142, -2285,   400, -2285,   357,   357,   357, -2285,    -6, -2285,
    1685,   357,   357,   357,   357,  -121, -2285,  1686, -2285,   160,
     199, -2285,   357,   902,  1687,  1688,   119,   158,   357,   357,
     357, -2285,   357,   357,   357,   357, -2285,   324,  1689,   357,
     357,   357,   357,  1690,  1692,  1693,  1694,   259,   357,   357,
     357,   357,  1695,  1698,  1699, -2285,   357,  1700,  1701,  1702,
     357,   357,  1705, -2285,   357,  1706,   -39, -2285,  1707,   357,
   -2285,   357, -2285,  1708, -2285,  1709,   357, -2285,   534, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,   357,
     357,  1711,   357, -2285,   294,  1712, -2285,   234,  -216,   357,
     357, -2285,  1715, -2285,   357, -2285,   357,   357,   357,   357,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285,  1725, -2285,  1728,  1729,
   -2285, -2285,  1058,    -8,    -8,    -8,    -8, -2285,  1734,  1262,
   -2285, -2285, -2285, -2285,   -18,   -18,   -18, -2285, -2285, -2285,
   -2285,  1735,  1737,  1743,  1745,  1746,  1748,  1749,  1753,  1757,
    1761,  1762,  1764,  1766,  1767,  1768,  1769,  1771,  1773,  1777,
    1778,  1779,  1780,  1781,  1782,  1784,  1785,  1786,  1787,  1788,
    1789,  1790,  1791,  1792,  1793,  1794,  1795,  1797,  1800,  1801,
    1802,  1803,  1804,  1805,  1806,  1807,  1808,  1809,  1810,  1811,
    1813,  1814,  1816,  1817,  1818,  1819,  1820,  1821,  1822,  1824,
    1825,  1826,  1828,  1829,  1830,  1831,  1832,  1833,  1834,  1835,
    1836,  1837,  1838,  1839,  1840,  1841,  1842,  1843,  1844,  1847,
    1848,  1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1857,
    1858,  1859,  1860,  1862,  1863,  1865,  1866,  1867,  1868,  1869,
    1870,  1871,  1872,  1874,  1875,  1876,  1877,  1878,  1879,  1880,
    1884,  1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,
    1894,  1896,  1899,  1900,  1901,  1902,  1906,  1907,  1908,  1909,
    1910,  1911,  1912,  1913,  1914,  1915,  1916,  1917,  1918,  1919,
    1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,  1928,  1929,
    1930,  1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1941,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,  1954,  1955,  1956,  1957,  1958,  1960,  1961,  1962,  1963,
    1964,  1965,  1966,  1967,  1970,   573,   573,   573,   573,   573,
     573,   573,   573,   573,  1971,  1972,  1973,  1974,  1975,  1977,
    1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,  1988,
    1991,  1993,  1994,  1995,  1999,  2000,   113,   113,   113,   113,
     113,   113,   113,   113,   113,   113,   113,   113,   113,   113,
    2001,  2002,  2003, -2285, -2285, -2285, -2285, -2285,    -8,  2004,
   -2285, -2285, -2285, -2285,    31,    31, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  2029,
   -2285, -2285,   365,   365,   365,   365,   365,   365,   365,   365,
     365,   365,   365,   365,   365,   365,  1541,  1544,  1544,  1544,
     274,   274,   274,   274,   274,   274,   274,   274,   274,   274,
     274,   274,   274,   274,   274,   274,   274,   274,   274,   274,
      11,    11,    11,    11,    11,  1539,  1539,  1539,  1539,  -180,
    -180,  -180,  -179,  -179,  -179,  1542,  1542,  1534,    85,    85,
      85,    85,    85,    85,    99,    99,    99,    99,    99,    99,
      99,    99,    99,    99,    26,    26,    26,    26,  1548,  1548,
    1548,  1548,  1549,  1549,   153,   153,   153,  1550,  1550,  1550,
     -13,   -13,   -13,   -13,   -13,   -13,   -13,   -13,   -13,  1551,
     186,   186,   186,   186,   186,   186,   186,   186,   186,   186,
     186,   186,   186,   186,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   264,
     264,   264,   264,    67,    67,    67,    67,    67,    67,    67,
      67,    67,    67,    67,    67,    67,    67,    67,    67,    67,
      67,    67,    67,    67,    67,    67,    67,    67,    67,    67,
      67,    67,  -104,  -104,  -104,  -104,  -104,  -104,  -104,     6,
       6,     6,     6,   165,   165,  1347,  1447,  -161,  -161,  1424,
    1424,  1424,  1424,  1424,  1424,  1424,   573,   573,   573,   573,
    -160,  -160,  -160,  -160,   -62,   -62,   -62,   -62,   -62,   -62,
     -62,   -62,  1374,  1334,   283,   283,   283,   283,  1378,  1199,
    1199,   436, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,  2032,  2033,  1904,  2034, -2285,  2005, -2285,   213,  1736,
      -8, -2285,  2007, -2285, -2285,  1199, -2285,  2035, -2285,   213,
   -2285
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   281,    19,
      10,    13,    16,   474,   521,   487,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,     0,     0,     0,     0,     0,   448,   285,   336,   435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,  1237,     0,    59,   112,     0,     0,     0,     0,
       0,     0,   179,    61,   201,     0,   506,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    32,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,    32,     0,     0,     0,   107,   108,   110,     0,
       0,     0,     0,     0,     0,     0,   522,   523,     0,     0,
       0,     0,     0,     0,     0,     0,   104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     9,   445,    20,   282,    11,   328,
     331,     0,    14,   432,    17,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,     0,     0,     0,     0,    23,    33,    27,     0,
      25,  1234,    30,    39,     0,     0,     0,     0,    77,    41,
      43,    45,    48,    50,    52,    56,     0,     0,     0,     0,
       0,     0,    77,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   195,   198,    77,    64,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    77,    66,    70,    72,
      68,    54,    75,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   246,     0,     0,    32,   263,   265,   269,   267,   271,
     275,   273,   279,   277,   461,    32,   297,    32,   400,   339,
       0,    32,   444,    32,   462,   464,   466,   468,   470,   472,
     509,   507,   511,   513,   515,   517,   519,   475,   477,   479,
     481,   483,   485,    35,    32,    36,  1275,    32,    77,     0,
      77,   127,   127,    47,    77,    77,    77,    77,    77,    77,
      77,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    58,    78,    80,    82,    84,    86,    88,    90,
      92,    94,     0,     0,     0,     0,    77,     0,     0,     0,
       0,     0,     0,   327,   327,   327,    63,    77,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,    77,    77,
      77,    77,    77,    77,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,   254,   242,     8,   281,   281,   281,
     281,   281,   281,   281,   281,   281,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,    12,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   334,
      15,     0,     0,     0,     0,    18,   474,   474,   474,   474,
     474,   474,   521,   521,   521,   521,   521,   521,   521,   487,
     487,   487,   487,   487,   487,    34,    28,    38,     0,     0,
       0,     0,     0,     0,    31,    40,     0,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,    44,    46,
      49,    51,    53,    57,   157,   159,   161,   163,   169,   171,
     173,   167,   177,   165,   175,   104,   104,   104,   104,   104,
     104,   104,   104,   104,     0,     0,     0,     0,    62,   180,
     182,   184,   186,   188,   190,     0,     0,     0,     0,    65,
     488,   490,   496,   498,   500,   502,   492,   494,   504,    67,
      71,    73,    69,    55,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,     0,
       0,     0,     0,   243,   239,   262,   241,   264,   266,   270,
     268,   272,   276,   274,   280,   278,     0,     0,   455,   458,
       0,   446,     0,     0,   294,     0,     0,   283,     0,     0,
       0,     0,     0,   352,   427,     0,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   329,   337,   332,   336,     0,   438,
     441,   433,   463,   465,   467,   469,   471,   473,   510,   508,
     512,   514,   516,   518,   520,   476,   478,   480,   482,   484,
     486,    37,     0,     0,  1272,     0,     0,  1235,     0,     0,
       0,     0,     0,   121,     0,     0,   112,   112,   179,   179,
     179,   179,   179,   179,   179,   179,   179,   179,   179,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    96,    98,
     100,   102,   201,   201,   201,   201,   201,   201,     0,   193,
     196,   199,   506,   506,   506,   506,   506,   506,   506,   506,
     506,   202,   204,   206,   216,   218,   210,   208,   214,   212,
     222,   220,   226,   224,   231,   228,   232,   234,   236,   253,
     242,     0,     0,     0,     0,     0,   430,   310,     0,   448,
       0,     0,   310,     0,     0,   285,   404,   405,   406,   407,
     408,     0,     0,     0,     0,     0,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   336,   339,   336,
     335,     0,   430,   310,   435,     0,     0,     0,  1282,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1237,     0,     0,     0,     0,     0,   156,
       0,     0,   109,   111,   158,   160,   162,   164,   170,   172,
     174,   168,   178,   166,   176,   104,   104,   104,   104,   181,
     183,   185,   187,   189,   191,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   201,   201,   489,   491,   497,   499,
     501,   503,   493,   495,   505,   242,   242,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,     0,     0,     0,     0,   240,     0,     0,   255,
     449,   451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   430,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   587,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   585,   574,
     575,   576,   577,   578,   579,   580,   581,   588,   582,   583,
     584,   586,   589,   590,   591,   592,   593,   594,   595,     0,
       0,     0,     0,   447,   286,   288,     0,   292,     0,   284,
     344,   346,   350,   354,   348,     0,     0,   409,   412,   415,
     418,     0,   424,   400,   356,   358,   360,   363,   365,   340,
     400,   382,   378,   380,   384,     0,     0,     0,     0,   376,
     388,   386,   390,   392,   394,   396,   398,   330,   338,   333,
     436,     0,     0,   434,  1238,  1268,  1270,     0,     0,     0,
    1240,  1242,  1250,  1258,  1252,  1246,  1244,  1248,  1254,  1256,
    1266,  1260,  1262,  1264,  1236,     0,   113,   115,   117,   119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   123,   125,    97,    99,   101,
     103,   311,   313,   315,   317,   319,   321,   323,   325,   194,
     197,   200,   203,   205,   207,   217,   219,   211,   209,   215,
     213,   223,   221,   227,   225,   229,   233,   235,   237,     0,
       0,     0,   244,     0,     0,   257,   461,   461,   596,   431,
     627,   629,   631,   633,   635,   640,   642,   644,   653,   696,
     698,   700,   702,   704,   706,   708,   710,   712,   714,   727,
     738,   740,   749,   758,   760,   767,   772,   787,   789,   791,
     793,   795,   818,   829,   840,   847,   856,   865,   897,   902,
     933,   966,   968,   979,  1040,  1042,  1044,  1046,  1063,  1079,
    1086,  1088,  1093,  1098,  1100,  1107,  1124,  1184,  1186,  1197,
    1074,  1216,   886,  1153,  1221,  1223,  1225,  1227,  1232,  1283,
    1285,   456,   428,   298,   303,   459,     0,   297,   297,   295,
     297,     0,   400,   400,   400,   400,   400,     0,   400,   430,
     430,   430,   430,   421,     0,   362,   400,   400,   400,   400,
     400,   400,   367,   400,   400,   400,   400,     0,     0,     0,
       0,   400,   400,   400,   400,   400,   400,   400,   400,   444,
     439,   442,  1275,  1275,  1275,     0,     0,  1273,  1275,  1275,
    1275,  1275,  1275,  1275,  1275,  1275,  1275,  1275,  1275,  1275,
    1275,  1275,     0,   127,   127,   127,   127,   128,   130,   132,
     134,   136,   138,   140,   142,   144,   146,   148,   150,   152,
     154,   127,   127,   127,   327,   327,   327,   327,   327,   327,
     327,   327,     0,     0,     0,   246,   260,   258,   256,   450,
     452,   626,     0,     0,     0,     0,     0,   639,     0,     0,
     652,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   726,   737,     0,   748,   757,     0,   766,   771,   786,
       0,     0,     0,     0,   817,   828,   839,   846,   855,   864,
     885,   901,   932,   965,     0,   978,  1039,     0,     0,     0,
    1062,  1073,  1085,     0,  1092,  1097,     0,  1106,  1123,  1152,
       0,  1196,  1215,  1078,  1220,   896,  1183,     0,     0,     0,
    1231,     0,     0,     0,   461,     0,     0,   461,   453,   287,
     289,   297,   293,   290,   345,   347,   351,   355,   349,     0,
     353,     0,     0,     0,     0,   430,     0,   357,   359,   361,
     364,   366,     0,   383,   379,   381,   385,   368,   370,   372,
     374,   377,   389,   387,   391,   393,   395,   397,   399,   437,
     444,   444,  1239,  1269,  1271,     0,     0,     0,  1275,  1241,
    1243,  1251,  1259,  1253,  1247,  1245,  1249,  1255,  1257,  1267,
    1261,  1263,  1265,   105,   114,   116,   118,   120,   156,   156,
     156,   156,   156,   156,   156,   156,   156,   156,   156,   156,
     156,   156,   122,   124,   126,   312,   314,   316,   318,   320,
     322,   324,   326,   251,     0,     0,   245,   262,   262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     430,   628,   630,   632,   634,     0,     0,   641,   643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   697,   699,   701,   703,   705,   707,
     709,   711,   713,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,     0,     0,     0,   788,   790,   792,   794,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1041,
    1043,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1222,  1224,  1226,     0,     0,
    1233,  1284,  1286,   457,     0,     0,   460,   461,   296,   297,
     401,   410,   413,   416,   419,     0,     0,   341,   400,   400,
     400,   400,   440,   443,  1276,  1278,  1280,  1274,   107,   129,
     131,   133,   135,   137,   139,   141,   143,   145,   147,   149,
     151,   153,   155,   253,     0,     0,   261,   259,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,   429,
       0,   636,     0,   645,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   654,     0,     0,   715,
       0,   728,     0,     0,     0,   741,     0,     0,     0,   750,
       0,   761,     0,   768,     0,     0,     0,   773,     0,     0,
       0,     0,     0,     0,   796,     0,     0,     0,     0,   819,
       0,   830,     0,   841,     0,     0,     0,   848,     0,   857,
       0,     0,     0,     0,     0,     0,   866,     0,   898,     0,
       0,   903,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   934,     0,     0,     0,     0,   969,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   980,     0,     0,     0,     0,
       0,     0,     0,  1047,     0,     0,     0,  1064,     0,     0,
    1080,     0,  1089,     0,  1094,     0,     0,  1101,     0,  1108,
    1126,  1128,  1130,  1132,  1134,  1136,  1138,  1140,  1142,     0,
       0,     0,     0,  1125,     0,     0,  1187,     0,     0,     0,
       0,  1198,     0,  1075,     0,  1217,     0,     0,     0,     0,
     887,  1155,  1157,  1159,  1161,  1163,  1165,  1167,  1169,  1171,
    1173,  1175,  1177,  1179,  1181,  1154,     0,  1228,     0,     0,
     454,   291,   403,   427,   427,   427,   427,   422,     0,   343,
     369,   371,   373,   375,  1282,  1282,  1282,   106,   252,   247,
     249,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1183,  1183,  1183,  1183,
    1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,
       0,     0,     0,   402,   411,   414,   417,   420,   427,     0,
     342,  1277,  1279,  1281,   253,   253,   598,   600,   602,   604,
     612,   606,   608,   610,   614,   616,   618,   620,   622,   624,
     637,   646,   648,   650,   655,   657,   659,   661,   663,   665,
     671,   667,   669,   673,   675,   677,   683,   679,   681,   687,
     689,   691,   685,   693,   716,   718,   720,   722,   724,   729,
     731,   733,   735,   742,   744,   746,   751,   753,   755,   762,
     764,   769,   774,   776,   778,   780,   782,   784,   809,   797,
     805,   799,   801,   803,   807,   813,   811,   815,   820,   822,
     824,   826,   831,   833,   835,   837,   842,   844,   849,   853,
     851,   858,   860,   862,   883,   871,   873,   867,   869,   877,
     875,   879,   881,   899,   904,   906,   914,   922,   916,   910,
     908,   912,   918,   920,   930,   924,   926,   928,   935,   937,
     939,   941,   943,   945,   947,   949,   951,   953,   957,   955,
     959,   961,   963,   974,   976,   970,   972,   981,   983,   985,
     987,   989,   991,   993,   995,   997,   999,  1011,  1001,  1003,
    1005,  1007,  1009,  1013,  1015,  1017,  1019,  1021,  1023,  1025,
    1027,  1029,  1031,  1033,  1035,  1037,  1048,  1050,  1052,  1054,
    1056,  1058,  1060,  1065,  1067,  1069,  1071,  1081,  1083,  1090,
    1095,  1104,  1102,  1109,  1111,  1113,  1115,  1117,  1119,  1121,
    1127,  1129,  1131,  1133,  1135,  1137,  1139,  1141,  1143,  1144,
    1146,  1148,  1150,  1188,  1190,  1192,  1194,  1199,  1201,  1203,
    1205,  1207,  1209,  1211,  1213,  1076,  1218,   892,   894,   888,
     890,  1156,  1158,  1160,  1162,  1164,  1166,  1168,  1170,  1172,
    1174,  1176,  1178,  1180,  1182,  1229,   299,   304,   423,     0,
     248,   250,   626,   626,   626,   626,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   639,   652,   652,   652,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     726,   726,   726,   726,   726,   737,   737,   737,   737,   748,
     748,   748,   757,   757,   757,   766,   766,   771,   786,   786,
     786,   786,   786,   786,   817,   817,   817,   817,   817,   817,
     817,   817,   817,   817,   828,   828,   828,   828,   839,   839,
     839,   839,   846,   846,   855,   855,   855,   864,   864,   864,
     885,   885,   885,   885,   885,   885,   885,   885,   885,   901,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   978,
     978,   978,   978,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1073,
    1073,  1073,  1073,  1085,  1085,  1092,  1097,  1106,  1106,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1152,  1152,  1152,  1152,
    1196,  1196,  1196,  1196,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1078,  1220,   896,   896,   896,   896,  1231,   327,
     327,   430,   599,   601,   603,   605,   613,   607,   609,   611,
     615,   617,   619,   621,   623,   625,   638,   647,   649,   651,
     656,   658,   660,   662,   664,   666,   672,   668,   670,   674,
     676,   678,   684,   680,   682,   688,   690,   692,   686,   694,
     717,   719,   721,   723,   725,   730,   732,   734,   736,   743,
     745,   747,   752,   754,   756,   763,   765,   770,   775,   777,
     779,   781,   783,   785,   810,   798,   806,   800,   802,   804,
     808,   814,   812,   816,   821,   823,   825,   827,   832,   834,
     836,   838,   843,   845,   850,   854,   852,   859,   861,   863,
     884,   872,   874,   868,   870,   878,   876,   880,   882,   900,
     905,   907,   915,   923,   917,   911,   909,   913,   919,   921,
     931,   925,   927,   929,   936,   938,   940,   942,   944,   946,
     948,   950,   952,   954,   958,   956,   960,   962,   964,   975,
     977,   971,   973,   982,   984,   986,   988,   990,   992,   994,
     996,   998,  1000,  1012,  1002,  1004,  1006,  1008,  1010,  1014,
    1016,  1018,  1020,  1022,  1024,  1026,  1028,  1030,  1032,  1034,
    1036,  1038,  1049,  1051,  1053,  1055,  1057,  1059,  1061,  1066,
    1068,  1070,  1072,  1082,  1084,  1091,  1096,  1105,  1103,  1110,
    1112,  1114,  1116,  1118,  1120,  1122,  1145,  1147,  1149,  1151,
    1189,  1191,  1193,  1195,  1200,  1202,  1204,  1206,  1208,  1210,
    1212,  1214,  1077,  1219,   893,   895,   889,   891,  1230,   300,
     305,     0,     0,     0,     0,   301,     0,   425,   310,     0,
     427,   302,     0,   426,   306,   327,   307,     0,   308,   310,
     309
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2285, -2285, -2285, -2285,   266, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  1678,
   -2285,  1416, -2285,   416, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,  -465, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,   143, -2285,  -165, -2285, -2285,
    -418, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  -620, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,   286, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285,  -169, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,  -480, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,   575,
   -2285, -2285, -1905, -2285, -2285, -2285,   766, -2285, -2285,  -999,
   -2285, -2285,   212, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285,  1187, -2285, -2285, -1346, -2285, -2285, -2285, -2285,
   -2285, -2285,  -850, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,  -464, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285,  -687, -2285, -2285, -2285, -2285, -2285,  1145, -2285,
     -75, -2285, -2285, -1157, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,   -67, -2285, -2285, -2101, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285,  -891, -2285,  1142,
   -2285, -2285, -1367, -2285, -2285, -2285, -2285, -2285,  1198, -2285,
   -2285, -1267, -2285, -2285, -2285, -2285, -2285, -2285, -2285,   248,
   -2285, -2285, -2285, -2285, -2285, -2285,   517, -2285, -2285, -2285,
   -2285, -2285, -2285,    73, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285,   503, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285,  -102, -2285, -2285, -2285, -1593, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
    -578, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -1933, -2285,
   -2285, -2285, -2285, -2285, -1670, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -1844, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -1539, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -1950, -2285, -2285, -2285, -2285, -2285, -1947, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -1964, -2285, -2285, -2285,
   -2285,  -618, -2285, -2285, -2285, -1566, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -1745, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -1564, -2285, -2285, -2285, -2285,
   -2285, -2285, -1563, -2285, -2285, -2285, -2285, -2285, -2285, -1943,
   -2285, -2285, -2285, -2285, -1952, -2285, -2285, -2285, -2285, -2285,
   -1921, -2285, -2285, -2285, -2285, -2285, -1720, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -1685, -2285,
   -2285, -2285, -2285, -2285, -2285,  -659, -2285, -2285, -2285, -1674,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -1784, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -1606, -2285, -2285, -2285,
   -2285, -2285, -2285, -1843, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -1690, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -1642, -2285, -2285, -2285, -2285, -2285, -2285,  -760, -2285,
   -2285, -2285, -1945, -2285, -2285, -2285, -2285, -2285, -2285,  -732,
   -2285, -2285, -2285,  -731, -2285, -2285, -2285, -2285, -2285, -1936,
   -2285, -2285, -2285, -2285, -1700, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2284, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -1296, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -1659,
   -2285, -2285, -2285, -2285, -2285, -2285, -2007, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285,  -759, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285,  -762, -2285, -2285,
   -2285,  1134, -2285, -2285,  -639, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285, -2285, -2285, -1277, -2285, -2285, -2285, -2285, -2285,
   -2285, -2285
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   244,    67,   387,    68,
     391,    69,   393,    66,   385,    89,   414,    92,   417,   170,
     413,    91,   587,    59,   418,   424,   425,   426,   427,   428,
     429,   482,   430,   176,   196,   467,   478,   481,   479,   480,
     483,   326,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   945,   946,   947,   948,   295,  1898,   179,   296,   297,
     605,  1433,  1434,  1435,  1436,   929,  1452,  1453,  1244,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,
    1629,  1630,  1631,   195,   778,   779,   780,   781,   787,   785,
     782,   783,   784,   788,   786,   205,   802,   803,   804,   805,
     806,   807,   463,   963,   464,   964,   465,   965,   134,   975,
     976,   977,   981,   980,   983,   982,   978,   979,   985,   984,
     987,   986,   988,   678,   989,   990,   991,   371,   840,   503,
     839,  1465,   995,  2374,  2375,  1913,   373,   685,  1285,   843,
    1648,  1647,    65,   507,   508,   510,   509,   511,   513,   512,
     515,   514,   143,   386,   855,   528,  1367,  1368,  1879,  1370,
     852,  1551,  1151,  1545,  2819,  3032,  3038,  1546,  2820,  3033,
    3045,  3047,  3049,   646,  1454,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   147,   388,   897,   389,   899,   737,   558,   898,
     880,  1391,  2119,   556,  1372,  1373,  1376,  1374,   866,  1375,
    1386,  1387,  1388,  1389,  1390,  1888,  1889,  1890,  1891,  1401,
    1394,  1395,  1393,  1396,  1403,  1402,  1404,  1405,  1406,  1407,
    1408,  1166,  2112,   861,   873,  1379,  2113,  1380,  2114,  1381,
    2115,  1382,  2116,  1565,  2368,  1384,  3040,  1075,  1472,   149,
     392,   904,   564,  1409,   902,  1590,   903,  1591,   141,   384,
     849,   521,  1286,  1287,  1877,   846,  1544,   847,  1547,    76,
     566,   567,   568,   569,   570,   571,    88,   579,   580,   581,
     582,   583,   584,   216,   812,   813,   818,   819,   814,   815,
     816,   817,   820,    81,   573,   572,   574,   575,   576,   577,
     578,   188,  1076,  1077,  1471,  1659,  2612,  2613,  2614,  2615,
    2617,  2618,  2619,  2616,  2620,  2621,  2622,  2623,  2624,  2625,
    1078,  1473,  1079,  1474,  1080,  1475,  1081,  1476,  1082,  1477,
    1666,  2626,  1083,  1478,  1084,  1479,  1085,  1480,  1670,  2627,
    2628,  2629,  1086,  1481,  1683,  2630,  2631,  2632,  2633,  2634,
    2635,  2637,  2638,  2636,  2639,  2640,  2641,  2643,  2644,  2642,
    2648,  2645,  2646,  2647,  2649,  1087,  1482,  1088,  1483,  1089,
    1484,  1090,  1485,  1091,  1486,  1092,  1487,  1093,  1488,  1094,
    1489,  1095,  1490,  1096,  1491,  1695,  2650,  2651,  2652,  2653,
    2654,  1097,  1492,  1697,  2655,  2656,  2657,  2658,  1098,  1493,
    1099,  1494,  1702,  2659,  2660,  2661,  1100,  1495,  1706,  2662,
    2663,  2664,  1101,  1496,  1102,  1497,  1709,  2665,  2666,  1103,
    1498,  1711,  2667,  1104,  1499,  1715,  2668,  2669,  2670,  2671,
    2672,  2673,  1105,  1500,  1106,  1501,  1107,  1502,  1108,  1503,
    1109,  1504,  1726,  2675,  2677,  2678,  2679,  2676,  2680,  2674,
    2682,  2681,  2683,  1110,  1505,  1731,  2684,  2685,  2686,  2687,
    1111,  1506,  1733,  2688,  2689,  2690,  2691,  1112,  1507,  1735,
    2692,  2693,  1113,  1508,  1739,  2694,  2696,  2695,  1114,  1509,
    1741,  2697,  2698,  2699,  1115,  1510,  1748,  2703,  2704,  2701,
    2702,  2706,  2705,  2707,  2708,  2700,  1116,  1535,  1849,  2816,
    2817,  2814,  2815,  1117,  1511,  1750,  2709,  1118,  1512,  1753,
    2710,  2711,  2716,  2715,  2717,  2712,  2714,  2718,  2719,  2713,
    2721,  2722,  2723,  2720,  1119,  1513,  1763,  2724,  2725,  2726,
    2727,  2728,  2729,  2730,  2731,  2732,  2733,  2735,  2734,  2736,
    2737,  2738,  1120,  1514,  1121,  1515,  1769,  2741,  2742,  2739,
    2740,  1122,  1516,  1788,  2743,  2744,  2745,  2746,  2747,  2748,
    2749,  2750,  2751,  2752,  2754,  2755,  2756,  2757,  2758,  2753,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,
    2769,  2770,  2771,  1123,  1517,  1124,  1518,  1125,  1519,  1126,
    1520,  1799,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  1127,
    1521,  1803,  2779,  2780,  2781,  2782,  1128,  1533,  1842,  2812,
    1129,  1522,  1806,  2783,  2784,  1130,  1523,  1131,  1524,  1809,
    2785,  1132,  1525,  1811,  2786,  1133,  1526,  1134,  1527,  1815,
    2788,  2787,  1135,  1528,  1817,  2789,  2790,  2791,  2792,  2793,
    2794,  2795,  1136,  1529,  1831,  2315,  2316,  2317,  2318,  2319,
    2320,  2321,  2322,  2323,  2796,  2797,  2798,  2799,  1137,  1536,
    1864,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,
    2355,  2356,  2357,  2358,  2359,  1138,  1530,  1139,  1531,  1835,
    2800,  2801,  2802,  2803,  1140,  1532,  1840,  2804,  2805,  2806,
    2807,  2808,  2809,  2810,  2811,  1141,  1534,  1844,  2813,  1142,
    1537,  1143,  1538,  1144,  1539,  1145,  1540,  1869,  2818,  1146,
    1541,   174,   416,   923,   593,  1412,  1418,  1419,  1424,  1423,
    1425,  1420,  1422,  1426,  1427,  1421,  1429,  1430,  1431,  1428,
    1413,  1414,   908,  1598,  1209,  2124,  2125,  2126,  1147,  1542,
    1148,  1543
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     647,   648,  1156,   206,   606,   217,   218,   219,  2128,   221,
    1742,  1201,  2364,  2365,  2366,  2367,  1385,  1699,  1703,  1469,
    1470,  1549,  1550,  1392,  1552,   686,    12,    13,    61,    62,
    1833,  2560,  2561,  2562,  2563,  2564,  2565,  2566,  2567,  2568,
      39,    40,  1589,    41,   460,   598,   599,   600,   601,   602,
     900,   992,   841,  1202,  2161,  2162,  1813,  1207,   278,  2174,
    2175,  2146,    42,    43,    44,    45,    46,    47,    48,   289,
     867,   868,   869,   870,   871,   431,   432,   433,    14,  1792,
      15,  2187,  2188,  1693,  2184,    16,  2155,    17,     3,  1770,
    1230,  1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,   993,
     247,   248,  2335,     4,  1720,     5,    18,     6,    19,   250,
     251,   516,   517,   518,   519,    20,     7,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   435,   436,  1850,  1851,  1852,  1853,  1854,  1855,  1856,
    1857,  1858,   909,   910,   911,   912,   913,     8,   914,   915,
     916,  1814,  2300,  1743,   144,  2207,  2208,  2147,  2148,   390,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   588,
    1744,   145,  1208,  1793,  1794,  1795,  1796,  1797,     9,   881,
    2229,  2230,  2231,  2232,  2233,  1362,  2234,  2235,  2236,  1800,
    1745,  1746,   842,   561,   562,   563,   434,    10,   834,  2158,
    2224,  1694,    90,  2156,  2157,  1878,   438,   439,  2134,    26,
    1197,   520,  1199,  1834,  2185,  1554,  1555,  1556,  1557,  1558,
    2225,  1560,   994,  1892,  1893,  2336,  2337,   906,  2301,  1567,
    1568,  1569,  1570,  1571,  1572,    27,  1573,  1574,  1575,  1576,
     473,  2176,  2177,  2135,  1581,  1582,  1583,  1584,  1585,  1586,
    1587,  1588,   437,    28,  1700,  1704,   249,    29,  1701,  1705,
     177,   178,  1798,  2189,  2190,   252,  1721,  2608,   461,  1722,
     272,  1723,  2163,    30,  1727,  1712,   603,  1873,   530,   589,
    1876,  1149,  1724,    31,  1771,  1713,  1714,    32,    49,  1801,
    1802,  1772,  1773,  1774,  1775,  1776,  1777,  1778,  1779,  1780,
     872,   590,    33,  1781,  1782,  1783,  1784,  1785,  1786,   591,
     592,    34,  1728,  1239,  1240,  1241,  1150,   531,    35,  2159,
      50,   128,   253,   907,  2226,  2227,   273,   274,   275,   532,
     533,   534,   535,   536,  1736,    36,  1737,  2209,  2210,  2194,
     183,   184,    51,  2136,  2137,    37,  2138,   882,   883,    38,
     634,   635,    93,   637,   884,  1738,  1859,  1860,  1861,    94,
     996,  1729,   146,  1836,    95,   917,   918,    21,   186,   187,
     129,   130,   131,  1725,  2195,   920,   921,   922,  1837,   223,
      96,  1838,  1596,  1597,    52,  1839,   313,   132,    97,   314,
      77,  1751,  1752,  1730,    78,    79,    80,    22,  2216,  2217,
    2218,    53,   315,  2237,  2238,   254,  2240,  2241,  2242,    23,
      98,    63,    64,  2211,  2212,    54,   604,   537,   538,   539,
     523,   524,   271,   525,    99,   526,   100,   279,  1242,   102,
    1765,  1747,    55,  1243,   286,  2250,  2251,  2252,   290,    70,
      71,    72,    73,    74,    75,  1002,  1787,  1766,   101,  1845,
      56,    24,  1671,  1672,  1673,  1674,  1675,  1676,  1677,  1804,
    1805,  1678,    57,  1679,   103,   133,  1846,  1767,  1768,  2610,
    2611,  1862,    58,   104,  2196,  2197,  1863,  2198,  2253,  2254,
    1247,  1248,  1249,  1250,   106,   919,  1847,  1848,  1561,  1562,
    1563,  1564,  2281,  2282,  2283,  1262,  1263,  1264,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,  1273,  1274,  1275,  1276,
    1277,  1278,  3006,  3007,  3008,  3009,   540,   541,   542,  1003,
     527,   543,   105,  2239,   544,   545,   546,   547,   548,  1649,
    1650,  1651,  1652,  2111,   113,  1653,   107,  1654,  1655,  2262,
    2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,   139,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,
    1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,  1044,
    1045,  1046,   316,   317,   318,   319,   320,   321,   108,   322,
     323,   324,   325,   549,   550,   551,   552,   109,   863,   864,
    2110,   932,   933,   874,   875,   876,  1818,   878,   140,  1819,
     110,   189,   190,   191,   192,   890,   111,   892,   893,   894,
     895,   112,  1820,   949,   950,   951,   952,   953,   954,  1656,
     506,   135,   207,   208,   209,   210,   211,   212,  1916,  1917,
    1047,   522,   142,   529,   213,   214,   136,   560,   137,   565,
    2332,  2333,  2334,   553,  2328,  2329,  2330,   925,   138,   927,
     148,   554,   930,   931,  1885,   150,  1680,   151,  1048,   152,
     586,   153,  1681,   594,   856,   857,   858,   859,   860,   555,
     197,   198,   199,   200,  2837,  2838,  2839,  1682,   154,  1049,
    1050,  2875,  2876,   215,  2271,   201,   202,   203,   204,  2869,
    2870,  2871,  1051,   155,   423,  2872,  2873,  2874,  1052,   687,
     688,   689,   690,   691,   692,   693,   694,   695,   442,  1053,
     156,  2120,  2121,  2122,  2123,  1054,  1055,  1056,  1754,  1657,
     193,   194,  2904,  2905,  2906,  1755,  1057,  1058,  1658,  2902,
    2903,   466,  1756,   955,   956,   957,   958,   959,   960,   961,
     962,  1059,   477,    82,    83,    84,    85,    86,    87,  1929,
    1060,   157,  1061,  1592,  1593,  1594,  2907,  2908,  2909,  1599,
    1600,  1601,  1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,
    1610,  1611,  1612,   158,  1259,  1260,  1261,  3014,  3015,  3016,
    3017,  3018,  3019,  3020,  3021,  1062,  2860,  2861,  2862,  2863,
    2864,  1063,   159,  1064,   742,   743,   744,   745,   746,   747,
    1065,   160,  1821,  1822,  1823,  1824,  1825,  1826,   161,  1827,
    1828,  1829,  1830,   162,   595,   163,   597,  1066,  2993,  2994,
     607,   608,   609,   610,   611,   612,   613,  2371,  2372,  2373,
    1067,  2997,  2998,   168,  1068,   172,  1069,  1070,  1071,   164,
    1072,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  1073,  1757,
    1758,   165,   638,   166,  1759,   167,   169,  1760,  1761,  1762,
     173,   171,   175,   649,  1074,   966,   967,   968,   969,   970,
     971,   972,   973,   974,   659,   660,   661,   662,   663,   664,
    2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,
    2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,
    2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2884,
    2885,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  3043,
    2934,  2935,  2936,  2937,  2938,  2939,  2940,  2941,  2942,  2943,
    2944,  2945,  2946,  2947,  2948,  2164,  2165,  2166,  2167,  1897,
    2840,  2841,  2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,
    2850,  2851,  2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,
    2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,   180,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,  1642,  1899,  1900,
    1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,
    1911,  1912,   181,   182,   185,  1614,  1615,  1616,  1617,  2822,
    2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,
    2833,  2834,  2835,  1632,  1633,  1634,  2920,  2921,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,
    2601,  2602,  2603,  2604,   934,   935,   936,   937,   938,   939,
     940,   941,   942,   943,   944,   748,   749,   750,   751,   752,
     753,   754,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2999,
    3000,  3001,  3002,  3003,  3004,  3005,   755,   756,   757,   758,
     759,   760,  2878,  2879,  2880,  2881,  2882,  2883,  2170,  2171,
    2172,  2173,  2244,  2245,  2246,  2247,  2865,  2866,  2867,  2868,
    2894,  2895,  2896,  2897,   220,  2898,  2899,  2900,  2901,  3024,
    3025,  3026,  3027,  2949,  2950,  2951,  2952,  2989,  2990,  2991,
    2992,  3010,  3011,  3012,  3013,   222,   224,   225,   226,   242,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   243,   238,   239,   240,   241,   245,   246,   255,   261,
     256,   257,   265,   258,   259,   260,   266,   262,   263,   267,
     264,   268,   269,   270,   288,   276,   277,   280,   281,   282,
     283,   284,   285,   291,   502,   292,   287,   293,   294,   298,
     306,   299,   300,   301,   302,   303,   304,   305,   312,   307,
     308,   309,   310,   311,   327,   328,   329,   330,   331,   332,
     333,   334,   336,   335,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   372,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   394,
     395,   396,   397,   398,   399,   400,   420,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   415,
     421,   419,   422,   440,   441,   443,   456,   504,   444,   445,
     446,   505,   447,   645,   448,   449,   450,   451,   683,   452,
     453,   454,   455,   457,   458,   459,   484,   462,   468,   469,
     470,   471,   472,   474,   475,   684,   476,   698,   699,   879,
     701,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   557,   499,   500,   501,   559,
     596,   614,   704,   615,   707,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   636,   639,   713,   640,   641,   714,
     642,   643,   644,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   679,   680,   681,   682,   720,
    1566,   734,   696,   697,   700,   702,   703,   705,   706,   708,
     709,   710,   711,   712,   715,   716,   717,   718,   719,   721,
     722,   723,   724,   725,   726,   727,   728,   729,   730,   731,
     732,   733,   735,   736,   738,   739,   740,   762,   741,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   798,   799,   800,   801,   809,   808,
     810,   811,   821,   822,   823,   824,   825,   826,   827,   828,
     829,   830,   831,   832,   833,   835,   836,   837,   838,   844,
     845,   997,   848,   850,   851,   853,   999,   854,   862,   865,
     877,   998,   885,   886,   887,   888,   889,   891,  1000,   896,
     901,   905,  1001,   924,   926,   928,  1167,  1168,  1165,  1154,
    1152,  1155,  1157,  1169,  1160,  1158,  1161,  1162,  1163,  1164,
    1170,  1171,  1172,  1185,  1173,  1174,  1175,  1176,  1177,  1178,
    1179,  1181,  1180,  1182,  1183,  1184,  1282,  1283,  1186,  1187,
    1188,  1189,  1190,  1191,  1192,  1193,  1194,  1195,  1196,  1200,
    1204,  1205,  1206,  1210,  1211,  1212,  1213,  1214,  1215,  1216,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,  1284,  1226,  1225,
    1227,  1228,  1229,  1245,  1246,  1251,  1252,  1253,  1254,  1255,
    1256,  1257,  1258,  1288,  1279,  1280,  1281,  1289,  1290,  1291,
    1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,
    1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,  1320,  1321,
    1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1330,  1331,
    1332,  1333,  1334,  1335,  1336,  1337,  1338,  1339,  1340,  1341,
    1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,  1366,
    1361,  1363,  1364,  1371,  1365,  1369,  1378,  1377,  1383,  1644,
    1397,  1398,  1399,  1400,  1410,  1411,  1417,  1415,  1416,  1437,
    1432,  1451,  1645,  1438,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,  1448,  1449,  1450,  1462,  1466,  1463,  1464,
    1660,  1661,  1467,  1548,  1553,  1577,  1559,  1662,  1663,  1578,
    1579,  1580,  1595,  1613,  1664,  1665,  1643,  1667,  1668,  1669,
    1684,  1685,  1686,  1687,  1688,  1689,  1690,  1691,  1692,  1696,
    1698,  1707,  1708,  1710,  1716,  1717,  1718,  1719,  1732,  1734,
    1740,  1749,  1764,  1789,  1790,  1791,  1807,  1808,  1812,  1810,
    1816,  1832,  1841,  1843,  1865,  1866,  1867,  1868,  1870,  1871,
    1872,  1880,  1881,  1882,  1883,  1874,  1875,  1884,  1886,  1887,
    1894,  1895,  1896,  1914,  1928,  1918,  1931,  1915,  1933,  1946,
    1949,  1919,  1920,  1921,  1922,  1923,  1924,  1951,  1925,  1926,
    1927,  1930,  1932,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1955,  1941,  1959,  1961,  1942,  1943,  1944,  1945,  1947,  1948,
    1950,  1952,  1953,  1954,  1956,  1957,  1963,  2132,  2133,  1967,
    1958,  2140,  2141,  2142,  2143,  2144,  1960,  1974,  1962,  1964,
    1965,  1979,  2149,  2150,  2151,  2152,  2153,  2154,  1966,  1968,
    2160,  1969,  1970,  2168,  1971,  1972,  1973,  1975,  1976,  1981,
    1983,  2179,  2180,  1977,  1978,  2182,  2183,  1980,  1982,  1984,
    2186,  1985,  1986,  2191,  2192,  1987,  2193,  1988,  1989,  2200,
    2201,  2202,  1990,  2203,  2204,  2205,  2206,  1996,  1991,  1992,
    1993,  1994,  2213,  2214,  2215,  1998,  2001,  2011,  1995,  2220,
    2221,  2222,  2223,  1997,  1999,  2000,  2002,  2003,  2004,  2016,
    2243,  2035,  2043,  2005,  2006,  2007,  2255,  2256,  2257,  2047,
    2258,  2259,  2260,  2261,  2008,  2009,  2010,  2273,  2274,  2275,
    2276,  2012,  2013,  2014,  2015,  2017,  2284,  2285,  2286,  2287,
    3031,  2018,  2019,  2020,  2291,  2050,  2021,  2022,  2295,  2296,
    2023,  2024,  2298,  2025,  2026,  2027,  2028,  2303,  2029,  2304,
    2030,  2031,  2032,  2033,  2307,  2034,  2052,  2054,  2036,  2037,
    2038,  2039,  2040,  2057,  2041,  2042,  2044,  2324,  2325,  2045,
    2327,  2046,  2059,  2073,  2048,  2049,  2051,  2338,  2339,  2053,
    2076,  2060,  2341,  2055,  2342,  2343,  2344,  2345,  2056,  2058,
    2061,  2081,  2062,  2083,  2085,  2063,  2090,  2064,  2065,  2066,
    2105,  2107,  2117,   761,  2067,  2068,  3036,  2069,  2070,  2071,
    2072,  2074,  2075,  2077,  2078,  2079,  2080,  2082,  2084,  2086,
    2087,  2088,  2089,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,  2099,  2821,  2100,  2101,  2102,  3034,  3035,  3037,  3048,
    1646,  2127,  1159,  1198,  2370,  2363,  1203,  1153,  2836,  2877,
    2919,  1468,  3022,  2995,  3023,  2996,  3028,  1224,     0,     0,
       0,     0,     0,     0,     0,     0,  2609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2103,
       0,     0,     0,     0,     0,     0,     0,     0,  2104,     0,
    2106,  2108,  2109,  2118,     0,  2129,  2145,  2130,  2131,  2139,
    2169,  2178,  2181,  2199,  2219,  2228,  2248,  2249,  2272,     0,
    2277,  2278,  2279,  2280,  2288,     0,     0,  2289,  2290,  2292,
    2293,  2294,     0,     0,  2297,  2299,  2302,  2305,  2306,     0,
       0,  2326,  2331,     0,  2340,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2360,     0,     0,  2361,  2362,     0,
       0,     0,     0,     0,     0,  3042,  2369,  2376,  3041,  2377,
       0,     0,     0,     0,     0,  2378,     0,  2379,  2380,  3050,
    2381,  2382,     0,     0,     0,  2383,     0,     0,     0,  2384,
       0,     0,     0,  2385,  2386,     0,  2387,     0,  2388,  2389,
    2390,  2391,     0,  2392,     0,  2393,     0,     0,     0,  2394,
    2395,  2396,  2397,  2398,  2399,     0,  2400,  2401,  2402,  2403,
    2404,  2405,  2406,  2407,  2408,  2409,  2410,  2411,     0,  2412,
       0,     0,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,
    2421,  2422,  2423,  2424,     0,  2425,  2426,     0,  2427,  2428,
    2429,  2430,  2431,  2432,  2433,     0,  2434,  2435,  2436,     0,
    2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2449,  2450,  2451,  2452,  2453,     0,     0,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,     0,  2468,  2469,     0,  2470,  2471,  2472,
    2473,  2474,  2475,  2476,  2477,     0,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,     0,     0,     0,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,     0,  2496,     0,
       0,  2497,  2498,  2499,  2500,  3029,  3030,     0,  2501,  2502,
    2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,
    2513,  2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,
    2523,  2524,  2525,     0,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,
    2542,  2543,  2544,  2545,     0,     0,  2546,  2547,  2548,  2549,
    2550,     0,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,
       0,     0,  2559,  2569,  2570,  2571,  2572,  2573,     0,  2574,
    2575,  2576,  2577,  2578,  2579,  2580,  2581,  2582,  2583,     0,
    2584,     0,     0,  2585,     0,  2586,  2587,  2588,     0,     0,
       0,  2589,  2590,  2605,  2606,  2607,     0,     0,  3039,  3044,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3046
};

static const yytype_int16 yycheck[] =
{
     464,   465,   852,   105,   422,   107,   108,   109,  1913,   111,
      23,   902,  2113,  2114,  2115,  2116,  1173,   197,   197,  1286,
    1287,  1367,  1368,  1180,  1370,   505,     5,     6,    13,    14,
     190,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
       7,     8,  1409,    10,    68,    15,    16,    17,    18,    19,
     737,    20,    20,   903,   185,   186,   217,    75,   160,    13,
      14,    80,    29,    30,    31,    32,    33,    34,    35,   171,
      78,    79,    80,    81,    82,    36,    37,    38,    57,   183,
      59,    13,    14,    72,    68,    64,    68,    66,     0,    22,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    68,
     185,   186,   318,   156,     5,   450,    85,   451,    87,   185,
     186,    60,    61,    62,    63,    94,   450,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    36,    37,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    20,    21,    22,    23,    24,   451,    26,    27,
      28,   312,   191,   166,    67,    13,    14,   176,   177,   261,
     625,   626,   627,   628,   629,   630,   631,   632,   633,    65,
     183,    84,   190,   277,   278,   279,   280,   281,   450,    98,
      20,    21,    22,    23,    24,  1076,    26,    27,    28,   183,
     203,   204,   160,    61,    62,    63,   157,   452,   678,    68,
     321,   190,   387,   185,   186,  1551,   308,   309,    33,     3,
     897,   160,   899,   373,   198,  1372,  1373,  1374,  1375,  1376,
     341,  1378,   191,  1590,  1591,   441,   442,    80,   267,  1386,
    1387,  1388,  1389,  1390,  1391,     3,  1393,  1394,  1395,  1396,
     342,   195,   196,    68,  1401,  1402,  1403,  1404,  1405,  1406,
    1407,  1408,   157,     3,   434,   434,   341,     3,   438,   438,
      13,    14,   366,   195,   196,   341,   167,  2368,   292,   170,
      40,   172,   403,     3,   248,   190,   246,  1544,    22,   175,
    1547,    68,   183,     3,   217,   200,   201,     3,   255,   283,
     284,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     308,   197,     3,   236,   237,   238,   239,   240,   241,   205,
     206,     3,   286,   243,   244,   245,   103,    61,     3,   188,
     287,   247,   398,   176,   445,   446,    96,    97,    98,    73,
      74,    75,    76,    77,   181,     3,   183,   195,   196,    33,
      36,    37,   309,   168,   169,     3,   171,   266,   267,     3,
     452,   453,   453,   455,   273,   202,   243,   244,   245,     3,
     840,   335,   275,   425,     3,   243,   244,   346,    11,    12,
     296,   297,   298,   274,    68,   207,   208,   209,   440,   113,
     453,   443,   210,   211,   351,   447,    43,   313,   453,    46,
      95,   205,   206,   367,    99,   100,   101,   376,   404,   405,
     406,   368,    59,   243,   244,   139,   207,   208,   209,   388,
     453,   396,   397,    13,    14,   382,   386,   161,   162,   163,
      60,    61,   156,    63,   453,    65,   453,   161,   358,     3,
     166,   444,   399,   363,   168,   316,   317,   318,   172,    88,
      89,    90,    91,    92,    93,     9,   379,   183,   453,   166,
     417,   430,   178,   179,   180,   181,   182,   183,   184,   294,
     295,   187,   429,   189,     3,   391,   183,   203,   204,  2374,
    2375,   358,   439,     3,   168,   169,   363,   171,   320,   321,
     945,   946,   947,   948,     3,   363,   203,   204,  1379,  1380,
    1381,  1382,   233,   234,   235,   975,   976,   977,   978,   979,
     980,   981,   982,   983,   984,   985,   986,   987,   988,   989,
     990,   991,  2796,  2797,  2798,  2799,   260,   261,   262,    83,
     160,   265,   453,   363,   268,   269,   270,   271,   272,   164,
     165,   166,   167,  1879,     4,   170,   453,   172,   173,   215,
     216,   217,   218,   219,   220,   221,   222,   223,     4,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   249,   250,   251,   252,   253,   254,   453,   256,
     257,   258,   259,   347,   348,   349,   350,   453,   710,   711,
    1877,   776,   777,   715,   716,   717,    43,   719,    58,    46,
     453,    39,    40,    41,    42,   727,   453,   729,   730,   731,
     732,   453,    59,   802,   803,   804,   805,   806,   807,   274,
     374,   453,   352,   353,   354,   355,   356,   357,  1647,  1648,
     214,   385,    65,   387,   364,   365,   453,   391,   453,   393,
     426,   427,   428,   407,   370,   371,   372,   769,   453,   771,
      86,   415,   774,   775,  1565,   453,   402,   453,   242,   453,
     414,   453,   408,   417,    68,    69,    70,    71,    72,   433,
     288,   289,   290,   291,  2627,  2628,  2629,   423,   453,   263,
     264,  2665,  2666,   413,   380,   303,   304,   305,   306,  2659,
    2660,  2661,   276,   453,   298,  2662,  2663,  2664,   282,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   312,   293,
       4,  1888,  1889,  1890,  1891,   299,   300,   301,   183,   374,
     158,   159,  2694,  2695,  2696,   190,   310,   311,   383,  2692,
    2693,   335,   197,   105,   106,   107,   108,   109,   110,   111,
     112,   325,   346,    88,    89,    90,    91,    92,    93,  1660,
     334,   453,   336,  1412,  1413,  1414,  2697,  2698,  2699,  1418,
    1419,  1420,  1421,  1422,  1423,  1424,  1425,  1426,  1427,  1428,
    1429,  1430,  1431,   453,   963,   964,   965,  2804,  2805,  2806,
    2807,  2808,  2809,  2810,  2811,   369,  2650,  2651,  2652,  2653,
    2654,   375,   453,   377,   566,   567,   568,   569,   570,   571,
     384,   453,   249,   250,   251,   252,   253,   254,     4,   256,
     257,   258,   259,   453,   418,   453,   420,   401,  2783,  2784,
     424,   425,   426,   427,   428,   429,   430,  2124,  2125,  2126,
     414,  2787,  2788,     4,   418,     4,   420,   421,   422,   453,
     424,   327,   328,   329,   330,   331,   332,   333,   432,   314,
     315,   453,   456,   453,   319,   453,   449,   322,   323,   324,
     431,   453,   449,   467,   448,   812,   813,   814,   815,   816,
     817,   818,   819,   820,   478,   479,   480,   481,   482,   483,
    2743,  2744,  2745,  2746,  2747,  2748,  2749,  2750,  2751,  2752,
    2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,  2761,  2762,
    2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,  2674,
    2675,  2676,  2677,  2678,  2679,  2680,  2681,  2682,  2683,  3040,
    2724,  2725,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,
    2734,  2735,  2736,  2737,  2738,   409,   410,   411,   412,  1598,
    2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,
    2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,   450,
    1454,  1455,  1456,  1457,  1458,  1459,  1460,  1461,  1618,  1619,
    1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,
    1630,  1631,   450,   450,   449,  1433,  1434,  1435,  1436,  2612,
    2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,
    2623,  2624,  2625,  1451,  1452,  1453,  2710,  2711,  2712,  2713,
    2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   572,   573,   574,   575,   576,
     577,   578,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2789,
    2790,  2791,  2792,  2793,  2794,  2795,   579,   580,   581,   582,
     583,   584,  2668,  2669,  2670,  2671,  2672,  2673,   191,   192,
     193,   194,   210,   211,   212,   213,  2655,  2656,  2657,  2658,
    2684,  2685,  2686,  2687,   416,  2688,  2689,  2690,  2691,  2814,
    2815,  2816,  2817,  2739,  2740,  2741,  2742,  2779,  2780,  2781,
    2782,  2800,  2801,  2802,  2803,   449,   453,   453,   453,     3,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,     3,   453,   453,   453,   453,   449,   449,     3,   453,
       4,     3,   449,     4,     3,     3,   449,     4,     3,   449,
       4,   449,   449,   449,     4,   450,   449,   449,   449,   449,
     449,   449,   449,     3,   160,     4,   452,   452,   450,     4,
     453,   452,   452,   452,   452,   452,   452,   452,     4,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,     3,
       3,     3,   452,     4,   453,   453,   453,   453,   453,   453,
     453,   453,   453,     4,   452,   452,   452,   452,   452,   452,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   392,     4,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,     4,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
       3,   453,     3,   449,   449,   452,     4,     3,   452,   452,
     452,     4,   452,   104,   452,   452,   452,   452,     3,   453,
     453,   453,   453,   450,   450,   450,   454,   450,   449,   449,
     449,   449,   449,   449,   449,     4,   450,     3,     3,    67,
       4,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   452,   454,   449,   454,   454,   454,   452,
     450,   452,     3,   452,     4,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   450,   452,     3,   452,   452,     3,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,     3,
      20,     4,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   452,     4,   453,     3,     3,   453,     4,   453,
       3,   453,   453,     4,   454,   453,   453,   453,   453,     3,
     453,   453,     4,     4,   452,   452,   452,   452,     4,   453,
       4,     4,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   450,
     449,   453,   450,   450,   449,   449,     4,   450,   449,   449,
     449,   453,   450,   450,   450,   450,   449,   449,   452,   450,
     449,   449,   452,   450,   450,   450,     3,     3,   450,   452,
     454,   452,   452,     3,   452,   454,   452,   452,   452,   452,
       3,   450,     3,   454,     4,   452,   452,   452,   452,   452,
       3,   452,     4,   452,   452,   452,     4,   449,   454,   454,
     454,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   450,   452,   454,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,     3,   453,   453,   453,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,   450,
       4,     3,     3,   450,     4,     4,     4,   453,     3,   454,
     450,   450,   450,   450,     4,     4,     4,   453,   453,   452,
     450,     4,   454,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   449,   452,   450,   450,
       4,     4,   452,   452,   452,   452,   450,     4,     4,   452,
     452,   452,   449,   452,     4,   174,   452,     4,     4,   175,
       4,     4,     4,     4,     4,     4,     4,     4,     4,   190,
       4,     4,   190,   199,     4,     4,     4,     4,   190,   190,
     190,   190,     4,     4,     4,     4,     4,   400,     4,   302,
     326,     4,   378,   419,     4,     4,     4,   379,     4,     4,
       4,   452,     4,     4,     4,   102,   102,     4,   453,     4,
     452,   452,   452,   450,     4,   453,     4,   450,     4,     4,
       4,   453,   453,   453,   453,   453,   453,     4,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
       4,   453,     4,     4,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,     4,  1919,  1920,     4,
     453,  1923,  1924,  1925,  1926,  1927,   453,     4,   453,   453,
     453,     4,  1934,  1935,  1936,  1937,  1938,  1939,   453,   453,
    1942,   453,   453,  1945,   453,   453,   453,   453,   453,     4,
       4,  1953,  1954,   453,   453,  1957,  1958,   453,   453,   453,
    1962,   453,   453,  1965,  1966,     4,  1968,   453,     4,  1971,
    1972,  1973,   453,  1975,  1976,  1977,  1978,     4,   453,   453,
     453,   453,  1984,  1985,  1986,     4,     4,     4,   453,  1991,
    1992,  1993,  1994,   453,   453,   453,   453,   453,   453,     4,
    2002,     4,     4,   453,   453,   453,  2008,  2009,  2010,     4,
    2012,  2013,  2014,  2015,   453,   453,   453,  2019,  2020,  2021,
    2022,   453,   453,   453,   453,   453,  2028,  2029,  2030,  2031,
    2821,   453,   453,   453,  2036,     4,   453,   453,  2040,  2041,
     453,   453,  2044,   453,   453,   453,   453,  2049,   453,  2051,
     453,   453,   453,   453,  2056,   453,     4,     4,   453,   453,
     453,   453,   453,     4,   453,   453,   453,  2069,  2070,   453,
    2072,   453,     4,     4,   453,   453,   453,  2079,  2080,   453,
       4,   452,  2084,   453,  2086,  2087,  2088,  2089,   453,   453,
     452,     4,   452,     4,     4,   452,     4,   452,   452,   452,
       4,     4,     4,   587,   452,   452,   102,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   452,   452,   452,   452,   452,   452,   452,
     452,   452,     3,   452,   452,   452,     4,     4,     4,     4,
    1465,  1898,   855,   898,  2119,  2112,   904,   849,  2626,  2667,
    2709,  1285,  2812,  2785,  2813,  2786,  2818,   923,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
     453,   453,   453,   449,    -1,   452,   450,   452,   449,   449,
     449,   449,   449,   449,   449,   449,   449,   449,   449,    -1,
     450,   449,   449,   449,   449,    -1,    -1,   449,   449,   449,
     449,   449,    -1,    -1,   449,   449,   449,   449,   449,    -1,
      -1,   450,   450,    -1,   449,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   449,    -1,    -1,   449,   449,    -1,
      -1,    -1,    -1,    -1,    -1,   449,   452,   452,  3038,   452,
      -1,    -1,    -1,    -1,    -1,   452,    -1,   452,   452,  3049,
     452,   452,    -1,    -1,    -1,   452,    -1,    -1,    -1,   452,
      -1,    -1,    -1,   452,   452,    -1,   452,    -1,   452,   452,
     452,   452,    -1,   452,    -1,   452,    -1,    -1,    -1,   452,
     452,   452,   452,   452,   452,    -1,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,    -1,   452,
      -1,    -1,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,    -1,   452,   452,    -1,   452,   452,
     452,   452,   452,   452,   452,    -1,   452,   452,   452,    -1,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,    -1,    -1,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,    -1,   452,   452,    -1,   452,   452,   452,
     452,   452,   452,   452,   452,    -1,   452,   452,   452,   452,
     452,   452,   452,    -1,    -1,    -1,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,    -1,   452,    -1,
      -1,   452,   452,   452,   452,  2819,  2820,    -1,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,    -1,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,    -1,    -1,   452,   452,   452,   452,
     452,    -1,   452,   452,   452,   452,   452,   452,   452,   452,
      -1,    -1,   452,   452,   452,   452,   452,   452,    -1,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,    -1,
     452,    -1,    -1,   452,    -1,   452,   452,   452,    -1,    -1,
      -1,   452,   452,   452,   452,   452,    -1,    -1,   453,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3045
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   456,   457,     0,   156,   450,   451,   450,   451,   450,
     452,   458,     5,     6,    57,    59,    64,    66,    85,    87,
      94,   346,   376,   388,   430,   459,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   255,
     287,   309,   351,   368,   382,   399,   417,   429,   439,   478,
     460,    13,    14,   396,   397,   597,   468,   462,   464,   466,
      88,    89,    90,    91,    92,    93,   714,    95,    99,   100,
     101,   738,    88,    89,    90,    91,    92,    93,   721,   470,
     387,   476,   472,   453,     3,     3,   453,   453,   453,   453,
     453,   453,     3,     3,     3,   453,     3,   453,   453,   453,
     453,   453,   453,     4,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,   247,   296,
     297,   298,   313,   391,   563,   453,   453,   453,   453,     4,
      58,   703,    65,   607,    67,    84,   275,   637,    86,   694,
     453,   453,   453,   453,   453,   453,     4,   453,   453,   453,
     453,     4,   453,   453,   453,   453,   453,   453,     4,   449,
     474,   453,     4,   431,  1156,   449,   488,    13,    14,   512,
     450,   450,   450,    36,    37,   449,    11,    12,   746,    39,
      40,    41,    42,   158,   159,   538,   489,   288,   289,   290,
     291,   303,   304,   305,   306,   550,   746,   352,   353,   354,
     355,   356,   357,   364,   365,   413,   728,   746,   746,   746,
     416,   746,   449,   459,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,     3,     3,   461,   449,   449,   185,   186,   341,
     185,   186,   341,   398,   459,     3,     4,     3,     4,     3,
       3,   453,     4,     3,     4,   449,   449,   449,   449,   449,
     449,   459,    40,    96,    97,    98,   450,   449,   746,   459,
     449,   449,   449,   449,   449,   449,   459,   452,     4,   746,
     459,     3,     4,   452,   450,   510,   513,   514,     4,   452,
     452,   452,   452,   452,   452,   452,   453,   453,   453,   453,
     453,   453,     4,    43,    46,    59,   249,   250,   251,   252,
     253,   254,   256,   257,   258,   259,   496,   453,   453,   453,
     453,   453,     3,     3,     3,     4,   452,   453,   453,   453,
     453,   453,   453,   453,   453,   453,     4,   452,   452,   452,
     452,   452,   452,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   582,   392,   591,     4,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   704,   469,   608,   463,   638,   640,
     746,   465,   695,   467,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   475,   471,   452,  1157,   473,   479,   453,
       4,     3,     3,   478,   480,   481,   482,   483,   484,   485,
     487,    36,    37,    38,   157,    36,    37,   157,   746,   746,
     449,   449,   478,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   453,   453,   453,   453,     4,   450,   450,   450,
      68,   292,   450,   557,   559,   561,   478,   490,   449,   449,
     449,   449,   449,   746,   449,   449,   450,   478,   491,   493,
     494,   492,   486,   495,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   452,   454,   454,
     454,   454,   160,   584,     3,     4,   459,   598,   599,   601,
     600,   602,   604,   603,   606,   605,    60,    61,    62,    63,
     160,   706,   459,    60,    61,    63,    65,   160,   610,   459,
      22,    61,    73,    74,    75,    76,    77,   161,   162,   163,
     260,   261,   262,   265,   268,   269,   270,   271,   272,   347,
     348,   349,   350,   407,   415,   433,   648,   449,   643,   452,
     459,    61,    62,    63,   697,   459,   715,   716,   717,   718,
     719,   720,   740,   739,   741,   742,   743,   744,   745,   722,
     723,   724,   725,   726,   727,   474,   459,   477,    65,   175,
     197,   205,   206,  1159,   459,   478,   450,   478,    15,    16,
      17,    18,    19,   246,   386,   515,   515,   478,   478,   478,
     478,   478,   478,   478,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   746,   746,   450,   746,   478,   452,
     452,   452,   452,   452,   452,   104,   628,   628,   628,   478,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   478,
     478,   478,   478,   478,   478,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   578,   450,
     450,   450,   450,     3,     4,   592,   563,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   453,   453,     3,     3,
     453,     4,   453,   453,     3,   453,   453,     4,   453,   453,
     453,   453,   453,     3,     3,   453,   453,   453,   453,   453,
       3,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,     4,   452,     4,   642,   453,     3,
       3,     4,   714,   714,   714,   714,   714,   714,   738,   738,
     738,   738,   738,   738,   738,   721,   721,   721,   721,   721,
     721,   476,   453,   453,     3,   453,   453,     4,   454,   453,
     453,   453,   453,     3,   453,   453,     4,     4,   539,   540,
     541,   542,   545,   546,   547,   544,   549,   543,   548,   496,
     496,   496,   496,   496,   496,   496,   496,   496,   452,   452,
     452,   452,   551,   552,   553,   554,   555,   556,   453,     4,
       4,     4,   729,   730,   733,   734,   735,   736,   731,   732,
     737,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   563,   452,   452,   452,   452,   585,
     583,    20,   160,   594,   450,   449,   710,   712,   450,   705,
     450,   449,   615,   449,   450,   609,    68,    69,    70,    71,
      72,   678,   449,   746,   746,   449,   653,    78,    79,    80,
      81,    82,   308,   679,   746,   746,   746,   449,   746,    67,
     645,    98,   266,   267,   273,   450,   450,   450,   450,   449,
     746,   449,   746,   746,   746,   746,   450,   639,   644,   641,
     637,   449,   699,   701,   696,   449,    80,   176,  1177,    20,
      21,    22,    23,    24,    26,    27,    28,   243,   244,   363,
     207,   208,   209,  1158,   450,   746,   450,   746,   450,   520,
     746,   746,   512,   512,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   538,   506,   507,   508,   509,   550,
     550,   550,   550,   550,   550,   105,   106,   107,   108,   109,
     110,   111,   112,   558,   560,   562,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   564,   565,   566,   571,   572,
     568,   567,   570,   569,   574,   573,   576,   575,   577,   579,
     580,   581,    20,    68,   191,   587,   563,   453,   453,     4,
     452,   452,     9,    83,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   214,   242,   263,
     264,   276,   282,   293,   299,   300,   301,   310,   311,   325,
     334,   336,   369,   375,   377,   384,   401,   414,   418,   420,
     421,   422,   424,   432,   448,   692,   747,   748,   765,   767,
     769,   771,   773,   777,   779,   781,   787,   810,   812,   814,
     816,   818,   820,   822,   824,   826,   828,   836,   843,   845,
     851,   857,   859,   864,   868,   877,   879,   881,   883,   885,
     898,   905,   912,   917,   923,   929,   941,   948,   952,   969,
     987,   989,   996,  1028,  1030,  1032,  1034,  1044,  1051,  1055,
    1060,  1062,  1066,  1070,  1072,  1077,  1087,  1103,  1120,  1122,
    1129,  1140,  1144,  1146,  1148,  1150,  1154,  1183,  1185,    68,
     103,   617,   454,   703,   452,   452,   617,   452,   454,   607,
     452,   452,   452,   452,   452,   450,   676,     3,     3,     3,
       3,   450,     3,     4,   452,   452,   452,   452,   452,     3,
       4,   452,   452,   452,   452,   454,   454,   454,   454,   452,
     452,   452,   452,   452,   452,   452,   452,   637,   643,   637,
     452,   692,   617,   694,   452,   452,   452,    75,   190,  1179,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,  1156,   454,   452,   452,   452,   452,
      20,    21,    22,    23,    24,    25,    26,    27,    28,   243,
     244,   245,   358,   363,   523,   452,   452,   496,   496,   496,
     496,   452,   452,   452,   452,   452,   452,   452,   452,   550,
     550,   550,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   453,
     453,   453,     4,   449,   450,   593,   707,   708,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,   692,     3,     3,     4,   450,   611,   612,     4,
     614,   450,   649,   650,   652,   654,   651,   453,     4,   680,
     682,   684,   686,     3,   690,   648,   655,   656,   657,   658,
     659,   646,   648,   667,   665,   666,   668,   450,   450,   450,
     450,   664,   670,   669,   671,   672,   673,   674,   675,   698,
       4,     4,  1160,  1175,  1176,   453,   453,     4,  1161,  1162,
    1166,  1170,  1167,  1164,  1163,  1165,  1168,  1169,  1174,  1171,
    1172,  1173,   450,   516,   517,   518,   519,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,     4,   521,   522,   629,   630,   631,   632,   633,   634,
     635,   636,   449,   450,   450,   586,   452,   452,   591,   706,
     706,   749,   693,   766,   768,   770,   772,   774,   778,   780,
     782,   788,   811,   813,   815,   817,   819,   821,   823,   825,
     827,   829,   837,   844,   846,   852,   858,   860,   865,   869,
     878,   880,   882,   884,   886,   899,   906,   913,   918,   924,
     930,   949,   953,   970,   988,   990,   997,  1029,  1031,  1033,
    1035,  1045,  1056,  1061,  1063,  1067,  1071,  1073,  1078,  1088,
    1121,  1123,  1130,  1052,  1141,   942,  1104,  1145,  1147,  1149,
    1151,  1155,  1184,  1186,   711,   618,   622,   713,   452,   610,
     610,   616,   610,   452,   648,   648,   648,   648,   648,   450,
     648,   692,   692,   692,   692,   688,    20,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   452,   452,   452,
     452,   648,   648,   648,   648,   648,   648,   648,   648,   697,
     700,   702,  1159,  1159,  1159,   449,   210,   211,  1178,  1159,
    1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,
    1159,  1159,  1159,   452,   515,   515,   515,   515,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   515,   515,   515,   628,   628,   628,   628,   628,
     628,   628,   628,   452,   454,   454,   584,   596,   595,   164,
     165,   166,   167,   170,   172,   173,   274,   374,   383,   750,
       4,     4,     4,     4,     4,   174,   775,     4,     4,   175,
     783,   178,   179,   180,   181,   182,   183,   184,   187,   189,
     402,   408,   423,   789,     4,     4,     4,     4,     4,     4,
       4,     4,     4,    72,   190,   830,   190,   838,     4,   197,
     434,   438,   847,   197,   434,   438,   853,     4,   190,   861,
     199,   866,   190,   200,   201,   870,     4,     4,     4,     4,
       5,   167,   170,   172,   183,   274,   887,   248,   286,   335,
     367,   900,   190,   907,   190,   914,   181,   183,   202,   919,
     190,   925,    23,   166,   183,   203,   204,   444,   931,   190,
     950,   205,   206,   954,   183,   190,   197,   314,   315,   319,
     322,   323,   324,   971,     4,   166,   183,   203,   204,   991,
      22,   217,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   236,   237,   238,   239,   240,   241,   379,   998,     4,
       4,     4,   183,   277,   278,   279,   280,   281,   366,  1036,
     183,   283,   284,  1046,   294,   295,  1057,     4,   400,  1064,
     302,  1068,     4,   217,   312,  1074,   326,  1079,    43,    46,
      59,   249,   250,   251,   252,   253,   254,   256,   257,   258,
     259,  1089,     4,   190,   373,  1124,   425,   440,   443,   447,
    1131,   378,  1053,   419,  1142,   166,   183,   203,   204,   943,
      20,    21,    22,    23,    24,    25,    26,    27,    28,   243,
     244,   245,   358,   363,  1105,     4,     4,     4,   379,  1152,
       4,     4,     4,   706,   102,   102,   706,   709,   610,   613,
     452,     4,     4,     4,     4,   692,   453,     4,   660,   661,
     662,   663,   697,   697,   452,   452,   452,  1159,   511,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   590,   450,   450,   594,   594,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,     4,   692,
     453,     4,   453,     4,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,     4,   453,   453,     4,
     453,     4,   453,   453,   453,     4,   453,   453,   453,     4,
     453,     4,   453,     4,   453,   453,   453,     4,   453,   453,
     453,   453,   453,   453,     4,   453,   453,   453,   453,     4,
     453,     4,   453,     4,   453,   453,   453,     4,   453,     4,
     453,   453,   453,   453,   453,   453,     4,   453,     4,   453,
     453,     4,   453,   453,   453,   453,   453,   453,   453,   453,
     453,     4,   453,   453,   453,   453,     4,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,     4,   453,   453,   453,   453,
     453,   453,   453,     4,   453,   453,   453,     4,   453,   453,
       4,   453,     4,   453,     4,   453,   453,     4,   453,     4,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   453,
     453,   453,   453,     4,   453,   453,     4,   453,   453,   453,
     453,     4,   453,     4,   453,     4,   453,   453,   453,   453,
       4,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,     4,   453,     4,   453,   453,
     706,   610,   677,   681,   683,   685,   687,     4,   449,   647,
     648,   648,   648,   648,  1180,  1181,  1182,   510,   587,   452,
     452,   449,   746,   746,    33,    68,   168,   169,   171,   449,
     746,   746,   746,   746,   746,   450,    80,   176,   177,   746,
     746,   746,   746,   746,   746,    68,   185,   186,    68,   188,
     746,   185,   186,   403,   409,   410,   411,   412,   746,   449,
     191,   192,   193,   194,    13,    14,   195,   196,   449,   746,
     746,   449,   746,   746,    68,   198,   746,    13,    14,   195,
     196,   746,   746,   746,    33,    68,   168,   169,   171,   449,
     746,   746,   746,   746,   746,   746,   746,    13,    14,   195,
     196,    13,    14,   746,   746,   746,   404,   405,   406,   449,
     746,   746,   746,   746,   321,   341,   445,   446,   449,    20,
      21,    22,    23,    24,    26,    27,    28,   243,   244,   363,
     207,   208,   209,   746,   210,   211,   212,   213,   449,   449,
     316,   317,   318,   320,   321,   746,   746,   746,   746,   746,
     746,   746,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   380,   449,   746,   746,   746,   746,   450,   449,   449,
     449,   233,   234,   235,   746,   746,   746,   746,   449,   449,
     449,   746,   449,   449,   449,   746,   746,   449,   746,   449,
     191,   267,   449,   746,   746,   449,   449,   746,   327,   328,
     329,   330,   331,   332,   333,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,  1098,   746,   746,   450,   746,   370,   371,
     372,   450,   426,   427,   428,   318,   441,   442,   746,   746,
     449,   746,   746,   746,   746,   746,  1106,  1107,  1108,  1109,
    1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,  1119,
     449,   449,   449,   676,   679,   679,   679,   679,   689,   452,
     645,  1179,  1179,  1179,   588,   589,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,   452,   452,   452,   679,    62,
     587,   587,   751,   752,   753,   754,   758,   755,   756,   757,
     759,   760,   761,   762,   763,   764,   776,   784,   785,   786,
     790,   791,   792,   793,   794,   795,   798,   796,   797,   799,
     800,   801,   804,   802,   803,   806,   807,   808,   805,   809,
     831,   832,   833,   834,   835,   839,   840,   841,   842,   848,
     849,   850,   854,   855,   856,   862,   863,   867,   871,   872,
     873,   874,   875,   876,   894,   888,   892,   889,   890,   891,
     893,   896,   895,   897,   901,   902,   903,   904,   908,   909,
     910,   911,   915,   916,   920,   922,   921,   926,   927,   928,
     940,   934,   935,   932,   933,   937,   936,   938,   939,   951,
     955,   956,   960,   964,   961,   958,   957,   959,   962,   963,
     968,   965,   966,   967,   972,   973,   974,   975,   976,   977,
     978,   979,   980,   981,   983,   982,   984,   985,   986,   994,
     995,   992,   993,   999,  1000,  1001,  1002,  1003,  1004,  1005,
    1006,  1007,  1008,  1014,  1009,  1010,  1011,  1012,  1013,  1015,
    1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,
    1026,  1027,  1037,  1038,  1039,  1040,  1041,  1042,  1043,  1047,
    1048,  1049,  1050,  1058,  1059,  1065,  1069,  1076,  1075,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1099,  1100,  1101,  1102,
    1125,  1126,  1127,  1128,  1132,  1133,  1134,  1135,  1136,  1137,
    1138,  1139,  1054,  1143,   946,   947,   944,   945,  1153,   619,
     623,     3,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   775,   783,   783,   783,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     830,   830,   830,   830,   830,   838,   838,   838,   838,   847,
     847,   847,   853,   853,   853,   861,   861,   866,   870,   870,
     870,   870,   870,   870,   887,   887,   887,   887,   887,   887,
     887,   887,   887,   887,   900,   900,   900,   900,   907,   907,
     907,   907,   914,   914,   919,   919,   919,   925,   925,   925,
     931,   931,   931,   931,   931,   931,   931,   931,   931,   950,
     954,   954,   954,   954,   954,   954,   954,   954,   954,   954,
     954,   954,   954,   954,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   991,
     991,   991,   991,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1046,
    1046,  1046,  1046,  1057,  1057,  1064,  1068,  1074,  1074,  1079,
    1079,  1079,  1079,  1079,  1079,  1079,  1089,  1089,  1089,  1089,
    1124,  1124,  1124,  1124,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1131,  1053,  1142,   943,   943,   943,   943,  1152,   628,
     628,   692,   620,   624,     4,     4,   102,     4,   621,   453,
     691,   617,   449,   679,   452,   625,   628,   626,     4,   627,
     617
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   455,   457,   458,   456,   459,   460,   461,   459,   459,
     462,   463,   459,   464,   465,   459,   466,   467,   459,   468,
     469,   459,   459,   459,   459,   459,   470,   471,   459,   472,
     473,   459,   459,   475,   474,   474,   477,   476,   476,   479,
     478,   480,   478,   481,   478,   482,   478,   478,   483,   478,
     484,   478,   485,   478,   486,   478,   487,   478,   478,   488,
     478,   489,   478,   478,   490,   478,   491,   478,   492,   478,
     493,   478,   494,   478,   478,   495,   478,   478,   497,   496,
     498,   496,   499,   496,   500,   496,   501,   496,   502,   496,
     503,   496,   504,   496,   505,   496,   506,   496,   507,   496,
     508,   496,   509,   496,   496,   511,   510,   510,   513,   512,
     514,   512,   512,   516,   515,   517,   515,   518,   515,   519,
     515,   520,   515,   521,   515,   522,   515,   515,   524,   523,
     525,   523,   526,   523,   527,   523,   528,   523,   529,   523,
     530,   523,   531,   523,   532,   523,   533,   523,   534,   523,
     535,   523,   536,   523,   537,   523,   523,   539,   538,   540,
     538,   541,   538,   542,   538,   543,   538,   544,   538,   545,
     538,   546,   538,   547,   538,   548,   538,   549,   538,   538,
     551,   550,   552,   550,   553,   550,   554,   550,   555,   550,
     556,   550,   557,   558,   550,   559,   560,   550,   561,   562,
     550,   550,   564,   563,   565,   563,   566,   563,   567,   563,
     568,   563,   569,   563,   570,   563,   571,   563,   572,   563,
     573,   563,   574,   563,   575,   563,   576,   563,   577,   563,
     578,   563,   579,   563,   580,   563,   581,   563,   582,   583,
     563,   563,   563,   585,   586,   584,   584,   588,   587,   589,
     587,   590,   587,   587,   592,   593,   591,   591,   595,   594,
     596,   594,   594,   598,   597,   599,   597,   600,   597,   601,
     597,   602,   597,   603,   597,   604,   597,   605,   597,   606,
     597,   597,   608,   609,   607,   607,   611,   610,   612,   610,
     613,   610,   614,   610,   615,   616,   610,   610,   618,   619,
     620,   621,   617,   622,   623,   624,   625,   626,   627,   617,
     617,   629,   628,   630,   628,   631,   628,   632,   628,   633,
     628,   634,   628,   635,   628,   636,   628,   628,   638,   639,
     637,   640,   641,   637,   642,   637,   637,   644,   643,   643,
     646,   647,   645,   645,   649,   648,   650,   648,   651,   648,
     652,   648,   653,   648,   654,   648,   655,   648,   656,   648,
     657,   648,   648,   658,   648,   659,   648,   648,   660,   648,
     661,   648,   662,   648,   663,   648,   664,   648,   665,   648,
     666,   648,   667,   648,   668,   648,   669,   648,   670,   648,
     671,   648,   672,   648,   673,   648,   674,   648,   675,   648,
     648,   677,   676,   676,   678,   678,   678,   678,   678,   680,
     681,   679,   682,   683,   679,   684,   685,   679,   686,   687,
     679,   688,   689,   679,   690,   691,   679,   679,   692,   692,
     692,   693,   695,   696,   694,   694,   698,   697,   699,   700,
     697,   701,   702,   697,   697,   704,   705,   703,   703,   707,
     706,   708,   706,   709,   706,   710,   711,   706,   712,   713,
     706,   706,   715,   714,   716,   714,   717,   714,   718,   714,
     719,   714,   720,   714,   714,   722,   721,   723,   721,   724,
     721,   725,   721,   726,   721,   727,   721,   721,   729,   728,
     730,   728,   731,   728,   732,   728,   733,   728,   734,   728,
     735,   728,   736,   728,   737,   728,   728,   739,   738,   740,
     738,   741,   738,   742,   738,   743,   738,   744,   738,   745,
     738,   738,   746,   746,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   749,   748,   751,   750,
     752,   750,   753,   750,   754,   750,   755,   750,   756,   750,
     757,   750,   758,   750,   759,   750,   760,   750,   761,   750,
     762,   750,   763,   750,   764,   750,   750,   766,   765,   768,
     767,   770,   769,   772,   771,   774,   773,   776,   775,   775,
     778,   777,   780,   779,   782,   781,   784,   783,   785,   783,
     786,   783,   783,   788,   787,   790,   789,   791,   789,   792,
     789,   793,   789,   794,   789,   795,   789,   796,   789,   797,
     789,   798,   789,   799,   789,   800,   789,   801,   789,   802,
     789,   803,   789,   804,   789,   805,   789,   806,   789,   807,
     789,   808,   789,   809,   789,   789,   811,   810,   813,   812,
     815,   814,   817,   816,   819,   818,   821,   820,   823,   822,
     825,   824,   827,   826,   829,   828,   831,   830,   832,   830,
     833,   830,   834,   830,   835,   830,   830,   837,   836,   839,
     838,   840,   838,   841,   838,   842,   838,   838,   844,   843,
     846,   845,   848,   847,   849,   847,   850,   847,   847,   852,
     851,   854,   853,   855,   853,   856,   853,   853,   858,   857,
     860,   859,   862,   861,   863,   861,   861,   865,   864,   867,
     866,   866,   869,   868,   871,   870,   872,   870,   873,   870,
     874,   870,   875,   870,   876,   870,   870,   878,   877,   880,
     879,   882,   881,   884,   883,   886,   885,   888,   887,   889,
     887,   890,   887,   891,   887,   892,   887,   893,   887,   894,
     887,   895,   887,   896,   887,   897,   887,   887,   899,   898,
     901,   900,   902,   900,   903,   900,   904,   900,   900,   906,
     905,   908,   907,   909,   907,   910,   907,   911,   907,   907,
     913,   912,   915,   914,   916,   914,   914,   918,   917,   920,
     919,   921,   919,   922,   919,   919,   924,   923,   926,   925,
     927,   925,   928,   925,   925,   930,   929,   932,   931,   933,
     931,   934,   931,   935,   931,   936,   931,   937,   931,   938,
     931,   939,   931,   940,   931,   931,   942,   941,   944,   943,
     945,   943,   946,   943,   947,   943,   943,   949,   948,   951,
     950,   950,   953,   952,   955,   954,   956,   954,   957,   954,
     958,   954,   959,   954,   960,   954,   961,   954,   962,   954,
     963,   954,   964,   954,   965,   954,   966,   954,   967,   954,
     968,   954,   954,   970,   969,   972,   971,   973,   971,   974,
     971,   975,   971,   976,   971,   977,   971,   978,   971,   979,
     971,   980,   971,   981,   971,   982,   971,   983,   971,   984,
     971,   985,   971,   986,   971,   971,   988,   987,   990,   989,
     992,   991,   993,   991,   994,   991,   995,   991,   991,   997,
     996,   999,   998,  1000,   998,  1001,   998,  1002,   998,  1003,
     998,  1004,   998,  1005,   998,  1006,   998,  1007,   998,  1008,
     998,  1009,   998,  1010,   998,  1011,   998,  1012,   998,  1013,
     998,  1014,   998,  1015,   998,  1016,   998,  1017,   998,  1018,
     998,  1019,   998,  1020,   998,  1021,   998,  1022,   998,  1023,
     998,  1024,   998,  1025,   998,  1026,   998,  1027,   998,   998,
    1029,  1028,  1031,  1030,  1033,  1032,  1035,  1034,  1037,  1036,
    1038,  1036,  1039,  1036,  1040,  1036,  1041,  1036,  1042,  1036,
    1043,  1036,  1036,  1045,  1044,  1047,  1046,  1048,  1046,  1049,
    1046,  1050,  1046,  1046,  1052,  1051,  1054,  1053,  1053,  1056,
    1055,  1058,  1057,  1059,  1057,  1057,  1061,  1060,  1063,  1062,
    1065,  1064,  1064,  1067,  1066,  1069,  1068,  1068,  1071,  1070,
    1073,  1072,  1075,  1074,  1076,  1074,  1074,  1078,  1077,  1080,
    1079,  1081,  1079,  1082,  1079,  1083,  1079,  1084,  1079,  1085,
    1079,  1086,  1079,  1079,  1088,  1087,  1090,  1089,  1091,  1089,
    1092,  1089,  1093,  1089,  1094,  1089,  1095,  1089,  1096,  1089,
    1097,  1089,  1098,  1089,  1099,  1089,  1100,  1089,  1101,  1089,
    1102,  1089,  1089,  1104,  1103,  1106,  1105,  1107,  1105,  1108,
    1105,  1109,  1105,  1110,  1105,  1111,  1105,  1112,  1105,  1113,
    1105,  1114,  1105,  1115,  1105,  1116,  1105,  1117,  1105,  1118,
    1105,  1119,  1105,  1105,  1121,  1120,  1123,  1122,  1125,  1124,
    1126,  1124,  1127,  1124,  1128,  1124,  1124,  1130,  1129,  1132,
    1131,  1133,  1131,  1134,  1131,  1135,  1131,  1136,  1131,  1137,
    1131,  1138,  1131,  1139,  1131,  1131,  1141,  1140,  1143,  1142,
    1142,  1145,  1144,  1147,  1146,  1149,  1148,  1151,  1150,  1153,
    1152,  1152,  1155,  1154,  1157,  1158,  1156,  1156,  1160,  1159,
    1161,  1159,  1162,  1159,  1163,  1159,  1164,  1159,  1165,  1159,
    1166,  1159,  1167,  1159,  1168,  1159,  1169,  1159,  1170,  1159,
    1171,  1159,  1172,  1159,  1173,  1159,  1174,  1159,  1175,  1159,
    1176,  1159,  1177,  1178,  1159,  1159,  1180,  1179,  1181,  1179,
    1182,  1179,  1179,  1184,  1183,  1186,  1185
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     6,     0,     8,     0,     8,     0,     8,     0,     0,
       7,     5,     0,     0,     0,     7,     0,     0,     8,     0,
       8,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     8,     0,     6,     0,     0,     7,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,    20,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     0,
       7,     0,     0,     7,     0,     6,     0,     0,     4,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     5,     0,     6,     0,     6,     5,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     1,     1,     1,     1,     1,     0,
       0,     7,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     0,    14,     0,     2,     5,
       0,     0,     0,     0,     7,     0,     0,     6,     0,     0,
       7,     0,     0,     7,     0,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     8,     0,     0,     7,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     4,     0,     4,     0,     4,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     0,     4,     0,     5,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     0,     4,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     4,     0,     4,     0,     4,     0,     5,     0,
       6,     0,     0,     4,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     6,     0,     0,     4,     0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 331 "configparser.yy"
  { lconfig_parseinit();}
#line 5631 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 331 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5637 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 335 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5643 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 336 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5651 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 340 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5657 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 341 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5673 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 352 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5679 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 353 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5695 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 364 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5701 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 365 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5717 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 376 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5723 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 377 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5739 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 392 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5745 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 393 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5753 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 396 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5759 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 397 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5766 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 401 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5772 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 404 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5778 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 407 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5784 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 408 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5790 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 409 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5796 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 410 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5802 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 412 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5808 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 413 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5814 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 414 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5820 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 415 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5826 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 416 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5832 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 419 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5838 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 420 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5844 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 422 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5850 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 423 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5856 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 424 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5862 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 425 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5868 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 426 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5874 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 428 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 5880 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 431 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5886 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 432 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5892 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 433 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5898 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 434 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5904 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 435 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5910 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 436 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5916 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 437 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5922 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 438 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5928 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 439 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5934 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 440 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5940 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 441 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5946 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 442 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5952 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 443 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5958 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 446 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5964 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 449 "configparser.yy"
                   { lconfig_side = 0; }
#line 5970 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 450 "configparser.yy"
                    { lconfig_side = 1; }
#line 5976 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 453 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5982 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 454 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 5988 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 455 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5994 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 456 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 6000 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 457 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6006 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 458 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6012 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 459 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6018 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 462 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6024 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 463 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6030 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 464 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6036 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 465 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6042 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 466 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6048 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 467 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6054 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 468 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6060 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 469 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6066 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 470 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6072 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 471 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6078 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 472 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6084 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 473 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6090 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 474 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6096 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 475 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6102 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 478 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6108 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 479 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6114 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 480 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6120 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 481 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6126 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 482 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6132 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 483 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6138 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 484 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6144 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 485 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6150 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 486 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6156 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 487 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6162 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 488 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6168 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 491 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6174 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 492 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6180 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 493 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6186 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 494 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6192 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 495 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6198 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 496 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6204 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 497 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6210 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 498 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6216 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 499 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6222 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 500 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6228 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 501 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6234 "configparser.cc"
    break;

  case 199: /* $@95: %empty  */
#line 502 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6240 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 505 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6249 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 509 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6258 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 513 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6267 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 517 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6276 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 521 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6285 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 525 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6294 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 529 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6303 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 533 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6312 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 537 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6321 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 541 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6330 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 545 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6339 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 549 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6348 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 553 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6357 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 557 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6366 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 561 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6374 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 564 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6383 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 568 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6392 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 572 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6401 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 576 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6407 "configparser.cc"
    break;

  case 239: /* $@115: %empty  */
#line 577 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6417 "configparser.cc"
    break;

  case 243: /* $@116: %empty  */
#line 586 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6429 "configparser.cc"
    break;

  case 244: /* $@117: %empty  */
#line 593 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6437 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 598 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6446 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 602 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6455 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 606 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6461 "configparser.cc"
    break;

  case 254: /* $@121: %empty  */
#line 609 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6470 "configparser.cc"
    break;

  case 255: /* $@122: %empty  */
#line 613 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6478 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 618 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6486 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 621 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6492 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 624 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6498 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 625 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6504 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 626 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6510 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 627 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6516 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 628 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6522 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 629 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6528 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 630 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6534 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 631 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6540 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 632 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6546 "configparser.cc"
    break;

  case 282: /* $@134: %empty  */
#line 635 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6552 "configparser.cc"
    break;

  case 283: /* $@135: %empty  */
#line 636 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6563 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 644 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6572 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 648 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6578 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 649 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6586 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 652 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6592 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 653 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6598 "configparser.cc"
    break;

  case 295: /* $@141: %empty  */
#line 654 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6615 "configparser.cc"
    break;

  case 298: /* $@142: %empty  */
#line 668 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6623 "configparser.cc"
    break;

  case 299: /* $@143: %empty  */
#line 671 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6633 "configparser.cc"
    break;

  case 300: /* $@144: %empty  */
#line 676 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6639 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 677 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6645 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 679 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6653 "configparser.cc"
    break;

  case 304: /* $@147: %empty  */
#line 682 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6663 "configparser.cc"
    break;

  case 305: /* $@148: %empty  */
#line 687 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6669 "configparser.cc"
    break;

  case 306: /* $@149: %empty  */
#line 688 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6679 "configparser.cc"
    break;

  case 307: /* $@150: %empty  */
#line 693 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6685 "configparser.cc"
    break;

  case 308: /* $@151: %empty  */
#line 694 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6691 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 698 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6697 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 699 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6703 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 700 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6709 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6715 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6721 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 703 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6727 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 704 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6733 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 705 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6739 "configparser.cc"
    break;

  case 328: /* $@160: %empty  */
#line 708 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6745 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 709 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6753 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 712 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6759 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 713 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6775 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 724 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6781 "configparser.cc"
    break;

  case 337: /* $@165: %empty  */
#line 727 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6787 "configparser.cc"
    break;

  case 340: /* $@166: %empty  */
#line 730 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6795 "configparser.cc"
    break;

  case 341: /* $@167: %empty  */
#line 733 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6809 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 744 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6815 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 745 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6821 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 746 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6827 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 747 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6833 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 748 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6839 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 750 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6845 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 751 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6851 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 752 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6857 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 753 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6863 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 755 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6869 "configparser.cc"
    break;

  case 365: /* $@178: %empty  */
#line 756 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6875 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 758 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6883 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 761 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6891 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 764 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6899 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 767 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6907 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 770 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6913 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 771 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6919 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 772 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6925 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 773 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6931 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 774 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6937 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 775 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6943 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 776 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6949 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 777 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6955 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 778 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6961 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 779 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6967 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 780 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6973 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 781 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 6979 "configparser.cc"
    break;

  case 401: /* $@195: %empty  */
#line 784 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 6985 "configparser.cc"
    break;

  case 404: /* ft_type: NORMAL_WCP  */
#line 787 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 6991 "configparser.cc"
    break;

  case 405: /* ft_type: NOTYETCHECKED_WCP  */
#line 788 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 6997 "configparser.cc"
    break;

  case 406: /* ft_type: UNKNOWN_WCP  */
#line 789 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7003 "configparser.cc"
    break;

  case 407: /* ft_type: NOSELECT_WCP  */
#line 790 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7009 "configparser.cc"
    break;

  case 408: /* ft_type: DIR_WCP  */
#line 791 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7015 "configparser.cc"
    break;

  case 409: /* $@196: %empty  */
#line 794 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7021 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 795 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7029 "configparser.cc"
    break;

  case 412: /* $@198: %empty  */
#line 798 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7035 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 799 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7043 "configparser.cc"
    break;

  case 415: /* $@200: %empty  */
#line 802 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7049 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 803 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7057 "configparser.cc"
    break;

  case 418: /* $@202: %empty  */
#line 806 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7063 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 807 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7071 "configparser.cc"
    break;

  case 421: /* $@204: %empty  */
#line 810 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7077 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 811 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7085 "configparser.cc"
    break;

  case 424: /* $@206: %empty  */
#line 814 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7091 "configparser.cc"
    break;

  case 425: /* $@207: %empty  */
#line 817 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7099 "configparser.cc"
    break;

  case 432: /* $@208: %empty  */
#line 828 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7105 "configparser.cc"
    break;

  case 433: /* $@209: %empty  */
#line 829 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7113 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 834 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7119 "configparser.cc"
    break;

  case 438: /* $@211: %empty  */
#line 835 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7125 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 836 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7133 "configparser.cc"
    break;

  case 441: /* $@213: %empty  */
#line 839 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7139 "configparser.cc"
    break;

  case 442: /* $@214: %empty  */
#line 840 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7156 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 854 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7162 "configparser.cc"
    break;

  case 446: /* $@216: %empty  */
#line 855 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7173 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 863 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7182 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 867 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7188 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 868 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7196 "configparser.cc"
    break;

  case 455: /* $@220: %empty  */
#line 871 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7202 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 872 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7210 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 875 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7216 "configparser.cc"
    break;

  case 459: /* $@223: %empty  */
#line 876 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7233 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 891 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7244 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 898 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7255 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 905 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7266 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 912 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7277 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 919 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7288 "configparser.cc"
    break;

  case 472: /* $@229: %empty  */
#line 926 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7299 "configparser.cc"
    break;

  case 475: /* $@230: %empty  */
#line 935 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7310 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 942 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7321 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 949 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7332 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 956 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7343 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 963 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7354 "configparser.cc"
    break;

  case 485: /* $@235: %empty  */
#line 970 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7365 "configparser.cc"
    break;

  case 488: /* $@236: %empty  */
#line 979 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7373 "configparser.cc"
    break;

  case 490: /* $@237: %empty  */
#line 983 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7381 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 987 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7389 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 991 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7397 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 995 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7405 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 999 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7413 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1003 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7421 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1007 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7429 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 1011 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7437 "configparser.cc"
    break;

  case 507: /* $@245: %empty  */
#line 1016 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7443 "configparser.cc"
    break;

  case 509: /* $@246: %empty  */
#line 1017 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7449 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1018 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7455 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1019 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7461 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1020 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7467 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1021 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7473 "configparser.cc"
    break;

  case 519: /* $@251: %empty  */
#line 1022 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7479 "configparser.cc"
    break;

  case 522: /* bool: YES_WCP  */
#line 1025 "configparser.yy"
             { (yyval.num) = 1; }
#line 7485 "configparser.cc"
    break;

  case 523: /* bool: NO_WCP  */
#line 1026 "configparser.yy"
            { (yyval.num) = 0; }
#line 7491 "configparser.cc"
    break;

  case 596: /* $@252: %empty  */
#line 1101 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7497 "configparser.cc"
    break;

  case 597: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@252 ownopbody RIGHTBRACE_WCP  */
#line 1102 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7503 "configparser.cc"
    break;

  case 598: /* $@253: %empty  */
#line 1104 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7509 "configparser.cc"
    break;

  case 600: /* $@254: %empty  */
#line 1105 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7515 "configparser.cc"
    break;

  case 602: /* $@255: %empty  */
#line 1106 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7521 "configparser.cc"
    break;

  case 604: /* $@256: %empty  */
#line 1107 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7527 "configparser.cc"
    break;

  case 606: /* $@257: %empty  */
#line 1108 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7533 "configparser.cc"
    break;

  case 608: /* $@258: %empty  */
#line 1109 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7539 "configparser.cc"
    break;

  case 610: /* $@259: %empty  */
#line 1110 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7545 "configparser.cc"
    break;

  case 612: /* $@260: %empty  */
#line 1111 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7551 "configparser.cc"
    break;

  case 614: /* $@261: %empty  */
#line 1112 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7557 "configparser.cc"
    break;

  case 616: /* $@262: %empty  */
#line 1113 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7563 "configparser.cc"
    break;

  case 618: /* $@263: %empty  */
#line 1114 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7569 "configparser.cc"
    break;

  case 620: /* $@264: %empty  */
#line 1115 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7575 "configparser.cc"
    break;

  case 622: /* $@265: %empty  */
#line 1116 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7581 "configparser.cc"
    break;

  case 624: /* $@266: %empty  */
#line 1117 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7587 "configparser.cc"
    break;

  case 627: /* $@267: %empty  */
#line 1120 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7593 "configparser.cc"
    break;

  case 628: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@267 RIGHTBRACE_WCP  */
#line 1121 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7599 "configparser.cc"
    break;

  case 629: /* $@268: %empty  */
#line 1123 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7605 "configparser.cc"
    break;

  case 630: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@268 RIGHTBRACE_WCP  */
#line 1124 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7611 "configparser.cc"
    break;

  case 631: /* $@269: %empty  */
#line 1126 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7617 "configparser.cc"
    break;

  case 632: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1127 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7623 "configparser.cc"
    break;

  case 633: /* $@270: %empty  */
#line 1129 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7629 "configparser.cc"
    break;

  case 634: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@270 RIGHTBRACE_WCP  */
#line 1130 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7635 "configparser.cc"
    break;

  case 635: /* $@271: %empty  */
#line 1132 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7641 "configparser.cc"
    break;

  case 636: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@271 useractionbody RIGHTBRACE_WCP  */
#line 1133 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7647 "configparser.cc"
    break;

  case 637: /* $@272: %empty  */
#line 1135 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7653 "configparser.cc"
    break;

  case 640: /* $@273: %empty  */
#line 1138 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7663 "configparser.cc"
    break;

  case 641: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@273 RIGHTBRACE_WCP  */
#line 1143 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7669 "configparser.cc"
    break;

  case 642: /* $@274: %empty  */
#line 1145 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7679 "configparser.cc"
    break;

  case 643: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@274 RIGHTBRACE_WCP  */
#line 1150 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7685 "configparser.cc"
    break;

  case 644: /* $@275: %empty  */
#line 1152 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7691 "configparser.cc"
    break;

  case 645: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@275 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1153 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7697 "configparser.cc"
    break;

  case 646: /* $@276: %empty  */
#line 1155 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7703 "configparser.cc"
    break;

  case 648: /* $@277: %empty  */
#line 1156 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7709 "configparser.cc"
    break;

  case 650: /* $@278: %empty  */
#line 1157 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7715 "configparser.cc"
    break;

  case 653: /* $@279: %empty  */
#line 1160 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7721 "configparser.cc"
    break;

  case 654: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@279 copyopbody RIGHTBRACE_WCP  */
#line 1161 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7727 "configparser.cc"
    break;

  case 655: /* $@280: %empty  */
#line 1163 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7733 "configparser.cc"
    break;

  case 657: /* $@281: %empty  */
#line 1164 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7739 "configparser.cc"
    break;

  case 659: /* $@282: %empty  */
#line 1165 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7745 "configparser.cc"
    break;

  case 661: /* $@283: %empty  */
#line 1166 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7751 "configparser.cc"
    break;

  case 663: /* $@284: %empty  */
#line 1167 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7757 "configparser.cc"
    break;

  case 665: /* $@285: %empty  */
#line 1168 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7763 "configparser.cc"
    break;

  case 667: /* $@286: %empty  */
#line 1169 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7769 "configparser.cc"
    break;

  case 669: /* $@287: %empty  */
#line 1170 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7775 "configparser.cc"
    break;

  case 671: /* $@288: %empty  */
#line 1171 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7781 "configparser.cc"
    break;

  case 673: /* $@289: %empty  */
#line 1172 "configparser.yy"
                                        {}
#line 7787 "configparser.cc"
    break;

  case 675: /* $@290: %empty  */
#line 1173 "configparser.yy"
                                      {}
#line 7793 "configparser.cc"
    break;

  case 677: /* $@291: %empty  */
#line 1174 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7799 "configparser.cc"
    break;

  case 679: /* $@292: %empty  */
#line 1175 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7805 "configparser.cc"
    break;

  case 681: /* $@293: %empty  */
#line 1176 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7811 "configparser.cc"
    break;

  case 683: /* $@294: %empty  */
#line 1177 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7817 "configparser.cc"
    break;

  case 685: /* $@295: %empty  */
#line 1178 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7823 "configparser.cc"
    break;

  case 687: /* $@296: %empty  */
#line 1179 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7829 "configparser.cc"
    break;

  case 689: /* $@297: %empty  */
#line 1180 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7835 "configparser.cc"
    break;

  case 691: /* $@298: %empty  */
#line 1181 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7841 "configparser.cc"
    break;

  case 693: /* $@299: %empty  */
#line 1182 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7847 "configparser.cc"
    break;

  case 696: /* $@300: %empty  */
#line 1185 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7857 "configparser.cc"
    break;

  case 697: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@300 RIGHTBRACE_WCP  */
#line 1190 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7863 "configparser.cc"
    break;

  case 698: /* $@301: %empty  */
#line 1192 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7873 "configparser.cc"
    break;

  case 699: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@301 RIGHTBRACE_WCP  */
#line 1197 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7879 "configparser.cc"
    break;

  case 700: /* $@302: %empty  */
#line 1199 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7889 "configparser.cc"
    break;

  case 701: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1204 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7895 "configparser.cc"
    break;

  case 702: /* $@303: %empty  */
#line 1206 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7905 "configparser.cc"
    break;

  case 703: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1211 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7911 "configparser.cc"
    break;

  case 704: /* $@304: %empty  */
#line 1213 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7921 "configparser.cc"
    break;

  case 705: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1218 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7927 "configparser.cc"
    break;

  case 706: /* $@305: %empty  */
#line 1220 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7937 "configparser.cc"
    break;

  case 707: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1225 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7943 "configparser.cc"
    break;

  case 708: /* $@306: %empty  */
#line 1227 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7953 "configparser.cc"
    break;

  case 709: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1232 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7959 "configparser.cc"
    break;

  case 710: /* $@307: %empty  */
#line 1234 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7969 "configparser.cc"
    break;

  case 711: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1239 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7975 "configparser.cc"
    break;

  case 712: /* $@308: %empty  */
#line 1241 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7985 "configparser.cc"
    break;

  case 713: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@308 RIGHTBRACE_WCP  */
#line 1246 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7991 "configparser.cc"
    break;

  case 714: /* $@309: %empty  */
#line 1248 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 7997 "configparser.cc"
    break;

  case 715: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@309 enterdiropbody RIGHTBRACE_WCP  */
#line 1249 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8003 "configparser.cc"
    break;

  case 716: /* $@310: %empty  */
#line 1251 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8009 "configparser.cc"
    break;

  case 718: /* $@311: %empty  */
#line 1252 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8015 "configparser.cc"
    break;

  case 720: /* $@312: %empty  */
#line 1253 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8021 "configparser.cc"
    break;

  case 722: /* $@313: %empty  */
#line 1254 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8027 "configparser.cc"
    break;

  case 724: /* $@314: %empty  */
#line 1255 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8033 "configparser.cc"
    break;

  case 727: /* $@315: %empty  */
#line 1258 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8039 "configparser.cc"
    break;

  case 728: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@315 changelistersetopbody RIGHTBRACE_WCP  */
#line 1259 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8045 "configparser.cc"
    break;

  case 729: /* $@316: %empty  */
#line 1261 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8051 "configparser.cc"
    break;

  case 731: /* $@317: %empty  */
#line 1262 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8057 "configparser.cc"
    break;

  case 733: /* $@318: %empty  */
#line 1263 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8063 "configparser.cc"
    break;

  case 735: /* $@319: %empty  */
#line 1264 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8069 "configparser.cc"
    break;

  case 738: /* $@320: %empty  */
#line 1267 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8075 "configparser.cc"
    break;

  case 739: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@320 RIGHTBRACE_WCP  */
#line 1268 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8081 "configparser.cc"
    break;

  case 740: /* $@321: %empty  */
#line 1270 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8087 "configparser.cc"
    break;

  case 741: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@321 filterselectopbody RIGHTBRACE_WCP  */
#line 1271 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8093 "configparser.cc"
    break;

  case 742: /* $@322: %empty  */
#line 1273 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8099 "configparser.cc"
    break;

  case 744: /* $@323: %empty  */
#line 1274 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8105 "configparser.cc"
    break;

  case 746: /* $@324: %empty  */
#line 1275 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8111 "configparser.cc"
    break;

  case 749: /* $@325: %empty  */
#line 1278 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8117 "configparser.cc"
    break;

  case 750: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@325 filterunselectopbody RIGHTBRACE_WCP  */
#line 1279 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8123 "configparser.cc"
    break;

  case 751: /* $@326: %empty  */
#line 1281 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8129 "configparser.cc"
    break;

  case 753: /* $@327: %empty  */
#line 1282 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8135 "configparser.cc"
    break;

  case 755: /* $@328: %empty  */
#line 1283 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8141 "configparser.cc"
    break;

  case 758: /* $@329: %empty  */
#line 1286 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8147 "configparser.cc"
    break;

  case 759: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@329 RIGHTBRACE_WCP  */
#line 1287 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8153 "configparser.cc"
    break;

  case 760: /* $@330: %empty  */
#line 1289 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8159 "configparser.cc"
    break;

  case 761: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@330 quitopbody RIGHTBRACE_WCP  */
#line 1290 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8165 "configparser.cc"
    break;

  case 762: /* $@331: %empty  */
#line 1292 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8171 "configparser.cc"
    break;

  case 764: /* $@332: %empty  */
#line 1293 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8177 "configparser.cc"
    break;

  case 767: /* $@333: %empty  */
#line 1296 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8183 "configparser.cc"
    break;

  case 768: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@333 deleteopbody RIGHTBRACE_WCP  */
#line 1297 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8189 "configparser.cc"
    break;

  case 769: /* $@334: %empty  */
#line 1299 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8195 "configparser.cc"
    break;

  case 772: /* $@335: %empty  */
#line 1302 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8201 "configparser.cc"
    break;

  case 773: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@335 reloadopbody RIGHTBRACE_WCP  */
#line 1303 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8207 "configparser.cc"
    break;

  case 774: /* $@336: %empty  */
#line 1305 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8213 "configparser.cc"
    break;

  case 776: /* $@337: %empty  */
#line 1306 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8219 "configparser.cc"
    break;

  case 778: /* $@338: %empty  */
#line 1307 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8225 "configparser.cc"
    break;

  case 780: /* $@339: %empty  */
#line 1308 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8231 "configparser.cc"
    break;

  case 782: /* $@340: %empty  */
#line 1309 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8237 "configparser.cc"
    break;

  case 784: /* $@341: %empty  */
#line 1310 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8243 "configparser.cc"
    break;

  case 787: /* $@342: %empty  */
#line 1313 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8249 "configparser.cc"
    break;

  case 788: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@342 RIGHTBRACE_WCP  */
#line 1314 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8255 "configparser.cc"
    break;

  case 789: /* $@343: %empty  */
#line 1316 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8261 "configparser.cc"
    break;

  case 790: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@343 RIGHTBRACE_WCP  */
#line 1317 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8267 "configparser.cc"
    break;

  case 791: /* $@344: %empty  */
#line 1319 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8273 "configparser.cc"
    break;

  case 792: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@344 RIGHTBRACE_WCP  */
#line 1320 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8279 "configparser.cc"
    break;

  case 793: /* $@345: %empty  */
#line 1322 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8289 "configparser.cc"
    break;

  case 794: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@345 RIGHTBRACE_WCP  */
#line 1327 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8295 "configparser.cc"
    break;

  case 795: /* $@346: %empty  */
#line 1329 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8301 "configparser.cc"
    break;

  case 796: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@346 startprogopbody RIGHTBRACE_WCP  */
#line 1330 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8307 "configparser.cc"
    break;

  case 797: /* $@347: %empty  */
#line 1332 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8313 "configparser.cc"
    break;

  case 799: /* $@348: %empty  */
#line 1333 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8319 "configparser.cc"
    break;

  case 801: /* $@349: %empty  */
#line 1334 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8325 "configparser.cc"
    break;

  case 803: /* $@350: %empty  */
#line 1335 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8331 "configparser.cc"
    break;

  case 805: /* $@351: %empty  */
#line 1336 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8337 "configparser.cc"
    break;

  case 807: /* $@352: %empty  */
#line 1337 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8343 "configparser.cc"
    break;

  case 809: /* $@353: %empty  */
#line 1338 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8349 "configparser.cc"
    break;

  case 811: /* $@354: %empty  */
#line 1339 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8355 "configparser.cc"
    break;

  case 813: /* $@355: %empty  */
#line 1340 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8361 "configparser.cc"
    break;

  case 815: /* $@356: %empty  */
#line 1341 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8367 "configparser.cc"
    break;

  case 818: /* $@357: %empty  */
#line 1344 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8373 "configparser.cc"
    break;

  case 819: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@357 searchentryopbody RIGHTBRACE_WCP  */
#line 1345 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8379 "configparser.cc"
    break;

  case 820: /* $@358: %empty  */
#line 1347 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8385 "configparser.cc"
    break;

  case 822: /* $@359: %empty  */
#line 1348 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8391 "configparser.cc"
    break;

  case 824: /* $@360: %empty  */
#line 1349 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8397 "configparser.cc"
    break;

  case 826: /* $@361: %empty  */
#line 1350 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8403 "configparser.cc"
    break;

  case 829: /* $@362: %empty  */
#line 1353 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8409 "configparser.cc"
    break;

  case 830: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@362 enterpathopbody RIGHTBRACE_WCP  */
#line 1354 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8415 "configparser.cc"
    break;

  case 831: /* $@363: %empty  */
#line 1356 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8421 "configparser.cc"
    break;

  case 833: /* $@364: %empty  */
#line 1357 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8427 "configparser.cc"
    break;

  case 835: /* $@365: %empty  */
#line 1358 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8433 "configparser.cc"
    break;

  case 837: /* $@366: %empty  */
#line 1359 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8439 "configparser.cc"
    break;

  case 840: /* $@367: %empty  */
#line 1362 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8445 "configparser.cc"
    break;

  case 841: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@367 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1363 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8451 "configparser.cc"
    break;

  case 842: /* $@368: %empty  */
#line 1365 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8457 "configparser.cc"
    break;

  case 844: /* $@369: %empty  */
#line 1366 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8463 "configparser.cc"
    break;

  case 847: /* $@370: %empty  */
#line 1369 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8469 "configparser.cc"
    break;

  case 848: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@370 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1370 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8475 "configparser.cc"
    break;

  case 849: /* $@371: %empty  */
#line 1372 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8481 "configparser.cc"
    break;

  case 851: /* $@372: %empty  */
#line 1373 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8487 "configparser.cc"
    break;

  case 853: /* $@373: %empty  */
#line 1374 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8493 "configparser.cc"
    break;

  case 856: /* $@374: %empty  */
#line 1377 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8499 "configparser.cc"
    break;

  case 857: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@374 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1378 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8505 "configparser.cc"
    break;

  case 858: /* $@375: %empty  */
#line 1380 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8511 "configparser.cc"
    break;

  case 860: /* $@376: %empty  */
#line 1381 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8517 "configparser.cc"
    break;

  case 862: /* $@377: %empty  */
#line 1382 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8523 "configparser.cc"
    break;

  case 865: /* $@378: %empty  */
#line 1385 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8529 "configparser.cc"
    break;

  case 866: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@378 chmodopbody RIGHTBRACE_WCP  */
#line 1386 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8535 "configparser.cc"
    break;

  case 867: /* $@379: %empty  */
#line 1388 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8541 "configparser.cc"
    break;

  case 869: /* $@380: %empty  */
#line 1389 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8547 "configparser.cc"
    break;

  case 871: /* $@381: %empty  */
#line 1390 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8553 "configparser.cc"
    break;

  case 873: /* $@382: %empty  */
#line 1391 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8559 "configparser.cc"
    break;

  case 875: /* $@383: %empty  */
#line 1392 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ASK_PERMISSIONS ); }
#line 8565 "configparser.cc"
    break;

  case 877: /* $@384: %empty  */
#line 1393 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_SET_PERMISSIONS ); }
#line 8571 "configparser.cc"
    break;

  case 879: /* $@385: %empty  */
#line 1394 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ADD_PERMISSIONS ); }
#line 8577 "configparser.cc"
    break;

  case 881: /* $@386: %empty  */
#line 1395 "configparser.yy"
                                          { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_REMOVE_PERMISSIONS ); }
#line 8583 "configparser.cc"
    break;

  case 883: /* $@387: %empty  */
#line 1396 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setPermissions( (yyvsp[-1].strptr) ); }
#line 8589 "configparser.cc"
    break;

  case 886: /* $@388: %empty  */
#line 1399 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8595 "configparser.cc"
    break;

  case 887: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@388 chtimeopbody RIGHTBRACE_WCP  */
#line 1400 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8601 "configparser.cc"
    break;

  case 888: /* $@389: %empty  */
#line 1402 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8607 "configparser.cc"
    break;

  case 890: /* $@390: %empty  */
#line 1403 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8613 "configparser.cc"
    break;

  case 892: /* $@391: %empty  */
#line 1404 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8619 "configparser.cc"
    break;

  case 894: /* $@392: %empty  */
#line 1405 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8625 "configparser.cc"
    break;

  case 897: /* $@393: %empty  */
#line 1408 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8631 "configparser.cc"
    break;

  case 898: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@393 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1409 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8637 "configparser.cc"
    break;

  case 899: /* $@394: %empty  */
#line 1411 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8643 "configparser.cc"
    break;

  case 902: /* $@395: %empty  */
#line 1414 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8651 "configparser.cc"
    break;

  case 903: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@395 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1417 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8657 "configparser.cc"
    break;

  case 904: /* $@396: %empty  */
#line 1419 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8663 "configparser.cc"
    break;

  case 906: /* $@397: %empty  */
#line 1420 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8669 "configparser.cc"
    break;

  case 908: /* $@398: %empty  */
#line 1421 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8675 "configparser.cc"
    break;

  case 910: /* $@399: %empty  */
#line 1422 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8681 "configparser.cc"
    break;

  case 912: /* $@400: %empty  */
#line 1423 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8687 "configparser.cc"
    break;

  case 914: /* $@401: %empty  */
#line 1424 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8693 "configparser.cc"
    break;

  case 916: /* $@402: %empty  */
#line 1425 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8699 "configparser.cc"
    break;

  case 918: /* $@403: %empty  */
#line 1426 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8705 "configparser.cc"
    break;

  case 920: /* $@404: %empty  */
#line 1427 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8711 "configparser.cc"
    break;

  case 922: /* $@405: %empty  */
#line 1428 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8717 "configparser.cc"
    break;

  case 924: /* $@406: %empty  */
#line 1429 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8723 "configparser.cc"
    break;

  case 926: /* $@407: %empty  */
#line 1430 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8729 "configparser.cc"
    break;

  case 928: /* $@408: %empty  */
#line 1431 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8735 "configparser.cc"
    break;

  case 930: /* $@409: %empty  */
#line 1432 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8741 "configparser.cc"
    break;

  case 933: /* $@410: %empty  */
#line 1435 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8747 "configparser.cc"
    break;

  case 934: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@410 setfilteropbody RIGHTBRACE_WCP  */
#line 1436 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8753 "configparser.cc"
    break;

  case 935: /* $@411: %empty  */
#line 1438 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8759 "configparser.cc"
    break;

  case 937: /* $@412: %empty  */
#line 1439 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8765 "configparser.cc"
    break;

  case 939: /* $@413: %empty  */
#line 1440 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8771 "configparser.cc"
    break;

  case 941: /* $@414: %empty  */
#line 1441 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8777 "configparser.cc"
    break;

  case 943: /* $@415: %empty  */
#line 1442 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8783 "configparser.cc"
    break;

  case 945: /* $@416: %empty  */
#line 1443 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8789 "configparser.cc"
    break;

  case 947: /* $@417: %empty  */
#line 1444 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8795 "configparser.cc"
    break;

  case 949: /* $@418: %empty  */
#line 1445 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8801 "configparser.cc"
    break;

  case 951: /* $@419: %empty  */
#line 1446 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8807 "configparser.cc"
    break;

  case 953: /* $@420: %empty  */
#line 1447 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8813 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1448 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8819 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1449 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8825 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1450 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8831 "configparser.cc"
    break;

  case 961: /* $@424: %empty  */
#line 1451 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8837 "configparser.cc"
    break;

  case 963: /* $@425: %empty  */
#line 1452 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8843 "configparser.cc"
    break;

  case 966: /* $@426: %empty  */
#line 1455 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8849 "configparser.cc"
    break;

  case 967: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@426 RIGHTBRACE_WCP  */
#line 1456 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8855 "configparser.cc"
    break;

  case 968: /* $@427: %empty  */
#line 1458 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8861 "configparser.cc"
    break;

  case 969: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@427 chownopbody RIGHTBRACE_WCP  */
#line 1459 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8867 "configparser.cc"
    break;

  case 970: /* $@428: %empty  */
#line 1461 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8873 "configparser.cc"
    break;

  case 972: /* $@429: %empty  */
#line 1462 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8879 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1463 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8885 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1464 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8891 "configparser.cc"
    break;

  case 979: /* $@432: %empty  */
#line 1467 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8897 "configparser.cc"
    break;

  case 980: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@432 scriptopbody RIGHTBRACE_WCP  */
#line 1468 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8903 "configparser.cc"
    break;

  case 981: /* $@433: %empty  */
#line 1470 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8909 "configparser.cc"
    break;

  case 983: /* $@434: %empty  */
#line 1471 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8915 "configparser.cc"
    break;

  case 985: /* $@435: %empty  */
#line 1472 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8921 "configparser.cc"
    break;

  case 987: /* $@436: %empty  */
#line 1473 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8927 "configparser.cc"
    break;

  case 989: /* $@437: %empty  */
#line 1474 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8933 "configparser.cc"
    break;

  case 991: /* $@438: %empty  */
#line 1475 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8939 "configparser.cc"
    break;

  case 993: /* $@439: %empty  */
#line 1476 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8945 "configparser.cc"
    break;

  case 995: /* $@440: %empty  */
#line 1477 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8951 "configparser.cc"
    break;

  case 997: /* $@441: %empty  */
#line 1478 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8957 "configparser.cc"
    break;

  case 999: /* $@442: %empty  */
#line 1479 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 8963 "configparser.cc"
    break;

  case 1001: /* $@443: %empty  */
#line 1480 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8969 "configparser.cc"
    break;

  case 1003: /* $@444: %empty  */
#line 1481 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8975 "configparser.cc"
    break;

  case 1005: /* $@445: %empty  */
#line 1482 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8981 "configparser.cc"
    break;

  case 1007: /* $@446: %empty  */
#line 1483 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8987 "configparser.cc"
    break;

  case 1009: /* $@447: %empty  */
#line 1484 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 8993 "configparser.cc"
    break;

  case 1011: /* $@448: %empty  */
#line 1485 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 8999 "configparser.cc"
    break;

  case 1013: /* $@449: %empty  */
#line 1486 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 9005 "configparser.cc"
    break;

  case 1015: /* $@450: %empty  */
#line 1487 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 9011 "configparser.cc"
    break;

  case 1017: /* $@451: %empty  */
#line 1488 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 9017 "configparser.cc"
    break;

  case 1019: /* $@452: %empty  */
#line 1489 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 9023 "configparser.cc"
    break;

  case 1021: /* $@453: %empty  */
#line 1490 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 9029 "configparser.cc"
    break;

  case 1023: /* $@454: %empty  */
#line 1491 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9035 "configparser.cc"
    break;

  case 1025: /* $@455: %empty  */
#line 1492 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9041 "configparser.cc"
    break;

  case 1027: /* $@456: %empty  */
#line 1493 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9047 "configparser.cc"
    break;

  case 1029: /* $@457: %empty  */
#line 1494 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9053 "configparser.cc"
    break;

  case 1031: /* $@458: %empty  */
#line 1495 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9059 "configparser.cc"
    break;

  case 1033: /* $@459: %empty  */
#line 1496 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9065 "configparser.cc"
    break;

  case 1035: /* $@460: %empty  */
#line 1497 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9071 "configparser.cc"
    break;

  case 1037: /* $@461: %empty  */
#line 1498 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9077 "configparser.cc"
    break;

  case 1040: /* $@462: %empty  */
#line 1501 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9083 "configparser.cc"
    break;

  case 1041: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@462 RIGHTBRACE_WCP  */
#line 1502 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9089 "configparser.cc"
    break;

  case 1042: /* $@463: %empty  */
#line 1504 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9095 "configparser.cc"
    break;

  case 1043: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@463 RIGHTBRACE_WCP  */
#line 1505 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9101 "configparser.cc"
    break;

  case 1044: /* $@464: %empty  */
#line 1507 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9107 "configparser.cc"
    break;

  case 1045: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@464 RIGHTBRACE_WCP  */
#line 1508 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9113 "configparser.cc"
    break;

  case 1046: /* $@465: %empty  */
#line 1510 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9119 "configparser.cc"
    break;

  case 1047: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@465 goftpopbody RIGHTBRACE_WCP  */
#line 1511 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9125 "configparser.cc"
    break;

  case 1048: /* $@466: %empty  */
#line 1513 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9131 "configparser.cc"
    break;

  case 1050: /* $@467: %empty  */
#line 1514 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9137 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1515 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9143 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1516 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9149 "configparser.cc"
    break;

  case 1056: /* $@470: %empty  */
#line 1517 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9155 "configparser.cc"
    break;

  case 1058: /* $@471: %empty  */
#line 1518 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9161 "configparser.cc"
    break;

  case 1060: /* $@472: %empty  */
#line 1519 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9167 "configparser.cc"
    break;

  case 1063: /* $@473: %empty  */
#line 1522 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9173 "configparser.cc"
    break;

  case 1064: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@473 internalviewopbody RIGHTBRACE_WCP  */
#line 1523 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9179 "configparser.cc"
    break;

  case 1065: /* $@474: %empty  */
#line 1525 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9185 "configparser.cc"
    break;

  case 1067: /* $@475: %empty  */
#line 1526 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9191 "configparser.cc"
    break;

  case 1069: /* $@476: %empty  */
#line 1527 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9197 "configparser.cc"
    break;

  case 1071: /* $@477: %empty  */
#line 1528 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9203 "configparser.cc"
    break;

  case 1074: /* $@478: %empty  */
#line 1532 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9209 "configparser.cc"
    break;

  case 1075: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@478 clipboardopbody RIGHTBRACE_WCP  */
#line 1533 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9215 "configparser.cc"
    break;

  case 1076: /* $@479: %empty  */
#line 1535 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9221 "configparser.cc"
    break;

  case 1079: /* $@480: %empty  */
#line 1538 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9227 "configparser.cc"
    break;

  case 1080: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@480 searchopbody RIGHTBRACE_WCP  */
#line 1539 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9233 "configparser.cc"
    break;

  case 1081: /* $@481: %empty  */
#line 1541 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9239 "configparser.cc"
    break;

  case 1083: /* $@482: %empty  */
#line 1542 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9245 "configparser.cc"
    break;

  case 1086: /* $@483: %empty  */
#line 1545 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9251 "configparser.cc"
    break;

  case 1087: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@483 RIGHTBRACE_WCP  */
#line 1546 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9257 "configparser.cc"
    break;

  case 1088: /* $@484: %empty  */
#line 1548 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9263 "configparser.cc"
    break;

  case 1089: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@484 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1549 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9269 "configparser.cc"
    break;

  case 1090: /* $@485: %empty  */
#line 1551 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9275 "configparser.cc"
    break;

  case 1093: /* $@486: %empty  */
#line 1554 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9281 "configparser.cc"
    break;

  case 1094: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@486 runcustomactionbody RIGHTBRACE_WCP  */
#line 1555 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9287 "configparser.cc"
    break;

  case 1095: /* $@487: %empty  */
#line 1557 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9293 "configparser.cc"
    break;

  case 1098: /* $@488: %empty  */
#line 1560 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9299 "configparser.cc"
    break;

  case 1099: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@488 RIGHTBRACE_WCP  */
#line 1561 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9305 "configparser.cc"
    break;

  case 1100: /* $@489: %empty  */
#line 1563 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9311 "configparser.cc"
    break;

  case 1101: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@489 changelabelopbody RIGHTBRACE_WCP  */
#line 1564 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9317 "configparser.cc"
    break;

  case 1102: /* $@490: %empty  */
#line 1566 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9323 "configparser.cc"
    break;

  case 1104: /* $@491: %empty  */
#line 1567 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9329 "configparser.cc"
    break;

  case 1107: /* $@492: %empty  */
#line 1570 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9335 "configparser.cc"
    break;

  case 1108: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@492 modifytabsopbody RIGHTBRACE_WCP  */
#line 1571 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9341 "configparser.cc"
    break;

  case 1109: /* $@493: %empty  */
#line 1573 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9347 "configparser.cc"
    break;

  case 1111: /* $@494: %empty  */
#line 1574 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9353 "configparser.cc"
    break;

  case 1113: /* $@495: %empty  */
#line 1575 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9359 "configparser.cc"
    break;

  case 1115: /* $@496: %empty  */
#line 1576 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9365 "configparser.cc"
    break;

  case 1117: /* $@497: %empty  */
#line 1577 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9371 "configparser.cc"
    break;

  case 1119: /* $@498: %empty  */
#line 1578 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9377 "configparser.cc"
    break;

  case 1121: /* $@499: %empty  */
#line 1579 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9383 "configparser.cc"
    break;

  case 1124: /* $@500: %empty  */
#line 1582 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9392 "configparser.cc"
    break;

  case 1125: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@500 changelayoutopbody RIGHTBRACE_WCP  */
#line 1585 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9401 "configparser.cc"
    break;

  case 1126: /* $@501: %empty  */
#line 1590 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9407 "configparser.cc"
    break;

  case 1128: /* $@502: %empty  */
#line 1591 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9413 "configparser.cc"
    break;

  case 1130: /* $@503: %empty  */
#line 1592 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9419 "configparser.cc"
    break;

  case 1132: /* $@504: %empty  */
#line 1593 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9425 "configparser.cc"
    break;

  case 1134: /* $@505: %empty  */
#line 1594 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9431 "configparser.cc"
    break;

  case 1136: /* $@506: %empty  */
#line 1595 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9437 "configparser.cc"
    break;

  case 1138: /* $@507: %empty  */
#line 1596 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9443 "configparser.cc"
    break;

  case 1140: /* $@508: %empty  */
#line 1597 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9449 "configparser.cc"
    break;

  case 1142: /* $@509: %empty  */
#line 1598 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9455 "configparser.cc"
    break;

  case 1144: /* $@510: %empty  */
#line 1599 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9461 "configparser.cc"
    break;

  case 1146: /* $@511: %empty  */
#line 1600 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9467 "configparser.cc"
    break;

  case 1148: /* $@512: %empty  */
#line 1601 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9473 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1602 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9479 "configparser.cc"
    break;

  case 1153: /* $@514: %empty  */
#line 1605 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9488 "configparser.cc"
    break;

  case 1154: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@514 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1608 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9497 "configparser.cc"
    break;

  case 1155: /* $@515: %empty  */
#line 1613 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9503 "configparser.cc"
    break;

  case 1157: /* $@516: %empty  */
#line 1614 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9509 "configparser.cc"
    break;

  case 1159: /* $@517: %empty  */
#line 1615 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9515 "configparser.cc"
    break;

  case 1161: /* $@518: %empty  */
#line 1616 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9521 "configparser.cc"
    break;

  case 1163: /* $@519: %empty  */
#line 1617 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9527 "configparser.cc"
    break;

  case 1165: /* $@520: %empty  */
#line 1618 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9533 "configparser.cc"
    break;

  case 1167: /* $@521: %empty  */
#line 1619 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9539 "configparser.cc"
    break;

  case 1169: /* $@522: %empty  */
#line 1620 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9545 "configparser.cc"
    break;

  case 1171: /* $@523: %empty  */
#line 1621 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9551 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1622 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9557 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1623 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9563 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1624 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9569 "configparser.cc"
    break;

  case 1179: /* $@527: %empty  */
#line 1625 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9575 "configparser.cc"
    break;

  case 1181: /* $@528: %empty  */
#line 1626 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9581 "configparser.cc"
    break;

  case 1184: /* $@529: %empty  */
#line 1629 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9587 "configparser.cc"
    break;

  case 1185: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@529 RIGHTBRACE_WCP  */
#line 1630 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9593 "configparser.cc"
    break;

  case 1186: /* $@530: %empty  */
#line 1632 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9599 "configparser.cc"
    break;

  case 1187: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@530 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1633 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9605 "configparser.cc"
    break;

  case 1188: /* $@531: %empty  */
#line 1635 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9611 "configparser.cc"
    break;

  case 1190: /* $@532: %empty  */
#line 1636 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9617 "configparser.cc"
    break;

  case 1192: /* $@533: %empty  */
#line 1637 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9623 "configparser.cc"
    break;

  case 1194: /* $@534: %empty  */
#line 1638 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9629 "configparser.cc"
    break;

  case 1197: /* $@535: %empty  */
#line 1641 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9635 "configparser.cc"
    break;

  case 1198: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@535 pathjumpopbody RIGHTBRACE_WCP  */
#line 1642 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9641 "configparser.cc"
    break;

  case 1199: /* $@536: %empty  */
#line 1644 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9647 "configparser.cc"
    break;

  case 1201: /* $@537: %empty  */
#line 1645 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9653 "configparser.cc"
    break;

  case 1203: /* $@538: %empty  */
#line 1646 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9659 "configparser.cc"
    break;

  case 1205: /* $@539: %empty  */
#line 1647 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 9665 "configparser.cc"
    break;

  case 1207: /* $@540: %empty  */
#line 1648 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 9671 "configparser.cc"
    break;

  case 1209: /* $@541: %empty  */
#line 1649 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 9677 "configparser.cc"
    break;

  case 1211: /* $@542: %empty  */
#line 1650 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9683 "configparser.cc"
    break;

  case 1213: /* $@543: %empty  */
#line 1651 "configparser.yy"
                                             { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setHideNonExisting( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9689 "configparser.cc"
    break;

  case 1216: /* $@544: %empty  */
#line 1654 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9695 "configparser.cc"
    break;

  case 1217: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@544 commandmenuopbody RIGHTBRACE_WCP  */
#line 1655 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9701 "configparser.cc"
    break;

  case 1218: /* $@545: %empty  */
#line 1657 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9707 "configparser.cc"
    break;

  case 1221: /* $@546: %empty  */
#line 1660 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9713 "configparser.cc"
    break;

  case 1222: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@546 RIGHTBRACE_WCP  */
#line 1661 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9719 "configparser.cc"
    break;

  case 1223: /* $@547: %empty  */
#line 1663 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9725 "configparser.cc"
    break;

  case 1224: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@547 RIGHTBRACE_WCP  */
#line 1664 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9731 "configparser.cc"
    break;

  case 1225: /* $@548: %empty  */
#line 1666 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9737 "configparser.cc"
    break;

  case 1226: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@548 RIGHTBRACE_WCP  */
#line 1667 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9743 "configparser.cc"
    break;

  case 1227: /* $@549: %empty  */
#line 1669 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9749 "configparser.cc"
    break;

  case 1228: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@549 externalvdiropbody RIGHTBRACE_WCP  */
#line 1670 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9755 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1672 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9761 "configparser.cc"
    break;

  case 1232: /* $@551: %empty  */
#line 1675 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9771 "configparser.cc"
    break;

  case 1233: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@551 RIGHTBRACE_WCP  */
#line 1680 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9777 "configparser.cc"
    break;

  case 1234: /* $@552: %empty  */
#line 1682 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9783 "configparser.cc"
    break;

  case 1235: /* $@553: %empty  */
#line 1683 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9790 "configparser.cc"
    break;

  case 1238: /* $@554: %empty  */
#line 1687 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9796 "configparser.cc"
    break;

  case 1240: /* $@555: %empty  */
#line 1688 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9802 "configparser.cc"
    break;

  case 1242: /* $@556: %empty  */
#line 1689 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9808 "configparser.cc"
    break;

  case 1244: /* $@557: %empty  */
#line 1690 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9814 "configparser.cc"
    break;

  case 1246: /* $@558: %empty  */
#line 1691 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9820 "configparser.cc"
    break;

  case 1248: /* $@559: %empty  */
#line 1692 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9826 "configparser.cc"
    break;

  case 1250: /* $@560: %empty  */
#line 1693 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9832 "configparser.cc"
    break;

  case 1252: /* $@561: %empty  */
#line 1694 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9838 "configparser.cc"
    break;

  case 1254: /* $@562: %empty  */
#line 1695 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9844 "configparser.cc"
    break;

  case 1256: /* $@563: %empty  */
#line 1696 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9850 "configparser.cc"
    break;

  case 1258: /* $@564: %empty  */
#line 1697 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9856 "configparser.cc"
    break;

  case 1260: /* $@565: %empty  */
#line 1698 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9862 "configparser.cc"
    break;

  case 1262: /* $@566: %empty  */
#line 1699 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9868 "configparser.cc"
    break;

  case 1264: /* $@567: %empty  */
#line 1700 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9874 "configparser.cc"
    break;

  case 1266: /* $@568: %empty  */
#line 1701 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9880 "configparser.cc"
    break;

  case 1268: /* $@569: %empty  */
#line 1702 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9886 "configparser.cc"
    break;

  case 1270: /* $@570: %empty  */
#line 1703 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9892 "configparser.cc"
    break;

  case 1272: /* $@571: %empty  */
#line 1704 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9898 "configparser.cc"
    break;

  case 1273: /* $@572: %empty  */
#line 1705 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9904 "configparser.cc"
    break;

  case 1276: /* $@573: %empty  */
#line 1708 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9910 "configparser.cc"
    break;

  case 1278: /* $@574: %empty  */
#line 1709 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9916 "configparser.cc"
    break;

  case 1280: /* $@575: %empty  */
#line 1710 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9922 "configparser.cc"
    break;

  case 1283: /* $@576: %empty  */
#line 1713 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9930 "configparser.cc"
    break;

  case 1284: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@576 RIGHTBRACE_WCP  */
#line 1716 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9936 "configparser.cc"
    break;

  case 1285: /* $@577: %empty  */
#line 1718 "configparser.yy"
                                                    { auto tfp = std::make_shared< ViewCommandLogOp >();
                                                      lconfig_fp1 = tfp;
                                                    }
#line 9944 "configparser.cc"
    break;

  case 1286: /* viewcommandlogop: VIEWCOMMANDLOGOP_WCP LEFTBRACE_WCP $@577 RIGHTBRACE_WCP  */
#line 1721 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9950 "configparser.cc"
    break;


#line 9954 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1723 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  snprintf( lconfig_error, sizeof( lconfig_error ), "%s", s );
  return 0;
}
